diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2021 Vinicius Monego <monego@posteo.net>
 ;;; Copyright © 2021 Petr Hodina <phodina@protonmail.com>
 ;;; Copyright © 2021 Ricardo Wurmus <rekado@elephly.net>
+;;; Copyright © 2021 Jacob Hrbek <kreyren@rixotstudio.cz>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -112,14 +113,14 @@ (define-public rust-abomonation-0.7
     (name "rust-abomonation")
     (version "0.7.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "abomonation" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cjg3hjf028n447pdj7zcdgrkngx30as8ndxlxx947wvr49jkrsn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "abomonation" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cjg3hjf028n447pdj7zcdgrkngx30as8ndxlxx947wvr49jkrsn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -1074,22 +1075,22 @@ (define-public rust-addr-0.14
     (name "rust-addr")
     (version "0.14.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "addr" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0w6v0wwv203v0lyvwsq27rwfhvmw7dsmrqc9r3gszbx2974wlk65"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-no-std-net" ,rust-no-std-net-0.5)
-         ("rust-psl" ,rust-psl-2)
-         ("rust-psl-types" ,rust-psl-types-2)
-         ("rust-publicsuffix" ,rust-publicsuffix-2)
-         ("rust-serde" ,rust-serde-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "addr" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0w6v0wwv203v0lyvwsq27rwfhvmw7dsmrqc9r3gszbx2974wlk65"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-no-std-net" ,rust-no-std-net-0.5)
+        ("rust-psl" ,rust-psl-2)
+        ("rust-psl-types" ,rust-psl-types-2)
+        ("rust-publicsuffix" ,rust-publicsuffix-2)
+        ("rust-serde" ,rust-serde-1))))
     (home-page "https://github.com/addr-rs/addr")
     (synopsis "Parsing domain names")
     (description "This package provides a library for parsing domain names.")
@@ -1101,14 +1102,14 @@ (define-public rust-addr2line-0.11
     (name "rust-addr2line")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "addr2line" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0sk5g8cb2yynlcm0wcqff9l9c9ml69rqgfrrbii0ybgdc236jkhw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "addr2line" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0sk5g8cb2yynlcm0wcqff9l9c9ml69rqgfrrbii0ybgdc236jkhw"))))
     (arguments
      `(#:tests? #f      ; Not all test files included.
        #:cargo-inputs
@@ -1154,7 +1155,7 @@ (define-public rust-addr2line-0.9
        #:cargo-development-inputs
        (("rust-backtrace" ,rust-backtrace-0.3)
         ("rust-clap" ,rust-clap-2)
-        ;("rust-findshlibs" ,rust-findshlibs-0.4)
+                                        ;("rust-findshlibs" ,rust-findshlibs-0.4)
         ("rust-memmap" ,rust-memmap-0.7)
         ("rust-rustc-test" ,rust-rustc-test-0.3))))))
 
@@ -1190,14 +1191,14 @@ (define-public rust-adler32-1
     (name "rust-adler32")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "adler32" version))
-        (file-name
-          (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0bgks405vz823bphgwhj4l9h6vpfh900s0phfk4qqijyh9xhfysn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "adler32" version))
+       (file-name
+        (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0bgks405vz823bphgwhj4l9h6vpfh900s0phfk4qqijyh9xhfysn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -1551,14 +1552,14 @@ (define-public rust-afl-0.5
     (name "rust-afl")
     (version "0.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "afl" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0azpi917l8nhvx25n2v670nvkxkrhcwmddfi85qnr6kchmi6y946"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "afl" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0azpi917l8nhvx25n2v670nvkxkrhcwmddfi85qnr6kchmi6y946"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -1691,14 +1692,14 @@ (define-public rust-aho-corasick-0.6
     (name "rust-aho-corasick")
     (version "0.6.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "aho-corasick" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19f8v503ibvlyr824g5ynicrh1lsmp2i0zmpszr8lqay0qw3vkl1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "aho-corasick" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19f8v503ibvlyr824g5ynicrh1lsmp2i0zmpszr8lqay0qw3vkl1"))))
     (arguments
      `(#:cargo-inputs
        (("rust-memchr" ,rust-memchr-2))
@@ -1805,14 +1806,14 @@ (define-public rust-alga-0.9
     (name "rust-alga")
     (version "0.9.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "alga" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wl4z8ini9269x04g8wwdz1nn3hmmvaaysq4jwhymikyg81kv0jg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "alga" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wl4z8ini9269x04g8wwdz1nn3hmmvaaysq4jwhymikyg81kv0jg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -1839,14 +1840,14 @@ (define-public rust-alga-derive-0.9
     (name "rust-alga-derive")
     (version "0.9.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "alga-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0a2594j6blczz18vfg85agr7vsjrbq6900d3xwxw0zzbqj9j2adz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "alga-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0a2594j6blczz18vfg85agr7vsjrbq6900d3xwxw0zzbqj9j2adz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -2022,13 +2023,13 @@ (define-public rust-antidote-1
     (name "rust-antidote")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "antidote" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "19g2sw2qa2ibnh4x7j1snk46593jgx6y7rnvva496ynq61af5z9l"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "antidote" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "19g2sw2qa2ibnh4x7j1snk46593jgx6y7rnvva496ynq61af5z9l"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/sfackler/rust-antidote")
     (synopsis "Poison-free Mutex and RwLock types")
@@ -2253,14 +2254,14 @@ (define-public rust-arbitrary-0.2
     (name "rust-arbitrary")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "arbitrary" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1i3fhcdyjq4isn22xx2svmpfr5hwyzi0wavbm07fs8i2dv5pdkv4"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "arbitrary" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1i3fhcdyjq4isn22xx2svmpfr5hwyzi0wavbm07fs8i2dv5pdkv4"))))))
 
 (define-public rust-arboard-1
   (package
@@ -2352,14 +2353,14 @@ (define-public rust-arg-enum-proc-macro-0.3
     (name "rust-arg-enum-proc-macro")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "arg_enum_proc_macro" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "021rr6j3n031ynfbm7kwb3j3bxvbsz40n0nqi78k47d3p92rihcv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "arg_enum_proc_macro" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "021rr6j3n031ynfbm7kwb3j3bxvbsz40n0nqi78k47d3p92rihcv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -2856,14 +2857,14 @@ (define-public rust-ascii-1
     (name "rust-ascii")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ascii" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0281gc828q4j692gb66jfdr5k16gyszgqflylh0pp30rllv63xdv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ascii" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0281gc828q4j692gb66jfdr5k16gyszgqflylh0pp30rllv63xdv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -3065,14 +3066,14 @@ (define-public rust-assert-fs-0.11
     (name "rust-assert-fs")
     (version "0.11.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "assert-fs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1h1q90qskbylv4g3jyizdanj73835q7vvq7q10y555x4gnavmrjc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "assert-fs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1h1q90qskbylv4g3jyizdanj73835q7vvq7q10y555x4gnavmrjc"))))
     (arguments
      `(#:cargo-inputs
        (("rust-globwalk" ,rust-globwalk-0.5)
@@ -4109,13 +4110,13 @@ (define-public rust-autocfg-0.1
     (name "rust-autocfg")
     (version "0.1.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "autocfg" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1chwgimpx5z7xbag7krr9d8asxfqbh683qhgl9kn3hxk2l0djj8x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "autocfg" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1chwgimpx5z7xbag7krr9d8asxfqbh683qhgl9kn3hxk2l0djj8x"))))
     (arguments '(#:skip-build? #t))))
 
 (define-public rust-automod-1
@@ -4196,14 +4197,14 @@ (define-public rust-average-0.10
     (name "rust-average")
     (version "0.10.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "average" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1dmsxqcr1n0i20qr9g2g6j89kkx8dy6w18dbqzx1wi42wj1chgvh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "average" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1dmsxqcr1n0i20qr9g2g6j89kkx8dy6w18dbqzx1wi42wj1chgvh"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -4371,14 +4372,14 @@ (define-public rust-az-1
     (name "rust-az")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "az" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0sb51w9pjcqb315dg6zv9wwqj1q2fldcc3xmfv0bhkmajiyx9g79"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "az" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0sb51w9pjcqb315dg6zv9wwqj1q2fldcc3xmfv0bhkmajiyx9g79"))))
     (build-system cargo-build-system)
     (home-page "https://gitlab.com/tspiteri/az")
     (synopsis "Casts and checked casts")
@@ -4440,13 +4441,13 @@ (define-public rust-backtrace-sys-0.1
     (name "rust-backtrace-sys")
     (version "0.1.37")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "backtrace-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "16a3igz22q9lnnjjr77f4k8ci48v8zdwrs67khx3h7wx3jzfpyqq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "backtrace-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "16a3igz22q9lnnjjr77f4k8ci48v8zdwrs67khx3h7wx3jzfpyqq"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -4545,11 +4546,11 @@ (define-public rust-base64-0.13
         ("rust-rand" ,rust-rand-0.6)
         ("rust-structopt" ,rust-structopt-0.3))
        #:phases
-        (modify-phases %standard-phases
+       (modify-phases %standard-phases
          (add-after 'unpack 'fix-criterion-minor-version
-          (lambda* _
-           (substitute* "Cargo.toml"
-            (("0.3.2") "0.3.3")))))))
+           (lambda* _
+             (substitute* "Cargo.toml"
+               (("0.3.2") "0.3.3")))))))
     (home-page "https://github.com/marshallpierce/rust-base64")
     (synopsis "Encodes and decodes base64 as bytes or utf8")
     (description
@@ -4661,13 +4662,13 @@ (define-public rust-base-x-0.2
     (name "rust-base-x")
     (version "0.2.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "base-x" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1hfy0wv7j5ynd73yk1vyr32pqa77rp15lkrc54f8ky9c6hcbc80v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "base-x" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1hfy0wv7j5ynd73yk1vyr32pqa77rp15lkrc54f8ky9c6hcbc80v"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -4743,13 +4744,13 @@ (define-public rust-bencher-0.1
     (name "rust-bencher")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bencher" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1x8p2xblgqssay8cdykp5pkfc0np0jk5bs5cx4f5av097aav9zbx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bencher" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1x8p2xblgqssay8cdykp5pkfc0np0jk5bs5cx4f5av097aav9zbx"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bluss/bencher/")
     (synopsis "Port of the libtest benchmark runner to Rust stable")
@@ -4765,14 +4766,14 @@ (define-public rust-better-panic-0.2
     (name "rust-better-panic")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "better-panic" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0xl48v6pd9ys7wp0ni62i6q73xpd1nhf92z09sjc9n3lrj0ac4ix"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "better-panic" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0xl48v6pd9ys7wp0ni62i6q73xpd1nhf92z09sjc9n3lrj0ac4ix"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -4818,22 +4819,22 @@ (define-public rust-bigdecimal-0.1
     (name "rust-bigdecimal")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bigdecimal" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0i32g88sin9dzr4jn41wgg3pyx2xxm0m1a9s5vh9lpyj5lg1jx0k"))))
-    (arguments
-      `(#:cargo-inputs
-        (("rust-num-bigint" ,rust-num-bigint-0.2)
-         ("rust-num-integer" ,rust-num-integer-0.1)
-         ("rust-num-traits" ,rust-num-traits-0.2)
-         ("rust-serde" ,rust-serde-1))
-        #:cargo-development-inputs
-        (("rust-serde-json" ,rust-serde-json-1))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bigdecimal" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0i32g88sin9dzr4jn41wgg3pyx2xxm0m1a9s5vh9lpyj5lg1jx0k"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-num-bigint" ,rust-num-bigint-0.2)
+        ("rust-num-integer" ,rust-num-integer-0.1)
+        ("rust-num-traits" ,rust-num-traits-0.2)
+        ("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs
+       (("rust-serde-json" ,rust-serde-json-1))))))
 
 (define-public rust-bigdecimal-rs-0.2
   (package
@@ -4865,14 +4866,14 @@ (define-public rust-bincode-1
     (name "rust-bincode")
     (version "1.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bincode" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vc9pjh6hfp9vfq752sa88rxwg93ydhm0dvvy58rcvx2p8wkl3gk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bincode" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vc9pjh6hfp9vfq752sa88rxwg93ydhm0dvvy58rcvx2p8wkl3gk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -5029,14 +5030,14 @@ (define-public rust-bindgen-0.54
     (name "rust-bindgen")
     (version "0.54.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0dn7dlwa0abjlqbl2kvwfdy6k6kgcqg6ixcjmk6pc3dpps09pm7l"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0dn7dlwa0abjlqbl2kvwfdy6k6kgcqg6ixcjmk6pc3dpps09pm7l"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f  ; not all test files included
@@ -5070,14 +5071,14 @@ (define-public rust-bindgen-0.53
     (name "rust-bindgen")
     (version "0.53.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1rc9grfd25bk5b2acmqljhx55ndbzmh7w8b3x6q707cb4s6rfan7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1rc9grfd25bk5b2acmqljhx55ndbzmh7w8b3x6q707cb4s6rfan7"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1)
@@ -5107,14 +5108,14 @@ (define-public rust-bindgen-0.52
     (name "rust-bindgen")
     (version "0.52.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0mzy2gjiaggl602yn4a11xzrxfj18kl7pwqa5yv32njkxd257j7i"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0mzy2gjiaggl602yn4a11xzrxfj18kl7pwqa5yv32njkxd257j7i"))))
     (arguments
      `(#:cargo-inputs
        (("rust-shlex" ,rust-shlex-0.1)
@@ -5145,14 +5146,14 @@ (define-public rust-bindgen-0.51
     (name "rust-bindgen")
     (version "0.51.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0x9gndlnwmxsihxvsc3izyyss7g8b2djn0daafshj1gcy69i7mzb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0x9gndlnwmxsihxvsc3izyyss7g8b2djn0daafshj1gcy69i7mzb"))))
     (arguments
      `(#:cargo-inputs
        (("rust-shlex" ,rust-shlex-0.1)
@@ -5219,14 +5220,14 @@ (define-public rust-bindgen-0.48
     (name "rust-bindgen")
     (version "0.48.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1jpk0p4l4dg1lpvciq9q8wm94sjsflb1vb5x2gk9dlizv4gl2gcx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1jpk0p4l4dg1lpvciq9q8wm94sjsflb1vb5x2gk9dlizv4gl2gcx"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1)
@@ -5320,14 +5321,14 @@ (define-public rust-bindgen-0.37
     (name "rust-bindgen")
     (version "0.37.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bindgen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "08f2cyzr8fc027mzj2lhmn5j3w318g2ql7yfw5ngxa3yhy1an98v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bindgen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "08f2cyzr8fc027mzj2lhmn5j3w318g2ql7yfw5ngxa3yhy1an98v"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -5630,14 +5631,14 @@ (define-public rust-bit-vec-0.6
     (name "rust-bit-vec")
     (version "0.6.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bit-vec" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ywqjnv60cdh1slhz67psnp422md6jdliji6alq0gmly2xm9p7rl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bit-vec" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ywqjnv60cdh1slhz67psnp422md6jdliji6alq0gmly2xm9p7rl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -5696,13 +5697,13 @@ (define-public rust-bitflags-1
     (name "rust-bitflags")
     (version "1.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bitflags" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "14qnd5nq8p2almk79m4m8ydqhd413yaxsyjp5xd19g3mikzf47fg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bitflags" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "14qnd5nq8p2almk79m4m8ydqhd413yaxsyjp5xd19g3mikzf47fg"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bitflags/bitflags")
     (synopsis "Macro to generate structures which behave like bitflags")
@@ -5720,12 +5721,12 @@ (define-public rust-bitflags-1.3
     (name "rust-bitflags")
     (version "1.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bitflags" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "12ki6w8gn1ldq7yz9y680llwk5gmrhrzszaa17g1sbrw2r2qvwxy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bitflags" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "12ki6w8gn1ldq7yz9y680llwk5gmrhrzszaa17g1sbrw2r2qvwxy"))))
     (arguments
      `(#:tests? #f      ; Tests require rust-1.46 or newer.
        #:cargo-inputs
@@ -5745,14 +5746,14 @@ (define-public rust-bitflags-0.9
     (name "rust-bitflags")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bitflags" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19dk39gfwmhi3iy1x0wgml1fv1bkb525ywy25zwihbm063i05zaf"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bitflags" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19dk39gfwmhi3iy1x0wgml1fv1bkb525ywy25zwihbm063i05zaf"))))))
 
 (define-public rust-bitflags-0.8
   (package
@@ -5925,14 +5926,14 @@ (define-public rust-bitvec-0.19
     (name "rust-bitvec")
     (version "0.19.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bitvec" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "10bz751jbsy8fj203ibjwil07p2fwfzvx7b326wfssaravlkbfm7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bitvec" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "10bz751jbsy8fj203ibjwil07p2fwfzvx7b326wfssaravlkbfm7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -6043,13 +6044,13 @@ (define-public rust-blas-sys-0.7
     (name "rust-blas-sys")
     (version "0.7.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "blas-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0h14zjycwc76v15h8qll9z1xiryvmpvsb5gam97pqpdjrrwv5c8k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "blas-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0h14zjycwc76v15h8qll9z1xiryvmpvsb5gam97pqpdjrrwv5c8k"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -6136,14 +6137,14 @@ (define-public rust-block-buffer-0.9
     (name "rust-block-buffer")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "block-buffer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1r4pf90s7d7lj1wdjhlnqa26vvbm6pnc33z138lxpnp9srpi2lj1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "block-buffer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1r4pf90s7d7lj1wdjhlnqa26vvbm6pnc33z138lxpnp9srpi2lj1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -6161,14 +6162,14 @@ (define-public rust-block-buffer-0.8
     (name "rust-block-buffer")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "block-buffer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0c9x5b8pk25i13bajqjkzf03bm5hx2y8pi9llfvjpy3nhr295kyv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "block-buffer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0c9x5b8pk25i13bajqjkzf03bm5hx2y8pi9llfvjpy3nhr295kyv"))))
     (arguments
      `(#:cargo-inputs
        (("rust-block-padding" ,rust-block-padding-0.1)
@@ -6327,14 +6328,14 @@ (define-public rust-block-padding-0.2
     (name "rust-block-padding")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "block-padding" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0x6b2dgink7rc3755r8jl4kmndydy5563h3wz7z9jqrb25ygv2y9"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "block-padding" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0x6b2dgink7rc3755r8jl4kmndydy5563h3wz7z9jqrb25ygv2y9"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/RustCrypto/utils")
     (synopsis "Padding and unpadding of messages divided into blocks")
@@ -6434,13 +6435,13 @@ (define-public rust-boomphf-0.5
     (name "rust-boomphf")
     (version "0.5.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "boomphf" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "0braniw72g9yq5006sfgc1g8d4317bb524c694jw6nggizrvg3sf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "boomphf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0braniw72g9yq5006sfgc1g8d4317bb524c694jw6nggizrvg3sf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -7266,14 +7267,14 @@ (define-public rust-bytecount-0.4
     (name "rust-bytecount")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytecount" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "13qpy38z5wx0rzcdvr2h0ixbfgi1dbrif068il3hwn3k2mah88mr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytecount" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "13qpy38z5wx0rzcdvr2h0ixbfgi1dbrif068il3hwn3k2mah88mr"))))
     (arguments
      `(#:cargo-inputs
        (("rust-packed-simd" ,rust-packed-simd-0.3))
@@ -7287,14 +7288,14 @@ (define-public rust-bytemuck-1.5
     (name "rust-bytemuck")
     (version "1.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytemuck" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18355qn3r9yp7ibg00r688sjx58g2qsjylwyq15w5b41b46asjss"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytemuck" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18355qn3r9yp7ibg00r688sjx58g2qsjylwyq15w5b41b46asjss"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -7310,14 +7311,14 @@ (define-public rust-bytemuck-1
     (name "rust-bytemuck")
     (version "1.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytemuck" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "071043n73hwi55z9c55ga4v52v8a7ri56gqja8r98clkdyxns14j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytemuck" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "071043n73hwi55z9c55ga4v52v8a7ri56gqja8r98clkdyxns14j"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -7333,13 +7334,13 @@ (define-public rust-bytemuck-derive-1
     (name "rust-bytemuck-derive")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytemuck-derive" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1k59b6g2d87nf32qwhp73vng3al0zklxg64iiwf0pkxy74xf5ni8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytemuck-derive" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1k59b6g2d87nf32qwhp73vng3al0zklxg64iiwf0pkxy74xf5ni8"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -7354,7 +7355,7 @@ (define-public rust-bytemuck-derive-1
     (description
      "This package derives proc-macros for the @code{bytemuck} crate.")
     (license
-      (list license:zlib license:asl2.0 license:expat))))
+     (list license:zlib license:asl2.0 license:expat))))
 
 (define-public rust-byteorder-1
   (package
@@ -7488,14 +7489,14 @@ (define-public rust-bytes-0.3
     (name "rust-bytes")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "bytes" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "09vcp9kh12pva2xn2ir79k90v1a0id8f4sdv1abn5ifw2bqsyaf1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "bytes" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "09vcp9kh12pva2xn2ir79k90v1a0id8f4sdv1abn5ifw2bqsyaf1"))))
     (arguments
      `(#:tests? #f      ; Tests not distributed in crate.
        #:cargo-development-inputs
@@ -7621,18 +7622,18 @@ (define-public rust-bzip2-sys-0.1
        (sha256
         (base32
          "0pi8lxzb1104q9cpvv1jgnk909cggqh2zcdhywqwlbq6c2i3jfxd"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (delete-file-recursively "bzip2-1.0.8")
-            (delete-file "build.rs")
-            ;; Inspired by Debian's patch.
-            (with-output-to-file "build.rs"
-              (lambda _
-                (format #t "fn main() {~@
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (delete-file-recursively "bzip2-1.0.8")
+           (delete-file "build.rs")
+           ;; Inspired by Debian's patch.
+           (with-output-to-file "build.rs"
+             (lambda _
+               (format #t "fn main() {~@
                         println!(\"cargo:rustc-link-lib=bz2\");~@
                         }~%")))
-            #t))))
+           #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -7860,12 +7861,12 @@ (define-public rust-calloop-0.4
        (sha256
         (base32
          "0q6ic9lr0s86886mbyn4yncg68b2sykgwjf3iygdw01swmxhk8ks"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (substitute* "Cargo.toml"
-              (("=1.0.0") "^1.0.0"))
-            #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (substitute* "Cargo.toml"
+             (("=1.0.0") "^1.0.0"))
+           #t))))
     (arguments
      `(#:cargo-inputs
        (("rust-mio" ,rust-mio-0.6)
@@ -7938,14 +7939,14 @@ (define-public rust-capnp-0.10
     (name "rust-capnp")
     (version "0.10.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "capnp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "17hsnmlcrzksjjpwpz51y8g36xzq8042i2cwns0lsg7rixfw2rxq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capnp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "17hsnmlcrzksjjpwpz51y8g36xzq8042i2cwns0lsg7rixfw2rxq"))))
     (arguments
      `(#:cargo-inputs
        (("rust-futures" ,rust-futures-0.1)
@@ -7984,14 +7985,14 @@ (define-public rust-capnp-futures-0.10
     (name "rust-capnp-futures")
     (version "0.10.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "capnp-futures" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0qdiqkp9mh4acpa0dqhpzv2gwf949rj3m85mgwl1rih6gvgbh1zs"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capnp-futures" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0qdiqkp9mh4acpa0dqhpzv2gwf949rj3m85mgwl1rih6gvgbh1zs"))))
     (arguments
      `(#:cargo-inputs
        (("rust-capnp" ,rust-capnp-0.10)
@@ -8033,14 +8034,14 @@ (define-public rust-capnp-rpc-0.10
     (name "rust-capnp-rpc")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "capnp-rpc" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1j6xg7yays1hlm1045wviyn1642yvvi2p4kba26yk07a0kafr3jn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capnp-rpc" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1j6xg7yays1hlm1045wviyn1642yvvi2p4kba26yk07a0kafr3jn"))))
     (arguments
      `(#:cargo-inputs
        (("rust-capnp" ,rust-capnp-0.10)
@@ -8074,14 +8075,14 @@ (define-public rust-capnpc-0.10
     (name "rust-capnpc")
     (version "0.10.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "capnpc" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1zxbmdkr0xfzkfq9p8zn7pp9jjq275qhr8fh9a0cc0ab37yfvbyj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "capnpc" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1zxbmdkr0xfzkfq9p8zn7pp9jjq275qhr8fh9a0cc0ab37yfvbyj"))))
     (arguments
      `(#:cargo-inputs
        (("rust-capnp" ,rust-capnp-0.10))))))
@@ -8150,65 +8151,65 @@ (define-public rust-cargo-0.53
      `(;; The test suite is disabled as the internal 'cargo-test-macro' and
        ;; 'cargo-test-support' crates are not included in the release.
        #:tests? #f
-       #:rust ,rust-1.52        ;transitively inherited from rust-sized-chunks
-       #:cargo-inputs
-       (("rust-anyhow" ,rust-anyhow-1)
-        ("rust-atty" ,rust-atty-0.2)
-        ("rust-bytesize" ,rust-bytesize-1)
-        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
-        ("rust-clap" ,rust-clap-2)
-        ("rust-core-foundation" ,rust-core-foundation-0.9)
-        ("rust-crates-io" ,rust-crates-io-0.33)
-        ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
-        ("rust-crypto-hash" ,rust-crypto-hash-0.3)
-        ("rust-curl" ,rust-curl-0.4)
-        ("rust-curl-sys" ,rust-curl-sys-0.4)
-        ("rust-env-logger" ,rust-env-logger-0.8)
-        ("rust-filetime" ,rust-filetime-0.2)
-        ("rust-flate2" ,rust-flate2-1)
-        ("rust-flate2" ,rust-flate2-1)
-        ("rust-fwdansi" ,rust-fwdansi-1)
-        ("rust-git2" ,rust-git2-0.13)
-        ("rust-git2-curl" ,rust-git2-curl-0.14)
-        ("rust-glob" ,rust-glob-0.3)
-        ("rust-hex" ,rust-hex-0.4)
-        ("rust-home" ,rust-home-0.5)
-        ("rust-humantime" ,rust-humantime-2)
-        ("rust-ignore" ,rust-ignore-0.4)
-        ("rust-im-rc" ,rust-im-rc-15)
-        ("rust-jobserver" ,rust-jobserver-0.1)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-lazycell" ,rust-lazycell-1)
-        ("rust-libc" ,rust-libc-0.2)
-        ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
-        ("rust-log" ,rust-log-0.4)
-        ("rust-memchr" ,rust-memchr-2)
-        ("rust-miow" ,rust-miow-0.3)
-        ("rust-num-cpus" ,rust-num-cpus-1)
-        ("rust-opener" ,rust-opener-0.4)
-        ("rust-openssl" ,rust-openssl-0.10)
-        ("rust-percent-encoding" ,rust-percent-encoding-2)
-        ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
-        ("rust-rand" ,rust-rand-0.8)
-        ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
-        ("rust-rustfix" ,rust-rustfix-0.5)
-        ("rust-same-file" ,rust-same-file-1)
-        ("rust-semver" ,rust-semver-0.10)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-shell-escape" ,rust-shell-escape-0.1)
-        ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
-        ("rust-tar" ,rust-tar-0.4)
-        ("rust-tar" ,rust-tar-0.4)
-        ("rust-tempfile" ,rust-tempfile-3)
-        ("rust-termcolor" ,rust-termcolor-1)
-        ("rust-toml" ,rust-toml-0.5)
-        ("rust-unicode-width" ,rust-unicode-width-0.1)
-        ("rust-unicode-xid" ,rust-unicode-xid-0.2)
-        ("rust-url" ,rust-url-2)
-        ("rust-walkdir" ,rust-walkdir-2)
-        ("rust-winapi" ,rust-winapi-0.3))))
+                #:rust ,rust-1.52        ;transitively inherited from rust-sized-chunks
+                #:cargo-inputs
+                (("rust-anyhow" ,rust-anyhow-1)
+                 ("rust-atty" ,rust-atty-0.2)
+                 ("rust-bytesize" ,rust-bytesize-1)
+                 ("rust-cargo-platform" ,rust-cargo-platform-0.1)
+                 ("rust-clap" ,rust-clap-2)
+                 ("rust-core-foundation" ,rust-core-foundation-0.9)
+                 ("rust-crates-io" ,rust-crates-io-0.33)
+                 ("rust-crossbeam-utils" ,rust-crossbeam-utils-0.8)
+                 ("rust-crypto-hash" ,rust-crypto-hash-0.3)
+                 ("rust-curl" ,rust-curl-0.4)
+                 ("rust-curl-sys" ,rust-curl-sys-0.4)
+                 ("rust-env-logger" ,rust-env-logger-0.8)
+                 ("rust-filetime" ,rust-filetime-0.2)
+                 ("rust-flate2" ,rust-flate2-1)
+                 ("rust-flate2" ,rust-flate2-1)
+                 ("rust-fwdansi" ,rust-fwdansi-1)
+                 ("rust-git2" ,rust-git2-0.13)
+                 ("rust-git2-curl" ,rust-git2-curl-0.14)
+                 ("rust-glob" ,rust-glob-0.3)
+                 ("rust-hex" ,rust-hex-0.4)
+                 ("rust-home" ,rust-home-0.5)
+                 ("rust-humantime" ,rust-humantime-2)
+                 ("rust-ignore" ,rust-ignore-0.4)
+                 ("rust-im-rc" ,rust-im-rc-15)
+                 ("rust-jobserver" ,rust-jobserver-0.1)
+                 ("rust-lazy-static" ,rust-lazy-static-1)
+                 ("rust-lazycell" ,rust-lazycell-1)
+                 ("rust-libc" ,rust-libc-0.2)
+                 ("rust-libgit2-sys" ,rust-libgit2-sys-0.12)
+                 ("rust-log" ,rust-log-0.4)
+                 ("rust-memchr" ,rust-memchr-2)
+                 ("rust-miow" ,rust-miow-0.3)
+                 ("rust-num-cpus" ,rust-num-cpus-1)
+                 ("rust-opener" ,rust-opener-0.4)
+                 ("rust-openssl" ,rust-openssl-0.10)
+                 ("rust-percent-encoding" ,rust-percent-encoding-2)
+                 ("rust-pretty-env-logger" ,rust-pretty-env-logger-0.4)
+                 ("rust-rand" ,rust-rand-0.8)
+                 ("rust-rustc-workspace-hack" ,rust-rustc-workspace-hack-1)
+                 ("rust-rustfix" ,rust-rustfix-0.5)
+                 ("rust-same-file" ,rust-same-file-1)
+                 ("rust-semver" ,rust-semver-0.10)
+                 ("rust-serde" ,rust-serde-1)
+                 ("rust-serde-ignored" ,rust-serde-ignored-0.1)
+                 ("rust-serde-json" ,rust-serde-json-1)
+                 ("rust-shell-escape" ,rust-shell-escape-0.1)
+                 ("rust-strip-ansi-escapes" ,rust-strip-ansi-escapes-0.1)
+                 ("rust-tar" ,rust-tar-0.4)
+                 ("rust-tar" ,rust-tar-0.4)
+                 ("rust-tempfile" ,rust-tempfile-3)
+                 ("rust-termcolor" ,rust-termcolor-1)
+                 ("rust-toml" ,rust-toml-0.5)
+                 ("rust-unicode-width" ,rust-unicode-width-0.1)
+                 ("rust-unicode-xid" ,rust-unicode-xid-0.2)
+                 ("rust-url" ,rust-url-2)
+                 ("rust-walkdir" ,rust-walkdir-2)
+                 ("rust-winapi" ,rust-winapi-0.3))))
     (native-inputs
      `(("pkg-config" ,pkg-config)))
     (inputs
@@ -8222,6 +8223,76 @@ (define-public rust-cargo-0.53
 the library crate of Cargo.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-cargo-make-0.35
+  (package
+    (name "rust-cargo-make")
+    (version "0.35.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo-make" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1hqqxwgg4aqjrwi769gnbj5fjk1ch0x05yipijp65ynq3ilz02p0"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-ansi-term" ,rust-ansi-term-0.12)
+        ("rust-cargo-metadata" ,rust-cargo-metadata-0.14)
+        ("rust-ci-info" ,rust-ci-info-0.14)
+        ("rust-clap" ,rust-clap-2)
+        ("rust-colored" ,rust-colored-2)
+        ("rust-dirs-next" ,rust-dirs-next-2)
+        ("rust-duckscript" ,rust-duckscript-0.7)
+        ("rust-duckscriptsdk" ,rust-duckscriptsdk-0.8)
+        ("rust-envmnt" ,rust-envmnt-0.9)
+        ("rust-fern" ,rust-fern-0.6)
+        ("rust-fsio" ,rust-fsio-0.3)
+        ("rust-git-info" ,rust-git-info-0.1)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-home" ,rust-home-0.5)
+        ("rust-ignore" ,rust-ignore-0.4)
+        ("rust-indexmap" ,rust-indexmap-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-run-script" ,rust-run-script-0.9)
+        ("rust-rust-info" ,rust-rust-info-0.3)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
+        ("rust-shell2batch" ,rust-shell2batch-0.4)
+        ("rust-toml" ,rust-toml-0.5))))
+    (home-page "https://sagiegurari.github.io/cargo-make")
+    (synopsis "Rust task runner and build tool.")
+    (description "Rust task runner and build tool.")
+    (license license:asl2.0)))
+
+(define-public rust-cargo-metadata-0.14
+  (package
+    (name "rust-cargo-metadata")
+    (version "0.14.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo-metadata" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "04kfzvmh80pq0bw1cwzlz71wfrign2k7792mc4gi8hs1jkgfcams"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-camino" ,rust-camino-1)
+        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
+        ("rust-derive-builder" ,rust-derive-builder-0.9)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1))))
+    (home-page "https://github.com/oli-obk/cargo_metadata")
+    (synopsis "structured access to the output of `cargo metadata`")
+    (description "structured access to the output of `cargo metadata`")
+    (license license:expat)))
+
 (define-public rust-cargo-metadata-0.13
   (package
     (name "rust-cargo-metadata")
@@ -8259,14 +8330,14 @@ (define-public rust-cargo-metadata-0.9
     (name "rust-cargo-metadata")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cargo_metadata" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "00pjms89lghvizh4d55lz80hvrih9r55xv9m5wd9vcsgc163gqs6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo_metadata" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "00pjms89lghvizh4d55lz80hvrih9r55xv9m5wd9vcsgc163gqs6"))))
     (arguments
      `(#:tests? #f
        #:cargo-inputs
@@ -8285,14 +8356,14 @@ (define-public rust-cargo-metadata-0.6
     (name "rust-cargo-metadata")
     (version "0.6.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cargo_metadata" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1givpi2w7iwqqnl87x5yc15zcm5hs6yw490sb6abkfp1h39v9lg5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo_metadata" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1givpi2w7iwqqnl87x5yc15zcm5hs6yw490sb6abkfp1h39v9lg5"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -8333,13 +8404,13 @@ (define-public rust-cargon-0.0
     (name "rust-cargon")
     (version "0.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cargon" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1cszlab7jk736p0lb50ag4l9nv72m7j41bwrmygl0lr4iz0350w2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargon" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1cszlab7jk736p0lb50ag4l9nv72m7j41bwrmygl0lr4iz0350w2"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -8408,13 +8479,13 @@ (define-public rust-cblas-sys-0.1
     (name "rust-cblas-sys")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cblas-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0rgsn3klhhh09d8qf3b87zl4rwk93l2g0qzh9hhb0lff5kcfrzmn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cblas-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0rgsn3klhhh09d8qf3b87zl4rwk93l2g0qzh9hhb0lff5kcfrzmn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))))
@@ -8430,13 +8501,13 @@ (define-public rust-cc-1
     (name "rust-cc")
     (version "1.0.66")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cc" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0j7d7h4n81z5f22l3v8ggjvvw8m64636nlaqax4x1y44da1rc12c"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cc" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0j7d7h4n81z5f22l3v8ggjvvw8m64636nlaqax4x1y44da1rc12c"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -8478,14 +8549,14 @@ (define-public rust-cexpr-0.4
     (name "rust-cexpr")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cexpr" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "09qd1k1mrhcqfhqmsz4y1bya9gcs29si7y3w96pqkgid4y2dpbpl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cexpr" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "09qd1k1mrhcqfhqmsz4y1bya9gcs29si7y3w96pqkgid4y2dpbpl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -8592,13 +8663,13 @@ (define-public rust-cfg-if-0.1
     (name "rust-cfg-if")
     (version "0.1.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cfg-if" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "08h80ihs74jcyp24cd75wwabygbbdgl05k6p5dmq8akbr78vv1a7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cfg-if" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "08h80ihs74jcyp24cd75wwabygbbdgl05k6p5dmq8akbr78vv1a7"))))
     (arguments
      `(#:cargo-inputs
        (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
@@ -8873,6 +8944,31 @@ (define-public rust-chunked-transfer-0.3
        (sha256
         (base32 "11yghnd24w0i9p8g368c3pg7qh9nfz7kgri6pywja9pnmakj13a9"))))))
 
+(define-public rust-ci-info-0.14
+  (package
+    (name "rust-ci-info")
+    (version "0.14.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ci-info" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "08vkxaqnhqsvld4f30bfy5bqpyzn0jlq5f61j8dz0hi26xj2h3hz"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-envmnt" ,rust-envmnt-0.9)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1))
+       #:cargo-development-inputs
+       (("rust-doc-comment" ,rust-doc-comment-0.3)
+        ("rust-lazy-static" ,rust-lazy-static-1))))
+    (home-page "http://github.com/sagiegurari/ci_info")
+    (synopsis "Provides current CI environment information.")
+    (description "This package provides current CI environment information.")
+    (license license:asl2.0)))
+
 (define-public rust-ci-info-0.3
   (package
     (name "rust-ci-info")
@@ -8902,14 +8998,14 @@ (define-public rust-clang-ast-0.1
     (name "rust-clang-ast")
     (version "0.1.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-ast" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1sfqyxszas78s78nga88fl0i5qlr87qsj22vlxarhvx96q86impf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-ast" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1sfqyxszas78s78nga88fl0i5qlr87qsj22vlxarhvx96q86impf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t     ; Uses unstable features.
@@ -8930,14 +9026,14 @@ (define-public rust-clang-ast-test-suite-0.0.0
     (name "rust-clang-ast-test-suite")
     (version "0.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-ast-test-suite" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "04c6p67w2f3s74pl83swj93l6p9g88vgki0rp2vxbb0bzm1hqy5h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-ast-test-suite" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "04c6p67w2f3s74pl83swj93l6p9g88vgki0rp2vxbb0bzm1hqy5h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t))   ; Not intended to be built independently.
@@ -8977,18 +9073,18 @@ (define-public rust-cipher-0.3
     (name "rust-cipher")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cipher" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "1dyzsv0c84rgz98d5glnhsz4320wl24x3bq511vnyf0mxir21rby"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cipher" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1dyzsv0c84rgz98d5glnhsz4320wl24x3bq511vnyf0mxir21rby"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-        (("rust-blobby" ,rust-blobby-0.3)
-         ("rust-generic-array" ,rust-generic-array-0.14))))
+       (("rust-blobby" ,rust-blobby-0.3)
+        ("rust-generic-array" ,rust-generic-array-0.14))))
     (home-page "https://docs.rs/cipher/")
     (synopsis "Traits for describing block ciphers and stream ciphers")
     (description "This package provides traits which define the functionality
@@ -9003,13 +9099,13 @@ (define-public rust-cipher-0.2
     (name "rust-cipher")
     (version "0.2.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cipher" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "00b8imbmdg7zdrbaczlivmdfdy09xldg95wl4iijl15xgjcfgy0j"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cipher" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "00b8imbmdg7zdrbaczlivmdfdy09xldg95wl4iijl15xgjcfgy0j"))))))
 
 (define-public rust-clang-sys-0.29
   (package
@@ -9017,13 +9113,13 @@ (define-public rust-clang-sys-0.29
     (name "rust-clang-sys")
     (version "0.29.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "02nibl74zbz5x693iy5vdbhnfckja47m7j1mp2bj7fjw3pgkfs7y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "02nibl74zbz5x693iy5vdbhnfckja47m7j1mp2bj7fjw3pgkfs7y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -9037,13 +9133,13 @@ (define-public rust-clang-sys-0.28
     (name "rust-clang-sys")
     (version "0.28.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ls8zcqi5bmmrvrk3b6r1ym4wlivinbv590d2dvg2xn9f44mbpl1"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ls8zcqi5bmmrvrk3b6r1ym4wlivinbv590d2dvg2xn9f44mbpl1"))))))
 
 (define-public rust-clang-sys-0.26
   (package
@@ -9051,13 +9147,13 @@ (define-public rust-clang-sys-0.26
     (name "rust-clang-sys")
     (version "0.26.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1r50dwy5hj5gq07dn0qf8222d07qv0970ymx0j8n9779yayc3w3f"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1r50dwy5hj5gq07dn0qf8222d07qv0970ymx0j8n9779yayc3w3f"))))
     (arguments
      `(#:cargo-inputs
        (("rust-glob" ,rust-glob-0.2)
@@ -9070,14 +9166,14 @@ (define-public rust-clang-sys-0.23
     (name "rust-clang-sys")
     (version "0.23.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clang-sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hjr333izzhs6bic84qwnyzy5xzmvasib8f3zkzj4ln3a97c1xyp"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clang-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hjr333izzhs6bic84qwnyzy5xzmvasib8f3zkzj4ln3a97c1xyp"))))))
 
 (define-public rust-clang-sys-0.22
   (package
@@ -9258,13 +9354,13 @@ (define-public rust-clicolors-control-1
     (name "rust-clicolors-control")
     (version "1.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clicolors-control" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "07klix8nbpwk0cg1k4h0kkiijm1jxvrzndqdkr7dqr6xvkjjw24h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clicolors-control" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "07klix8nbpwk0cg1k4h0kkiijm1jxvrzndqdkr7dqr6xvkjjw24h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -9398,13 +9494,13 @@ (define-public rust-cloudabi-0.1
     (name "rust-cloudabi")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cloudabi" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0rv4yf5jlldfkynzrw687s00f4x12ypw7axv71vawhy6h4i52i23"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cloudabi" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0rv4yf5jlldfkynzrw687s00f4x12ypw7axv71vawhy6h4i52i23"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -9422,13 +9518,13 @@ (define-public rust-cloudabi-0.0
     (name "rust-cloudabi")
     (version "0.0.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cloudabi" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0kxcg83jlihy0phnd2g8c2c303px3l2p3pkjz357ll6llnd5pz6x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cloudabi" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0kxcg83jlihy0phnd2g8c2c303px3l2p3pkjz357ll6llnd5pz6x"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1))))))
@@ -9438,14 +9534,14 @@ (define-public rust-cloudflare-zlib-sys-0.2
     (name "rust-cloudflare-zlib-sys")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cloudflare-zlib-sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "01lwfd15ijw4d8jsqp87yv4wpmzcp84qm0qqwy3yxmm0fjr5q6by"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cloudflare-zlib-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "01lwfd15ijw4d8jsqp87yv4wpmzcp84qm0qqwy3yxmm0fjr5q6by"))))
     ;; This crate bundles cloudflare's fork of zlib, so we don't unbundle it.
     (build-system cargo-build-system)
     (arguments
@@ -9458,28 +9554,28 @@ (define-public rust-cloudflare-zlib-sys-0.2
     (description
      "Cloudflare fork of zlib with massive performance improvements.")
     (license
-      (list license:expat
-            license:asl2.0
-            license:zlib))))
+     (list license:expat
+           license:asl2.0
+           license:zlib))))
 
 (define-public rust-cmac-0.5
   (package
     (name "rust-cmac")
     (version "0.5.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cmac" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0wj2kd4lb5hb7dvxfad4hi8gklmbq8vvvcnzmmqgxr94fx7xxm3k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0wj2kd4lb5hb7dvxfad4hi8gklmbq8vvvcnzmmqgxr94fx7xxm3k"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-crypto-mac" ,rust-crypto-mac-0.10)
-         ("rust-dbl" ,rust-dbl-0.3))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-crypto-mac" ,rust-crypto-mac-0.10)
+        ("rust-dbl" ,rust-dbl-0.3))))
     (home-page "https://docs.rs/cmac/")
     (synopsis "Generic implementation of Cipher-based Message Authentication
 Code")
@@ -9492,13 +9588,13 @@ (define-public rust-cmake-0.1
     (name "rust-cmake")
     (version "0.1.44")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cmake" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1fv346ipxmvff6qrnh78rild0s8k72ilfjkdsrk869562y62cmhf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cmake" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1fv346ipxmvff6qrnh78rild0s8k72ilfjkdsrk869562y62cmhf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-cc" ,rust-cc-1))))
@@ -9783,14 +9879,14 @@ (define-public rust-colored-2
     (name "rust-colored")
     (version "2.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "colored" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1gbcijscmznzy42rn213yp9ima7210zakgaqibgg1n441dsnyqdk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "colored" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1gbcijscmznzy42rn213yp9ima7210zakgaqibgg1n441dsnyqdk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -9820,14 +9916,14 @@ (define-public rust-colored-1
     (name "rust-colored")
     (version "1.9.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "colored" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0nbc1czs512h1k696y7glv1kjrb2b914zpxraic6q5fgv80wizzl"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "colored" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nbc1czs512h1k696y7glv1kjrb2b914zpxraic6q5fgv80wizzl"))))))
 
 (define-public rust-colored-1.9.1
   (package
@@ -9976,20 +10072,20 @@ (define-public rust-commoncrypto-sys-0.2
     (name "rust-commoncrypto-sys")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "commoncrypto-sys" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1ql381ziqh594a7z6m9bvs583lkrhbynk02pmbgp7aj7czs39v8z"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "commoncrypto-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ql381ziqh594a7z6m9bvs583lkrhbynk02pmbgp7aj7czs39v8z"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t                ;requires the Mac OS library
-        #:cargo-inputs
-        (("rust-clippy" ,rust-clippy-0.0)
-         ("rust-libc" ,rust-libc-0.2))))
+     `(#:skip-build? #t                ;requires the Mac OS library
+       #:cargo-inputs
+       (("rust-clippy" ,rust-clippy-0.0)
+        ("rust-libc" ,rust-libc-0.2))))
     (home-page "https://github.com/malept/rust-commoncrypto")
     (synopsis "FFI bindings to Mac OS X's CommonCrypto library")
     (description "This package is a component of the @code{commoncrypto}
@@ -10002,20 +10098,20 @@ (define-public rust-commoncrypto-0.2
     (name "rust-commoncrypto")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "commoncrypto" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "01whnqcziclsj1gwavvqhrw2r5cmwh00j2fbc56iwnm2ddcahmnh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "commoncrypto" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "01whnqcziclsj1gwavvqhrw2r5cmwh00j2fbc56iwnm2ddcahmnh"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-clippy" ,rust-clippy-0.0)
-         ("rust-commoncrypto-sys" ,rust-commoncrypto-sys-0.2))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-clippy" ,rust-clippy-0.0)
+        ("rust-commoncrypto-sys" ,rust-commoncrypto-sys-0.2))))
     (home-page "https://github.com/malept/rust-commoncrypto")
     (synopsis "Idiomatic Rust wrappers for Mac OS X's CommonCrypto library")
     (description "The @{commoncrypto} library provides Rust FFI bindings and
@@ -10048,13 +10144,13 @@ (define-public rust-compiler-builtins-0.1
     (name "rust-compiler-builtins")
     (version "0.1.26")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "compiler_builtins" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1rhj6ccmfkh9gcxnxgjq4fg257yi4f9325nfzsphbmxwkrg06sq3"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "compiler_builtins" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1rhj6ccmfkh9gcxnxgjq4fg257yi4f9325nfzsphbmxwkrg06sq3"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -10307,14 +10403,14 @@ (define-public rust-console-0.9
     (name "rust-console")
     (version "0.9.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "console" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1h765951c9mywff534f0191slazykmif4290g2yarcwhd2cg7q25"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "console" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1h765951c9mywff534f0191slazykmif4290g2yarcwhd2cg7q25"))))
     (arguments
      `(#:cargo-inputs
        (("rust-unicode-width" ,rust-unicode-width-0.1)
@@ -10390,14 +10486,14 @@ (define-public rust-console-log-0.1
     (name "rust-console-log")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "console-log" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0j1wd2885m3245bhsb2qjvw08lzplbi1rgg2v3yv0hbljk972y0y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "console-log" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0j1wd2885m3245bhsb2qjvw08lzplbi1rgg2v3yv0hbljk972y0y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -10531,11 +10627,11 @@ (define-public rust-conv-0.3
        (sha256
         (base32
          "168j1npqrif1yqxbgbk0pdrx9shzhs5ylc5a4xw49b6hbxi11zvq"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (substitute* "Cargo.toml"
-                   (("0.2.21.*") "0.2.21\"\n"))
-                 #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (substitute* "Cargo.toml"
+                  (("0.2.21.*") "0.2.21\"\n"))
+                #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -10715,14 +10811,14 @@ (define-public rust-cordic-0.1
     (name "rust-cordic")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cordic" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "13zvqn6c8d8lp18p9ik10q100wfsyv2m2n4fca16laq3yw7r231m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cordic" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "13zvqn6c8d8lp18p9ik10q100wfsyv2m2n4fca16laq3yw7r231m"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t     ; rust-fixed fails to build
@@ -11161,14 +11257,14 @@ (define-public rust-cpuid-bool-0.1
     (name "rust-cpuid-bool")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cpuid-bool" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1r3v22cxly1shvw8qi0153708kggdqvh8jp0g82wbxi06d1mqdvd"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cpuid-bool" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1r3v22cxly1shvw8qi0153708kggdqvh8jp0g82wbxi06d1mqdvd"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/RustCrypto/utils")
     (synopsis "Lightweight alternative to is_x86_feature_detected")
@@ -11587,22 +11683,22 @@ (define-public rust-crossbeam-channel-0.4
     (name "rust-crossbeam-channel")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "crossbeam-channel" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0qd05n5bcwafkmbzq1lspwrfi29xnzlw46qarg1sl0lwj68qdvfc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "crossbeam-channel" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0qd05n5bcwafkmbzq1lspwrfi29xnzlw46qarg1sl0lwj68qdvfc"))))
     (arguments
      `(#:cargo-inputs
-        (("rust-crossbeam-utils" ,rust-crossbeam-utils-0.7)
-         ("rust-maybe-uninit" ,rust-maybe-uninit-2))
-        #:cargo-development-inputs
-        (("rust-num-cpus" ,rust-num-cpus-1)
-         ("rust-rand" ,rust-rand-0.6)
-         ("rust-signal-hook" ,rust-signal-hook-0.1))))))
+       (("rust-crossbeam-utils" ,rust-crossbeam-utils-0.7)
+        ("rust-maybe-uninit" ,rust-maybe-uninit-2))
+       #:cargo-development-inputs
+       (("rust-num-cpus" ,rust-num-cpus-1)
+        ("rust-rand" ,rust-rand-0.6)
+        ("rust-signal-hook" ,rust-signal-hook-0.1))))))
 
 (define-public rust-crossbeam-channel-0.3
   (package
@@ -12241,14 +12337,14 @@ (define-public rust-crypto-mac-0.11
     (name "rust-crypto-mac")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "crypto-mac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ghh3qmjf7hv580zqdk4yrbg99v57jx773zb7lzi7j4hj24bdyi5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "crypto-mac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ghh3qmjf7hv580zqdk4yrbg99v57jx773zb7lzi7j4hj24bdyi5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -12268,13 +12364,13 @@ (define-public rust-crypto-mac-0.10
     (name "rust-crypto-mac")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "crypto-mac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "19iyh7h9qaqrv29dhbd31rm6pq023ry78nw7jwr3qjy3l22zsms8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "crypto-mac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "19iyh7h9qaqrv29dhbd31rm6pq023ry78nw7jwr3qjy3l22zsms8"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -12515,14 +12611,14 @@ (define-public rust-cssparser-0.25
     (name "rust-cssparser")
     (version "0.25.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cssparser" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "03klvpdzsk4cyh8k0dbnlngzafv7gqywqrnsqqb3gfmrxyj8rqgv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cssparser" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03klvpdzsk4cyh8k0dbnlngzafv7gqywqrnsqqb3gfmrxyj8rqgv"))))
     (arguments
      `(#:tests? #f      ; Some test files missing.
        #:cargo-inputs
@@ -12549,14 +12645,14 @@ (define-public rust-cssparser-macros-0.6
     (name "rust-cssparser-macros")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cssparser-macros" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vp13g4blyjvhg3j4r9b7vrwhnfi1y2fmhv8hxgficpjazg7bbnz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cssparser-macros" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vp13g4blyjvhg3j4r9b7vrwhnfi1y2fmhv8hxgficpjazg7bbnz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -12574,14 +12670,14 @@ (define-public rust-cssparser-macros-0.3
     (name "rust-cssparser-macros")
     (version "0.3.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cssparser-macros" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1vqyc5xm8a4va92vs1nn0cc46c930l2n21gccijnc5y7hx7cicav"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cssparser-macros" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1vqyc5xm8a4va92vs1nn0cc46c930l2n21gccijnc5y7hx7cicav"))))
     (arguments
      `(#:cargo-inputs
        (("rust-phf-codegen" ,rust-phf-codegen-0.7)
@@ -12765,14 +12861,14 @@ (define-public rust-ctor-0.1
     (name "rust-ctor")
     (version "0.1.15")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ctor" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "09x2my9x33srjdip8yf4lm5gq7xqis2694abvpa64r60pajqm19r"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ctor" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "09x2my9x33srjdip8yf4lm5gq7xqis2694abvpa64r60pajqm19r"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -12791,18 +12887,18 @@ (define-public rust-ctr-0.6
     (name "rust-ctr")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ctr" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0zvyf13675hrlc37myj97k5ng7m1mj3d9p4ic4yvyhvl9zak0jpv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ctr" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0zvyf13675hrlc37myj97k5ng7m1mj3d9p4ic4yvyhvl9zak0jpv"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-cipher" ,rust-cipher-0.2))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-cipher" ,rust-cipher-0.2))))
     (home-page "https://docs.rs/ctr/")
     (synopsis "CTR block mode of operation")
     (description "This package provides a generic implementations of CTR mode
@@ -12898,16 +12994,16 @@ (define-public rust-curl-sys-0.4
     (name "rust-curl-sys")
     (version "0.4.39+curl-7.74.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "curl-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0x7qhq7c3b1vmp3740yiigzm09qvkzpdf578jjrs0s3v3s3cxa07"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "curl") #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "curl-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0x7qhq7c3b1vmp3740yiigzm09qvkzpdf578jjrs0s3v3s3cxa07"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "curl") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -12940,27 +13036,27 @@ (define-public rust-curve25519-dalek-3
     (name "rust-curve25519-dalek")
     (version "3.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "curve25519-dalek" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "01xknhlwagv601k6125372vr0lw2j6xjsvnnl74hprp943j2sjf8"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-byteorder" ,rust-byteorder-1)
-         ("rust-digest" ,rust-digest-0.9)
-         ("rust-packed-simd" ,rust-packed-simd-0.3)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-subtle" ,rust-subtle-2)
-         ("rust-zeroize" ,rust-zeroize-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "curve25519-dalek" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "01xknhlwagv601k6125372vr0lw2j6xjsvnnl74hprp943j2sjf8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-byteorder" ,rust-byteorder-1)
+        ("rust-digest" ,rust-digest-0.9)
+        ("rust-packed-simd" ,rust-packed-simd-0.3)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-subtle" ,rust-subtle-2)
+        ("rust-zeroize" ,rust-zeroize-1))))
     (home-page "https://dalek.rs/curve25519-dalek")
     (synopsis "Group operations on ristretto255 and Curve25519")
     (description
-      "This package provides a pure-Rust implementation of group operations on
+     "This package provides a pure-Rust implementation of group operations on
 ristretto255 and Curve25519")
     (license license:bsd-3)))
 
@@ -12994,14 +13090,14 @@ (define-public rust-cxx-1
     (name "rust-cxx")
     (version "1.0.49")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxx" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0xj29zzd45bkk797902h22kppzmrzm7v9a2wijfiqr964vhrldk5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxx" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0xj29zzd45bkk797902h22kppzmrzm7v9a2wijfiqr964vhrldk5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f  ; Cannot compile cxx-test-suite.
@@ -13028,14 +13124,14 @@ (define-public rust-cxx-0.5
     (name "rust-cxx")
     (version "0.5.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxx" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1alj19zf8jm5j8c8hynqb36f0vyjqs8yhwmxpcapfmb5lav4ipgb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxx" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1alj19zf8jm5j8c8hynqb36f0vyjqs8yhwmxpcapfmb5lav4ipgb"))))
     (arguments
      `(#:tests? #f  ; Cannot compile cxx-test-suite.
        #:cargo-inputs
@@ -13055,14 +13151,14 @@ (define-public rust-cxx-build-1
     (name "rust-cxx-build")
     (version "1.0.49")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxx-build" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0shmkgv3cnh06ws1p555znj1hh23phynaz73rgnz95gradsdwnwg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxx-build" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0shmkgv3cnh06ws1p555znj1hh23phynaz73rgnz95gradsdwnwg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:rust ,rust-1.48    ; or newer
@@ -13090,14 +13186,14 @@ (define-public rust-cxx-build-0.5
     (name "rust-cxx-build")
     (version "0.5.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxx-build" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "01109arjlj8wdq2rcyy3s76a5aidkn7zvhhhvhvkg1cxgqza9p22"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxx-build" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "01109arjlj8wdq2rcyy3s76a5aidkn7zvhhhvhvkg1cxgqza9p22"))))
     (arguments
      `(#:cargo-inputs
        (("rust-cc" ,rust-cc-1)
@@ -13116,14 +13212,14 @@ (define-public rust-cxx-gen-0.7
     (name "rust-cxx-gen")
     (version "0.7.49")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxx-gen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "08v366jxd2vc8jc2cbvrga0866pwfcaq6hl8yylfx0vhs2n53j53"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxx-gen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "08v366jxd2vc8jc2cbvrga0866pwfcaq6hl8yylfx0vhs2n53j53"))))
     (build-system cargo-build-system)
     (arguments
      `(#:rust ,rust-1.48    ; or newer
@@ -13146,14 +13242,14 @@ (define-public rust-cxx-gen-0.6
     (name "rust-cxx-gen")
     (version "0.6.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxx-gen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0avkca16wjy0paplq1ycaf04bj62agfj0awyhyzxyfpdn9rm45j2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxx-gen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0avkca16wjy0paplq1ycaf04bj62agfj0awyhyzxyfpdn9rm45j2"))))
     (arguments
      `(#:cargo-inputs
        (("rust-cc" ,rust-cc-1)
@@ -13167,14 +13263,14 @@ (define-public rust-cxx-test-suite-0.0.0
     (name "rust-cxx-test-suite")
     (version "0.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxx-test-suite" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1pkf4ay1210g9wqyqhkgvlcsv4i6kgdcmgnh19mrymylznv7pcal"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxx-test-suite" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1pkf4ay1210g9wqyqhkgvlcsv4i6kgdcmgnh19mrymylznv7pcal"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t)) ; Not meant to be built independantly.
     (home-page "https://github.com/dtolnay/cxx")
@@ -13187,14 +13283,14 @@ (define-public rust-cxxbridge-flags-1
     (name "rust-cxxbridge-flags")
     (version "1.0.49")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxxbridge-flags" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18cv8a8sgyiwfqspdyfq18jizf0rlhg90ibdl0zp8jhcv498s6gr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxxbridge-flags" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18cv8a8sgyiwfqspdyfq18jizf0rlhg90ibdl0zp8jhcv498s6gr"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/dtolnay/cxx")
     (synopsis "Compiler configuration of the `cxx` crate")
@@ -13208,28 +13304,28 @@ (define-public rust-cxxbridge-flags-0.5
     (name "rust-cxxbridge-flags")
     (version "0.5.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxxbridge-flags" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0jfwsm85s5kalgqbqlg1kq79zcb5zwk375h0qw7ycz5i6v3c8j0k"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxxbridge-flags" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0jfwsm85s5kalgqbqlg1kq79zcb5zwk375h0qw7ycz5i6v3c8j0k"))))))
 
 (define-public rust-cxxbridge-macro-1
   (package
     (name "rust-cxxbridge-macro")
     (version "1.0.49")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxxbridge-macro" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0gkwvihw74dh8p3fz3552wnxanrpwmwfy38ylz2z8knjq0y8y4v3"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxxbridge-macro" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0gkwvihw74dh8p3fz3552wnxanrpwmwfy38ylz2z8knjq0y8y4v3"))))
     (build-system cargo-build-system)
     (arguments
      `(#:rust ,rust-1.48    ; or newer
@@ -13256,14 +13352,14 @@ (define-public rust-cxxbridge-macro-0.5
     (name "rust-cxxbridge-macro")
     (version "0.5.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "cxxbridge-macro" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05mhvchmcb8dpgcqkl5vyxycywp2x42vw1qh2hyxxyi576nmmxsr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cxxbridge-macro" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05mhvchmcb8dpgcqkl5vyxycywp2x42vw1qh2hyxxyi576nmmxsr"))))
     (arguments
      `(#:cargo-inputs
        (("rust-proc-macro2" ,rust-proc-macro2-1)
@@ -13350,14 +13446,14 @@ (define-public rust-darling-0.9
     (name "rust-darling")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "darling" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1mnksf0i47pb7sxvi1iqfwmqy9iny0x8w56ilybpb431b46cpyzw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "darling" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1mnksf0i47pb7sxvi1iqfwmqy9iny0x8w56ilybpb431b46cpyzw"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -13425,14 +13521,14 @@ (define-public rust-darling-core-0.9
     (name "rust-darling-core")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "darling_core" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0b201dx4m58l5ac7gmbjvbf4z2xipnk5d4pqa7mz7gy3f21h3z3a"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "darling_core" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0b201dx4m58l5ac7gmbjvbf4z2xipnk5d4pqa7mz7gy3f21h3z3a"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -13494,14 +13590,14 @@ (define-public rust-darling-macro-0.9
     (name "rust-darling-macro")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "darling_macro" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1lcq9418w0vmvncg4a3n9k64zjvqz0048aviqi0rmlpiqv0xmn66"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "darling_macro" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1lcq9418w0vmvncg4a3n9k64zjvqz0048aviqi0rmlpiqv0xmn66"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -13575,13 +13671,13 @@ (define-public rust-data-encoding-2
     (name "rust-data-encoding")
     (version "2.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "data-encoding" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "027rcrwdschrkdr2n9d24gnh03vl41qmvhjqn9vn6z1njy2n0flr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "data-encoding" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "027rcrwdschrkdr2n9d24gnh03vl41qmvhjqn9vn6z1njy2n0flr"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/ia0/data-encoding")
     (synopsis "Efficient and customizable data-encoding functions")
@@ -13595,14 +13691,14 @@ (define-public rust-data-url-0.1
     (name "rust-data-url")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "data-url" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "176wa1n8h71iwyaxhar4sqwrgrvb5sxk26az0fy88vnxrsffjgyk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "data-url" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "176wa1n8h71iwyaxhar4sqwrgrvb5sxk26az0fy88vnxrsffjgyk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -13622,28 +13718,28 @@ (define-public rust-datetime-0.4
     (name "rust-datetime")
     (version "0.4.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "datetime" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fd74bq48xg8ki5yw1mr1pa5hd3j5lbk4iqc5r0kh3l62b0vci2w"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-        (("rust-iso8601" ,rust-iso8601-0.1)
-         ("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-locale" ,rust-locale-0.2)
-         ("rust-num-traits" ,rust-num-traits-0.1)
-         ("rust-pad" ,rust-pad-0.1)
-         ("rust-redox-syscall" ,rust-redox-syscall-0.1)
-         ("rust-winapi" ,rust-winapi-0.2))
-        #:cargo-development-inputs
-        (("rust-regex" ,rust-regex-0.1)
-         ("rust-rustc-serialize" ,rust-rustc-serialize-0.3))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "datetime" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fd74bq48xg8ki5yw1mr1pa5hd3j5lbk4iqc5r0kh3l62b0vci2w"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-iso8601" ,rust-iso8601-0.1)
+        ("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-locale" ,rust-locale-0.2)
+        ("rust-num-traits" ,rust-num-traits-0.1)
+        ("rust-pad" ,rust-pad-0.1)
+        ("rust-redox-syscall" ,rust-redox-syscall-0.1)
+        ("rust-winapi" ,rust-winapi-0.2))
+       #:cargo-development-inputs
+       (("rust-regex" ,rust-regex-0.1)
+        ("rust-rustc-serialize" ,rust-rustc-serialize-0.3))))
     (home-page "https://github.com/rust-datetime/datetime")
     (synopsis "Library for date and time formatting and arithmetic")
     (description "This package provides a library for date and time formatting
@@ -13655,22 +13751,22 @@ (define-public rust-dbl-0.3
     (name "rust-dbl")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dbl" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "1pihf6zrzncbs3lsyqkzxxxqmjf8rfpwvs1sg8nmz8cv7df18d97"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dbl" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1pihf6zrzncbs3lsyqkzxxxqmjf8rfpwvs1sg8nmz8cv7df18d97"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-generic-array" ,rust-generic-array-0.14))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-generic-array" ,rust-generic-array-0.14))))
     (home-page "https://docs.rs/dbl")
     (synopsis "Double operation in Galois Field")
     (description
-      "This package provides double and inverse double over Galois Field -
+     "This package provides double and inverse double over Galois Field -
 GF(2^n).  This trait is implemented for 64, 128 and 256 bit block
 sizes.  Big-endian order is used.  WARNING: Block must be aligned!")
     (license (list license:expat license:asl2.0))))
@@ -13804,14 +13900,14 @@ (define-public rust-decimal-2
     (name "rust-decimal")
     (version "2.0.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "decimal" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1vb3i8vg1dxrw3kzbfiag3gg7rdjd73z80mwbwkq60vnphiqfig6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "decimal" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1vb3i8vg1dxrw3kzbfiag3gg7rdjd73z80mwbwkq60vnphiqfig6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -13858,13 +13954,13 @@ (define-public rust-deflate-0.9
     (name "rust-deflate")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "deflate" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0w0ww0hrq4bjnihxgbnrri4lj5c8yzg31fyzx36fd9pvvw2vz5az"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "deflate" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0w0ww0hrq4bjnihxgbnrri4lj5c8yzg31fyzx36fd9pvvw2vz5az"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; not all test files included
@@ -13885,22 +13981,22 @@ (define-public rust-deflate-0.8
     (name "rust-deflate")
     (version "0.8.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "deflate" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0x6iqlayg129w63999kz97m279m0jj4x4sm6gkqlvmp73y70yxvk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "deflate" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0x6iqlayg129w63999kz97m279m0jj4x4sm6gkqlvmp73y70yxvk"))))
     (arguments
      `(#:tests? #f      ; not all test files included
        #:cargo-inputs
-         (("rust-adler32" ,rust-adler32-1)
-          ("rust-byteorder" ,rust-byteorder-1)
-          ("rust-gzip-header" ,rust-gzip-header-0.3))
+       (("rust-adler32" ,rust-adler32-1)
+        ("rust-byteorder" ,rust-byteorder-1)
+        ("rust-gzip-header" ,rust-gzip-header-0.3))
        #:cargo-development-inputs
-         (("rust-miniz-oxide" ,rust-miniz-oxide-0.3))))))
+       (("rust-miniz-oxide" ,rust-miniz-oxide-0.3))))))
 
 (define-public rust-deflate-0.7
   (package
@@ -13928,13 +14024,13 @@ (define-public rust-defmac-0.2
     (name "rust-defmac")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "defmac" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "14cqfvc0f1pkd6gdhjxa2wv3iibqprc0n203ims8lvg96752ynfm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "defmac" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "14cqfvc0f1pkd6gdhjxa2wv3iibqprc0n203ims8lvg96752ynfm"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bluss/defmac")
     (synopsis "Macro to define lambda-like macros inline")
@@ -13948,27 +14044,27 @@ (define-public rust-defmac-0.1
     (name "rust-defmac")
     (version "0.1.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "defmac" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "17giv0n0n1r64z0dahfvkjy3ys517jxyhs8sd9lmgvcljpjyryxa"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "defmac" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "17giv0n0n1r64z0dahfvkjy3ys517jxyhs8sd9lmgvcljpjyryxa"))))))
 
 (define-public rust-delta-e-0.2
   (package
     (name "rust-delta-e")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "delta_e" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18rxibmi27ark8vj367qm2iqmv5x293l8fm9ang4y2sv3l251sf5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "delta_e" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18rxibmi27ark8vj367qm2iqmv5x293l8fm9ang4y2sv3l251sf5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-lab" ,rust-lab-0.7))))
@@ -14117,27 +14213,27 @@ (define-public rust-derive-builder-0.9
     (name "rust-derive-builder")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "derive-builder" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1h4f8vnggmpyw27fznl3cpyjrzz1nw5xrxx6ca3zcb3z54hqcrd2"))))
-    (arguments
-      `(#:cargo-inputs
-        (("rust-compiletest-rs" ,rust-compiletest-rs-0.3)
-         ("rust-darling" ,rust-darling-0.10)
-         ("rust-derive-builder-core" ,rust-derive-builder-core-0.9)
-         ("rust-env-logger" ,rust-env-logger-0.5)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-proc-macro2" ,rust-proc-macro2-1)
-         ("rust-quote" ,rust-quote-1)
-         ("rust-skeptic" ,rust-skeptic-0.13)
-         ("rust-syn" ,rust-syn-1))
-        #:cargo-development-inputs
-        (("rust-pretty-assertions" ,rust-pretty-assertions-0.6))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "derive-builder" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1h4f8vnggmpyw27fznl3cpyjrzz1nw5xrxx6ca3zcb3z54hqcrd2"))))
+    (arguments
+     `(#:cargo-inputs
+       (("rust-compiletest-rs" ,rust-compiletest-rs-0.3)
+        ("rust-darling" ,rust-darling-0.10)
+        ("rust-derive-builder-core" ,rust-derive-builder-core-0.9)
+        ("rust-env-logger" ,rust-env-logger-0.5)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-skeptic" ,rust-skeptic-0.13)
+        ("rust-syn" ,rust-syn-1))
+       #:cargo-development-inputs
+       (("rust-pretty-assertions" ,rust-pretty-assertions-0.6))))))
 
 (define-public rust-derive-builder-0.5
   (package
@@ -14355,9 +14451,9 @@ (define-public rust-derive-new-0.5
      (origin
        (method url-fetch)
        (uri (crate-uri "derive-new" version))
-      (file-name (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32 "1ncibp4jhpkym7namg3viqyw8hljd32n6abg64af8qjwrn91iwvi"))))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1ncibp4jhpkym7namg3viqyw8hljd32n6abg64af8qjwrn91iwvi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -14368,7 +14464,7 @@ (define-public rust-derive-new-0.5
     (synopsis "Simple constructor functions for structs and enums")
     (description "`#[derive(new)]` implements simple constructor functions for
 structs and enums.")
-  (license license:expat)))
+    (license license:expat)))
 
 (define-public rust-des-0.6
   (package
@@ -14522,14 +14618,14 @@ (define-public rust-dialoguer-0.6
     (name "rust-dialoguer")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dialoguer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0f31ahy6myg2vz9xrdmp0vx0m7x427a1wxpgrgwhxd0rgfpqdapl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dialoguer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0f31ahy6myg2vz9xrdmp0vx0m7x427a1wxpgrgwhxd0rgfpqdapl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -14548,14 +14644,14 @@ (define-public rust-dialoguer-0.3
     (name "rust-dialoguer")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dialoguer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1a9gqvqp83gg4jbm286q5ab3l44zyyzlsdaiqmw8x4k80fdc5l8s"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dialoguer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1a9gqvqp83gg4jbm286q5ab3l44zyyzlsdaiqmw8x4k80fdc5l8s"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-test-flags '("--lib")
@@ -14847,14 +14943,14 @@ (define-public rust-digest-0.9
     (name "rust-digest")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "digest" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0rmhvk33rgvd6ll71z8sng91a52rw14p0drjn1da0mqa138n1pfk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "digest" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rmhvk33rgvd6ll71z8sng91a52rw14p0drjn1da0mqa138n1pfk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -15067,13 +15163,13 @@ (define-public rust-dirs-1
     (name "rust-dirs")
     (version "1.0.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dirs" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "009rrhzj9pxyncmm2vhlj70npg0cgggv2hjbbkiwdl9vccq8kmrz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dirs" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "009rrhzj9pxyncmm2vhlj70npg0cgggv2hjbbkiwdl9vccq8kmrz"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -15187,13 +15283,13 @@ (define-public rust-discard-1
     (name "rust-discard")
     (version "1.0.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "discard" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1h67ni5bxvg95s91wgicily4ix7lcw7cq0a5gy9njrybaibhyb91"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "discard" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1h67ni5bxvg95s91wgicily4ix7lcw7cq0a5gy9njrybaibhyb91"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/Pauan/rust-discard")
@@ -15243,14 +15339,14 @@ (define-public rust-dissimilar-1
     (name "rust-dissimilar")
     (version "1.0.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dissimilar" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fwa892hcf7y36b8w41p14b3ld3df389y9jpglkbz55vp7s2jjzw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dissimilar" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fwa892hcf7y36b8w41p14b3ld3df389y9jpglkbz55vp7s2jjzw"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/dtolnay/dissimilar")
     (synopsis "Diff library with semantic cleanup")
@@ -15340,13 +15436,13 @@ (define-public rust-doc-comment-0.3
     (name "rust-doc-comment")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "doc-comment" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "15rsqxgarfpb1yim9sbp9yfgj7p2dq6v51c6bq1a62paii9ylgcj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "doc-comment" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "15rsqxgarfpb1yim9sbp9yfgj7p2dq6v51c6bq1a62paii9ylgcj"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/GuillaumeGomez/doc-comment")
@@ -15647,13 +15743,13 @@ (define-public rust-dtoa-0.4
     (name "rust-dtoa")
     (version "0.4.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dtoa" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0phbm7i0dpn44gzi07683zxaicjap5064w62pidci4fhhciv8mza"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dtoa" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0phbm7i0dpn44gzi07683zxaicjap5064w62pidci4fhhciv8mza"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/dtolnay/dtoa")
@@ -15669,27 +15765,27 @@ (define-public rust-dtoa-0.2
     (name "rust-dtoa")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dtoa" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0g96cap6si1g6wi62hsdk2fnj3sf5vd4i97zj6163j8hhnsl3n0d"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dtoa" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0g96cap6si1g6wi62hsdk2fnj3sf5vd4i97zj6163j8hhnsl3n0d"))))))
 
 (define-public rust-dtoa-short-0.3
   (package
     (name "rust-dtoa-short")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "dtoa-short" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wkn7ziqffq8hj0a411lgn7674ackzdk734ikp230rmp2f2hn0jr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "dtoa-short" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wkn7ziqffq8hj0a411lgn7674ackzdk734ikp230rmp2f2hn0jr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -15729,6 +15825,66 @@ (define-public rust-dtparse-1
 Rust.")
     (license license:asl2.0)))
 
+(define-public rust-duckscript-0.7
+  (package
+    (name "rust-duckscript")
+    (version "0.7.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "duckscript" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0sa7hpni4al0frrjd5fisb7nfp247rv2hzjpwxbskraqgaqi04lh"))))
+    (build-system cargo-build-system)
+    (arguments `(#:cargo-inputs (("rust-fsio" ,rust-fsio-0.3))))
+    (home-page "http://github.com/sagiegurari/duckscript")
+    (synopsis "Simple, extendable and embeddable scripting language.")
+    (description "Simple, extendable and embeddable scripting language.")
+    (license license:asl2.0)))
+
+(define-public rust-duckscriptsdk-0.8
+  (package
+    (name "rust-duckscriptsdk")
+    (version "0.8.8")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "duckscriptsdk" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0c8fdml1c471nhinacf2wzdd5hs30zvpfv4vhgjsnq6jz7f23chr"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-attohttpc" ,rust-attohttpc-0.18)
+        ("rust-base64" ,rust-base64-0.13)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-colored" ,rust-colored-2)
+        ("rust-duckscript" ,rust-duckscript-0.7)
+        ("rust-fs-extra" ,rust-fs-extra-1)
+        ("rust-fsio" ,rust-fsio-0.3)
+        ("rust-ftp" ,rust-ftp-3)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-heck" ,rust-heck-0.3)
+        ("rust-home" ,rust-home-0.5)
+        ("rust-ignore" ,rust-ignore-0.4)
+        ("rust-java-properties" ,rust-java-properties-1)
+        ("rust-meval" ,rust-meval-0.2)
+        ("rust-num-cpus" ,rust-num-cpus-1)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-sha2" ,rust-sha2-0.9)
+        ("rust-uname" ,rust-uname-0.1)
+        ("rust-walkdir" ,rust-walkdir-2)
+        ("rust-which" ,rust-which-4)
+        ("rust-whoami" ,rust-whoami-1))))
+    (home-page "http://github.com/sagiegurari/duckscript")
+    (synopsis "The duckscript SDK.")
+    (description "The duckscript SDK.")
+    (license license:asl2.0)))
+
 (define-public rust-duct-0.13
   (package
     (name "rust-duct")
@@ -15850,7 +16006,7 @@ (define-public rust-dwrote-0.9
         ("rust-libc" ,rust-libc-0.2)
         ("rust-serde" ,rust-serde-1)
         ("rust-serde-derive" ,rust-serde-derive-1)
-        ;("rust-wio" ,rust-wio-0.2)
+                                        ;("rust-wio" ,rust-wio-0.2)
         ("rust-winapi" ,rust-winapi-0.3))))))
 
 (define-public rust-easy-cast-0.4
@@ -15922,22 +16078,22 @@ (define-public rust-eax-0.3
     (name "rust-eax")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "eax" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0vmpbqncpbj2ldm3fhfz87ija1sk4zk9vad91yd2jjsrbrx6xxz1"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-aead" ,rust-aead-0.3)
-         ("rust-cipher" ,rust-cipher-0.2)
-         ("rust-cmac" ,rust-cmac-0.5)
-         ("rust-ctr" ,rust-ctr-0.6)
-         ("rust-subtle" ,rust-subtle-2))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "eax" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0vmpbqncpbj2ldm3fhfz87ija1sk4zk9vad91yd2jjsrbrx6xxz1"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-aead" ,rust-aead-0.3)
+        ("rust-cipher" ,rust-cipher-0.2)
+        ("rust-cmac" ,rust-cmac-0.5)
+        ("rust-ctr" ,rust-ctr-0.6)
+        ("rust-subtle" ,rust-subtle-2))))
     (home-page "https://docs.rs/eax/")
     (synopsis "Pure Rust implementation of the EAX Authenticated Encryption
 with Associated Data (AEAD)")
@@ -15953,22 +16109,22 @@ (define-public rust-ed25519-1
     (name "rust-ed25519")
     (version "1.0.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ed25519" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "1vxn7x1xinbv1cl31015m0fw08jwkphylxrll17animv9i9nmiip"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ed25519" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1vxn7x1xinbv1cl31015m0fw08jwkphylxrll17animv9i9nmiip"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-serde" ,rust-serde-1)
-         ("rust-signature" ,rust-signature-1))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-serde" ,rust-serde-1)
+        ("rust-signature" ,rust-signature-1))))
     (home-page "")
     (synopsis "Edwards Digital Signature Algorithm (EdDSA) over Curve25519")
     (description
-      "EdDSA over Curve25519 is specified in RFC 8032.  This package contains
+     "EdDSA over Curve25519 is specified in RFC 8032.  This package contains
 an ed25519::Signature type which other packages can use in conjunction with
 the signature::Signer and signature::Verifier traits It doesn't contain an
 implementation of Ed25519.
@@ -15984,29 +16140,29 @@ (define-public rust-ed25519-dalek-1
     (name "rust-ed25519-dalek")
     (version "1.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ed25519-dalek" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "17bsriciv93nkm39z22w7mr0h2a3hnbmgf378v4c895gvkkblqn7"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-curve25519-dalek" ,rust-curve25519-dalek-3)
-         ("rust-ed25519" ,rust-ed25519-1)
-         ("rust-merlin" ,rust-merlin-2)
-         ("rust-rand" ,rust-rand-0.7)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-serde-bytes" ,rust-serde-bytes-0.11)
-         ("rust-sha2" ,rust-sha2-0.9)
-         ("rust-zeroize" ,rust-zeroize-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ed25519-dalek" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "17bsriciv93nkm39z22w7mr0h2a3hnbmgf378v4c895gvkkblqn7"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-curve25519-dalek" ,rust-curve25519-dalek-3)
+        ("rust-ed25519" ,rust-ed25519-1)
+        ("rust-merlin" ,rust-merlin-2)
+        ("rust-rand" ,rust-rand-0.7)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-bytes" ,rust-serde-bytes-0.11)
+        ("rust-sha2" ,rust-sha2-0.9)
+        ("rust-zeroize" ,rust-zeroize-1))))
     (home-page "https://dalek.rs")
     (synopsis "Ed25519 EdDSA key generations, signing, and verification")
     (description
-      "This package provides fast and efficient ed25519 EdDSA key generations,
+     "This package provides fast and efficient ed25519 EdDSA key generations,
 signing, and verification in pure Rust.")
     (license license:bsd-3)))
 
@@ -16015,14 +16171,14 @@ (define-public rust-edit-distance-2
     (name "rust-edit-distance")
     (version "2.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "edit-distance" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0yq3wlmd7ly22qxhfysi77qp31yvpx2ll9waa75bkpiih7rsmfmv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "edit-distance" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0yq3wlmd7ly22qxhfysi77qp31yvpx2ll9waa75bkpiih7rsmfmv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -16103,14 +16259,14 @@ (define-public rust-emacs-0.11
     (name "rust-emacs")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "emacs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1xn6nr8m3p24irlmv3i7c9n95yb10qc6aikwqv99qlmhbky5x0z7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "emacs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1xn6nr8m3p24irlmv3i7c9n95yb10qc6aikwqv99qlmhbky5x0z7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -16134,14 +16290,14 @@ (define-public rust-emacs-macros-0.11
     (name "rust-emacs-macros")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "emacs-macros" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0390y8vafxdi334hhgrzvcqjq3n5ckcmvilqcfp8vajjq8irrly6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "emacs-macros" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0390y8vafxdi334hhgrzvcqjq3n5ckcmvilqcfp8vajjq8irrly6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -16158,14 +16314,14 @@ (define-public rust-emacs-module-0.10
     (name "rust-emacs-module")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "emacs_module" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1gf9lz735xbkyir53dyv362drfx3nin5an5cx39kd8q8kjjwix5g"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "emacs_module" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1gf9lz735xbkyir53dyv362drfx3nin5an5cx39kd8q8kjjwix5g"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -16628,14 +16784,14 @@ (define-public rust-enum-as-inner-0.2
     (name "rust-enum-as-inner")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "enum-as-inner" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0zg3h7k3g1z7a9ayqy63sk302d4dg5g2h274ddv80mj4jxn2cn1x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "enum-as-inner" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0zg3h7k3g1z7a9ayqy63sk302d4dg5g2h274ddv80mj4jxn2cn1x"))))
     (arguments
      `(#:cargo-inputs
        (("rust-proc-macro2" ,rust-proc-macro2-0.4)
@@ -16888,14 +17044,14 @@ (define-public rust-env-logger-0.5
     (name "rust-env-logger")
     (version "0.5.13")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "env-logger" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0f0c4i4c65jh8lci0afl5yg74ac0lbnpxcp81chj114zwg9a9c0m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "env-logger" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0f0c4i4c65jh8lci0afl5yg74ac0lbnpxcp81chj114zwg9a9c0m"))))
     (arguments
      `(#:cargo-inputs
        (("rust-atty" ,rust-atty-0.2)
@@ -16910,14 +17066,14 @@ (define-public rust-env-logger-0.4
     (name "rust-env-logger")
     (version "0.4.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "env-logger" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0nydz2lidsvx9gs0v2zcz68rzqx8in7fzmiprgsrhqh17vkj3prx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "env-logger" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nydz2lidsvx9gs0v2zcz68rzqx8in7fzmiprgsrhqh17vkj3prx"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -16964,6 +17120,28 @@ (define-public rust-environment-0.1
 variables.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-envmnt-0.9
+  (package
+    (name "rust-envmnt")
+    (version "0.9.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "envmnt" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "07jpfvhcy86n69csw5amxgzlpcvg1vzjv4y3vsccdyhj5y3dv5hg"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-fsio" ,rust-fsio-0.3) ("rust-indexmap" ,rust-indexmap-1))
+       #:cargo-development-inputs
+       (("rust-doc-comment" ,rust-doc-comment-0.3))))
+    (home-page "http://github.com/sagiegurari/envmnt")
+    (synopsis "Environment variables utility functions.")
+    (description "Environment variables utility functions.")
+    (license license:asl2.0)))
+
 (define-public rust-envmnt-0.6
   (package
     (name "rust-envmnt")
@@ -17010,7 +17188,7 @@ (define-public rust-envy-0.4
     (description
      "This package provides access to typesafe config structs
 deserialized from environment variables.")
-     (license license:expat)))
+    (license license:expat)))
 
 (define-public rust-erased-serde-0.3
   (package
@@ -17045,14 +17223,14 @@ (define-public rust-err-derive-0.2
     (name "rust-err-derive")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "err-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0v6wxrshfpg7mwaxzq8jwxbfiyn7zk5rlm4m8kkrwh7dpf8nrx42"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "err-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0v6wxrshfpg7mwaxzq8jwxbfiyn7zk5rlm4m8kkrwh7dpf8nrx42"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -17153,14 +17331,14 @@ (define-public rust-error-chain-0.11
     (name "rust-error-chain")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "error-chain" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wykkr0naizbkwxjwia1rch8xhwvgij9khqvjzs07mrmqifislgz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "error-chain" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wykkr0naizbkwxjwia1rch8xhwvgij9khqvjzs07mrmqifislgz"))))
     (arguments
      `(#:tests? #f      ; Not all test files included.
        #:cargo-inputs
@@ -17172,14 +17350,14 @@ (define-public rust-error-chain-0.10
     (name "rust-error-chain")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "error-chain" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1y1gyj9g5c3k1nzkvxrgry8v9k86kcc585mczrm3qz019s35shyr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "error-chain" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1y1gyj9g5c3k1nzkvxrgry8v9k86kcc585mczrm3qz019s35shyr"))))
     (arguments
      `(#:cargo-inputs
        (("rust-backtrace" ,rust-backtrace-0.3))))))
@@ -17238,14 +17416,14 @@ (define-public rust-escargot-0.5
     (name "rust-escargot")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "escargot" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vd9phbpd6yrnsksn2as8flvq8ykzvck2zlz143xpp42qaz9dkvl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "escargot" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vd9phbpd6yrnsksn2as8flvq8ykzvck2zlz143xpp42qaz9dkvl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; not all test files included
@@ -17346,9 +17524,9 @@ (define-public rust-expat-sys-2
        (sha256
         (base32
          "1yj5pqynds776ay8wg9mhi3hvna4fv7vf244yr1864r0i5r1k3v5"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "expat") #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "expat") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -17547,13 +17725,13 @@ (define-public rust-fallible-iterator-0.2
     (name "rust-fallible-iterator")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fallible-iterator" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1xq759lsr8gqss7hva42azn3whgrbrs2sd9xpn92c5ickxm1fhs4"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fallible-iterator" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1xq759lsr8gqss7hva42azn3whgrbrs2sd9xpn92c5ickxm1fhs4"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/sfackler/rust-fallible-iterator")
     (synopsis "Fallible iterator traits")
@@ -18001,14 +18179,14 @@ (define-public rust-fern-0.6
     (name "rust-fern")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fern" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0rghkbmpm7ckchd2fr2ifahprc7ll3qs0fbwsspsgj6cy0h4i6lc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fern" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rghkbmpm7ckchd2fr2ifahprc7ll3qs0fbwsspsgj6cy0h4i6lc"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -18035,14 +18213,14 @@ (define-public rust-fern-0.5
     (name "rust-fern")
     (version "0.5.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fern" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1anslk0hx9an4ypcaxqff080hgbcxm7ji7d4qf4f6qx1mkav16p6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fern" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1anslk0hx9an4ypcaxqff080hgbcxm7ji7d4qf4f6qx1mkav16p6"))))
     (arguments
      `(#:cargo-inputs
        (("rust-libc" ,rust-libc-0.2)
@@ -18122,13 +18300,13 @@ (define-public rust-filetime-0.2
     (name "rust-filetime")
     (version "0.2.14")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "filetime" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1s71cb7hzkk4ahc5j53w8933gnxv2giyj7v0za5hbbk37ahwyd0x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "filetime" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1s71cb7hzkk4ahc5j53w8933gnxv2giyj7v0za5hbbk37ahwyd0x"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -18155,13 +18333,13 @@ (define-public rust-findshlibs-0.5
     (name "rust-findshlibs")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "findshlibs" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1n2vagn0q5yim32hxkwi1cjgp3yn1dm45p7z8nw6lapywihhs9mi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "findshlibs" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1n2vagn0q5yim32hxkwi1cjgp3yn1dm45p7z8nw6lapywihhs9mi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -18181,14 +18359,14 @@ (define-public rust-fixed-1
     (name "rust-fixed")
     (version "1.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fixed" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0p0v4jjgbbvp91sl8rkfqb2hldaxbzv89mzwmp8753mlrfqwn185"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fixed" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0p0v4jjgbbvp91sl8rkfqb2hldaxbzv89mzwmp8753mlrfqwn185"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -18213,13 +18391,13 @@ (define-public rust-fixedbitset-0.2
     (name "rust-fixedbitset")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fixedbitset" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0kg03p777wc0dajd9pvlcnsyrwa8dhqwf0sd9r4dw0p82rs39arp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fixedbitset" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0kg03p777wc0dajd9pvlcnsyrwa8dhqwf0sd9r4dw0p82rs39arp"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/petgraph/fixedbitset")
     (synopsis "FixedBitSet is a simple bitset collection")
@@ -18233,13 +18411,13 @@ (define-public rust-fixedbitset-0.1
     (name "rust-fixedbitset")
     (version "0.1.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fixedbitset" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0czam11mi80dbyhf4rd4lz0ihcf7vkfchrdcrn45wbs0h40dxm46"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fixedbitset" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0czam11mi80dbyhf4rd4lz0ihcf7vkfchrdcrn45wbs0h40dxm46"))))))
 
 (define-public rust-flame-0.2
   (package
@@ -18383,14 +18561,14 @@ (define-public rust-float-cmp-0.8
     (name "rust-float-cmp")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "float-cmp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1i56hnzjn5pmrcm47fwkmfxiihk7wz5vvcgpb0kpfhzkqi57y9p1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "float-cmp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1i56hnzjn5pmrcm47fwkmfxiihk7wz5vvcgpb0kpfhzkqi57y9p1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-num-traits" ,rust-num-traits-0.2))))
@@ -18406,14 +18584,14 @@ (define-public rust-float-cmp-0.6
     (name "rust-float-cmp")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "float-cmp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0zb1lv3ga18vsnpjjdg87yazbzvmfwwllj3aiid8660rp3qw8qns"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "float-cmp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0zb1lv3ga18vsnpjjdg87yazbzvmfwwllj3aiid8660rp3qw8qns"))))))
 
 (define-public rust-float-cmp-0.5
   (package
@@ -18421,14 +18599,14 @@ (define-public rust-float-cmp-0.5
     (name "rust-float-cmp")
     (version "0.5.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "float-cmp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "03hmx3n48hjm0x1ig84n1j87kzp75lzr6cj1sgi6a6pykgn4n8km"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "float-cmp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03hmx3n48hjm0x1ig84n1j87kzp75lzr6cj1sgi6a6pykgn4n8km"))))))
 
 (define-public rust-float-cmp-0.4
   (package
@@ -18451,14 +18629,14 @@ (define-public rust-float-cmp-0.3
     (name "rust-float-cmp")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "float-cmp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1c0hmj46xma5aysz0qb49padhc26aw875whx6q6rglsj5dqpds1b"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "float-cmp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1c0hmj46xma5aysz0qb49padhc26aw875whx6q6rglsj5dqpds1b"))))
     (arguments
      `(#:cargo-inputs (("rust-num" ,rust-num-0.1))))))
 
@@ -18613,13 +18791,13 @@ (define-public rust-fnv-1
     (name "rust-fnv")
     (version "1.0.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fnv" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1ww56bi1r5b8id3ns9j3qxbi7w5h005rzhiryy0zi9h97raqbb9g"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fnv" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1ww56bi1r5b8id3ns9j3qxbi7w5h005rzhiryy0zi9h97raqbb9g"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/servo/rust-fnv")
     (synopsis "Implementation of the Fowler-Noll-Vo hash function")
@@ -18633,14 +18811,14 @@ (define-public rust-font-kit-0.4
     (name "rust-font-kit")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "font-kit" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fmg1jmqdvsjxjbyz8chpx1mhp544mwq128ns1shhrha5a6zzdqp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "font-kit" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fmg1jmqdvsjxjbyz8chpx1mhp544mwq128ns1shhrha5a6zzdqp"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -18779,13 +18957,13 @@ (define-public rust-foreign-types-shared-0.2
     (name "rust-foreign-types-shared")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "foreign-types-shared" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0kanxlif1vp0ffh2r9l610jqbkmb3183yqykxq1z5w1vay2rn7y6"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "foreign-types-shared" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0kanxlif1vp0ffh2r9l610jqbkmb3183yqykxq1z5w1vay2rn7y6"))))))
 
 (define-public rust-foreign-types-shared-0.1
   (package
@@ -18850,28 +19028,28 @@ (define-public rust-fragile-0.3
     (name "rust-fragile")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fragile" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1yf2hmkw52x2dva3c9km1x8c2z5kwby7qqn8kz5ms3gs480i9y05"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fragile" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1yf2hmkw52x2dva3c9km1x8c2z5kwby7qqn8kz5ms3gs480i9y05"))))))
 
 (define-public rust-freetype-0.4
   (package
     (name "rust-freetype")
     (version "0.4.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "freetype" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0a70x03n68997f08bi3n47q9wyi3pv5s9v4rjc79sihb84mnp4hi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "freetype" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0a70x03n68997f08bi3n47q9wyi3pv5s9v4rjc79sihb84mnp4hi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -19004,6 +19182,30 @@ (define-public rust-fs2-0.4
 duplication.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-fsio-0.3
+  (package
+    (name "rust-fsio")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fsio" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1svpcdpf5vfdjwvhqlqvw8pp2c39w1yzabsn9fjcg55gxwkpis09"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-dunce" ,rust-dunce-1)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-users" ,rust-users-0.11))
+       #:cargo-development-inputs
+       (("rust-doc-comment" ,rust-doc-comment-0.3))))
+    (home-page "http://github.com/sagiegurari/fsio")
+    (synopsis "File System and Path utility functions.")
+    (description "File System and Path utility functions.")
+    (license license:asl2.0)))
+
 (define-public rust-fs-extra-1
   (package
     (name "rust-fs-extra")
@@ -19087,23 +19289,23 @@ (define-public rust-fsevent-0.4
     (name "rust-fsevent")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fsevent" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1djxnc2fmv265xqf1iyfz56smh13v9r1p0w9125wjg6k3fyx3dss"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fsevent" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1djxnc2fmv265xqf1iyfz56smh13v9r1p0w9125wjg6k3fyx3dss"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t     ; only available on macOS
        #:cargo-inputs
-        (("rust-bitflags" ,rust-bitflags-1)
-         ("rust-fsevent-sys" ,rust-fsevent-sys-2))
-        #:cargo-development-inputs
-        (("rust-tempdir" ,rust-tempdir-0.3)
-         ("rust-time" ,rust-time-0.1))))))
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-fsevent-sys" ,rust-fsevent-sys-2))
+       #:cargo-development-inputs
+       (("rust-tempdir" ,rust-tempdir-0.3)
+        ("rust-time" ,rust-time-0.1))))))
 
 (define-public rust-fsevent-sys-3
   (package
@@ -19135,14 +19337,14 @@ (define-public rust-fsevent-sys-2
     (name "rust-fsevent-sys")
     (version "2.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fsevent-sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18246vxk7rqn52m0sfrhivxq802i34p2wqqx5zsa0pamjj5086zl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fsevent-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18246vxk7rqn52m0sfrhivxq802i34p2wqqx5zsa0pamjj5086zl"))))
     (arguments
      `(#:skip-build? #t     ; only available on macOS
        #:cargo-inputs (("rust-libc" ,rust-libc-0.2))))))
@@ -19152,14 +19354,14 @@ (define-public rust-fst-0.4
     (name "rust-fst")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fst" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ybmdzkknhv1wx6ws86iyixfyzc04l4nm71b9va7953r1m3i6z1z"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fst" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ybmdzkknhv1wx6ws86iyixfyzc04l4nm71b9va7953r1m3i6z1z"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -19177,13 +19379,13 @@ (define-public rust-fuchsia-cprng-0.1
     (name "rust-fuchsia-cprng")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fuchsia-cprng" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1fnkqrbz7ixxzsb04bsz9p0zzazanma8znfdqjvh39n14vapfvx0"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fuchsia-cprng" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1fnkqrbz7ixxzsb04bsz9p0zzazanma8znfdqjvh39n14vapfvx0"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page
@@ -19198,13 +19400,13 @@ (define-public rust-fuchsia-zircon-0.3
     (name "rust-fuchsia-zircon")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fuchsia-zircon" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "10jxc5ks1x06gpd0xg51kcjrxr35nj6qhx2zlc5n7bmskv3675rf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fuchsia-zircon" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "10jxc5ks1x06gpd0xg51kcjrxr35nj6qhx2zlc5n7bmskv3675rf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -19221,13 +19423,13 @@ (define-public rust-fuchsia-zircon-sys-0.3
     (name "rust-fuchsia-zircon-sys")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fuchsia-zircon-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "19zp2085qsyq2bh1gvcxq1lb8w6v6jj9kbdkhpdjrl95fypakjix"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fuchsia-zircon-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "19zp2085qsyq2bh1gvcxq1lb8w6v6jj9kbdkhpdjrl95fypakjix"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://fuchsia.googlesource.com/garnet/")
@@ -19240,14 +19442,14 @@ (define-public rust-funty-1
     (name "rust-funty")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "funty" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19wx3p3jmv863y0mjb56sr4qf1kvqhl3fsyslkd92zli0p8lrlzy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "funty" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19wx3p3jmv863y0mjb56sr4qf1kvqhl3fsyslkd92zli0p8lrlzy"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -19320,13 +19522,13 @@ (define-public rust-futures-0.1
     (name "rust-futures")
     (version "0.1.29")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1vq3cw37knnd0afw3rcjzh71i2l01v5m4ysinrrqdvnn2ql0z60v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1vq3cw37knnd0afw3rcjzh71i2l01v5m4ysinrrqdvnn2ql0z60v"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/rust-lang/futures-rs")
@@ -19443,13 +19645,13 @@ (define-public rust-futures-core-preview-0.3
     (name "rust-futures-core-preview")
     (version "0.3.0-alpha.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-core-preview" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "02n66jkjhpy210dv24pz0j30lvyin5kzlrb50p1j7x8yzdin4nxk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-core-preview" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "02n66jkjhpy210dv24pz0j30lvyin5kzlrb50p1j7x8yzdin4nxk"))))
     (build-system cargo-build-system)
     (arguments '(#:tests? #f))
     (home-page "https://rust-lang-nursery.github.io/futures-rs/")
@@ -19464,13 +19666,13 @@ (define-public rust-futures-cpupool-0.1
     (name "rust-futures-cpupool")
     (version "0.1.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-cpupool" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1r32456gpblzfvnkf60545v8acqk7gh5zhyhi1jn669k9gicv45b"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-cpupool" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1r32456gpblzfvnkf60545v8acqk7gh5zhyhi1jn669k9gicv45b"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -19598,13 +19800,13 @@ (define-public rust-futures-io-preview-0.3
     (name "rust-futures-io-preview")
     (version "0.3.0-alpha.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-io-preview" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1npb04xbn2gw5rjllz88cb88fql44xxfkgcidjjj26fva3j4m4gl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-io-preview" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1npb04xbn2gw5rjllz88cb88fql44xxfkgcidjjj26fva3j4m4gl"))))
     (build-system cargo-build-system)
     (home-page "https://rust-lang-nursery.github.io/futures-rs/")
     (synopsis "Async read and write traits for the futures library")
@@ -19722,14 +19924,14 @@ (define-public rust-futures-preview-0.3
     (name "rust-futures-preview")
     (version "0.3.0-alpha.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-preview" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vnp63aicm9vgapn4hm45ag9lrsf9f3bma3mzz3abbb708mcw79v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-preview" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vnp63aicm9vgapn4hm45ag9lrsf9f3bma3mzz3abbb708mcw79v"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -19804,13 +20006,13 @@ (define-public rust-futures-sink-preview-0.3
     (name "rust-futures-sink-preview")
     (version "0.3.0-alpha.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-sink-preview" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1v7y5qvgvl0d6hd9s4k7bd5qrj2gdlrs5yfl22v5pxv9dgpliwc6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-sink-preview" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1v7y5qvgvl0d6hd9s4k7bd5qrj2gdlrs5yfl22v5pxv9dgpliwc6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20029,14 +20231,14 @@ (define-public rust-fuzzy-matcher-0.3
     (name "rust-fuzzy-matcher")
     (version "0.3.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fuzzy-matcher" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "153csv8rsk2vxagb68kpmiknvdd3bzqj03x805khckck28rllqal"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fuzzy-matcher" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "153csv8rsk2vxagb68kpmiknvdd3bzqj03x805khckck28rllqal"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20153,13 +20355,13 @@ (define-public rust-gcc-0.3
     (name "rust-gcc")
     (version "0.3.55")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gcc" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hng1sajn4r67hndvhjysswz8niayjwvcj42zphpxzhbz89kjpwg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gcc" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hng1sajn4r67hndvhjysswz8niayjwvcj42zphpxzhbz89kjpwg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f  ; gcc-test folder missing from release tarball.
@@ -20232,14 +20434,14 @@ (define-public rust-generic-array-0.14
     (name "rust-generic-array")
     (version "0.14.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "generic-array" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05qqwm9v5asbil9z28wjkmpfvs1c5c99n8n9gwxis3d3r3n6c52h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "generic-array" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05qqwm9v5asbil9z28wjkmpfvs1c5c99n8n9gwxis3d3r3n6c52h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20385,14 +20587,14 @@ (define-public rust-geo-types-0.7
     (name "rust-geo-types")
     (version "0.7.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "geo-types" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fyj8ldl4xirhr8aawwiaslkklkzml2r5var87vqyp4zvnajxgfq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "geo-types" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fyj8ldl4xirhr8aawwiaslkklkzml2r5var87vqyp4zvnajxgfq"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20414,14 +20616,14 @@ (define-public rust-geo-types-0.6
     (name "rust-geo-types")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "geo-types" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wivy6r2bzc32gxp5g5j689qz6p9ls5qgq0z8q64aayv3xd950vm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "geo-types" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wivy6r2bzc32gxp5g5j689qz6p9ls5qgq0z8q64aayv3xd950vm"))))
     (arguments
      `(#:cargo-inputs
        (("rust-approx" ,rust-approx-0.3)
@@ -20543,13 +20745,13 @@ (define-public rust-getopts-0.2
     (name "rust-getopts")
     (version "0.2.21")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "getopts" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1mgb3qvivi26gs6ihqqhh8iyhp3vgxri6vwyrwg28w0xqzavznql"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "getopts" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1mgb3qvivi26gs6ihqqhh8iyhp3vgxri6vwyrwg28w0xqzavznql"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20675,14 +20877,14 @@ (define-public rust-gettext-rs-0.7
     (name "rust-gettext-rs")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0r7kahqcjrkm83d3gzzkn83fnw2bnqj2ank5z6hsm66izalai7p4"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0r7kahqcjrkm83d3gzzkn83fnw2bnqj2ank5z6hsm66izalai7p4"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20703,14 +20905,14 @@ (define-public rust-gettext-rs-0.6
     (name "rust-gettext-rs")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "040nizg9l5ap2vqgq4d2va2hi6cpykj46g8q1z9xv393vjlygx1x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "040nizg9l5ap2vqgq4d2va2hi6cpykj46g8q1z9xv393vjlygx1x"))))
     (arguments
      `(#:cargo-inputs
        (("rust-gettext-sys" ,rust-gettext-sys-0.21)
@@ -20724,14 +20926,14 @@ (define-public rust-gettext-rs-0.5
     (name "rust-gettext-rs")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1qc9a63i54b9ad3jx951hn7xb6xf76c9f3hmi2cdy2m7rhczm58v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qc9a63i54b9ad3jx951hn7xb6xf76c9f3hmi2cdy2m7rhczm58v"))))
     (arguments
      `(#:cargo-inputs
        (("rust-gettext-sys" ,rust-gettext-sys-0.19)
@@ -20743,14 +20945,14 @@ (define-public rust-gettext-rs-0.4
     (name "rust-gettext-rs")
     (version "0.4.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0z6fcsn1g3w9mlgfj6ln6qvqf8610w3zwvk6g062h657v114lifz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0z6fcsn1g3w9mlgfj6ln6qvqf8610w3zwvk6g062h657v114lifz"))))
     (arguments
      `(#:cargo-inputs
        (("rust-gettext-sys" ,rust-gettext-sys-0.19)
@@ -20761,17 +20963,17 @@ (define-public rust-gettext-sys-0.21
     (name "rust-gettext-sys")
     (version "0.21.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "105d5zh67yc5vyzmqxdw7hx82h606ca6rzhsfjgzjczn2s012pc8"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file "gettext-0.21.tar.xz") #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "105d5zh67yc5vyzmqxdw7hx82h606ca6rzhsfjgzjczn2s012pc8"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file "gettext-0.21.tar.xz") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20790,17 +20992,17 @@ (define-public rust-gettext-sys-0.19
     (name "rust-gettext-sys")
     (version "0.19.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gettext-sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0lzi6ja81vc16mhcdmn3lw35120n9ijhvsy5dh5775mpbfxc8d70"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file "gettext-0.19.8.1.tar.xz") #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gettext-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0lzi6ja81vc16mhcdmn3lw35120n9ijhvsy5dh5775mpbfxc8d70"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file "gettext-0.19.8.1.tar.xz") #t))))
     (arguments
      `(#:cargo-inputs
        (("rust-cc" ,rust-cc-1))))))
@@ -20810,14 +21012,14 @@ (define-public rust-gfa-0.10
     (name "rust-gfa")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gfa" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hadm6vfjwyqw41bqci18wb4wv80rydmrag7a5c02pdp1gid14fw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gfa" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hadm6vfjwyqw41bqci18wb4wv80rydmrag7a5c02pdp1gid14fw"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20846,14 +21048,14 @@ (define-public rust-gfa-0.6
     (name "rust-gfa")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gfa" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ghmy4r0324s6vvmj9nmh326346nkwm7nybnpcpswnjvf02b85gw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gfa" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ghmy4r0324s6vvmj9nmh326346nkwm7nybnpcpswnjvf02b85gw"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bstr" ,rust-bstr-0.2)
@@ -20943,14 +21145,14 @@ (define-public rust-gimli-0.20
     (name "rust-gimli")
     (version "0.20.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gimli" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0cz6wg1niwfqf0mk28igsdnsm92cs57cai9jpzdmvw6hma863pc1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gimli" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0cz6wg1niwfqf0mk28igsdnsm92cs57cai9jpzdmvw6hma863pc1"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -21387,13 +21589,13 @@ (define-public rust-glob-0.3
     (name "rust-glob")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "glob" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0x25wfr7vg3mzxc9x05dcphvd3nwlcmbnxrvwcvrrdwplcrrk4cv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "glob" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0x25wfr7vg3mzxc9x05dcphvd3nwlcmbnxrvwcvrrdwplcrrk4cv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -21413,13 +21615,13 @@ (define-public rust-glob-0.2
     (name "rust-glob")
     (version "0.2.11")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "glob" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1ysvi72slkw784fcsymgj4308c3y03gwjjzqxp80xdjnkbh8vqcb"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "glob" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1ysvi72slkw784fcsymgj4308c3y03gwjjzqxp80xdjnkbh8vqcb"))))))
 
 (define-public rust-globset-0.4
   (package
@@ -21540,14 +21742,14 @@ (define-public rust-goblin-0.2
     (name "rust-goblin")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "goblin" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1j38fkqadbsjxawr3wnj9m0qaihcwp6pmfakmhsar881509y7mfx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "goblin" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1j38fkqadbsjxawr3wnj9m0qaihcwp6pmfakmhsar881509y7mfx"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -21567,14 +21769,14 @@ (define-public rust-goblin-0.1
     (name "rust-goblin")
     (version "0.1.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "goblin" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1nn0aa2jf207gbyccxnrzm7n217di025z5y1ybblp7nkk11j309h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "goblin" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1nn0aa2jf207gbyccxnrzm7n217di025z5y1ybblp7nkk11j309h"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -22055,32 +22257,32 @@ (define-public rust-handlebars-2
     (name "rust-handlebars")
     (version "2.0.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "handlebars" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1m99gwjd7q7q79bk4f716wsdvcyhsrcsq4vbzcavbkmc48d194mg"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-        (("rust-hashbrown" ,rust-hashbrown-0.5)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-pest" ,rust-pest-2)
-         ("rust-pest-derive" ,rust-pest-derive-2)
-         ("rust-quick-error" ,rust-quick-error-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-serde-json" ,rust-serde-json-1)
-         ("rust-walkdir" ,rust-walkdir-2))
-        #:cargo-development-inputs
-        (("rust-criterion" ,rust-criterion-0.2)
-         ("rust-env-logger" ,rust-env-logger-0.6)
-         ("rust-maplit" ,rust-maplit-1)
-         ("rust-serde-derive" ,rust-serde-derive-1)
-         ("rust-tempfile" ,rust-tempfile-3))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "handlebars" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1m99gwjd7q7q79bk4f716wsdvcyhsrcsq4vbzcavbkmc48d194mg"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-hashbrown" ,rust-hashbrown-0.5)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-pest" ,rust-pest-2)
+        ("rust-pest-derive" ,rust-pest-derive-2)
+        ("rust-quick-error" ,rust-quick-error-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-walkdir" ,rust-walkdir-2))
+       #:cargo-development-inputs
+       (("rust-criterion" ,rust-criterion-0.2)
+        ("rust-env-logger" ,rust-env-logger-0.6)
+        ("rust-maplit" ,rust-maplit-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-tempfile" ,rust-tempfile-3))))
     (home-page "https://github.com/sunng87/handlebars-rust")
     (synopsis "Handlebars templating implemented in Rust")
     (description
@@ -22093,14 +22295,14 @@ (define-public rust-handlegraph-0.3
     (name "rust-handlegraph")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "handlegraph" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1sj100w4lpj7798pws85qrfrzsily5hhzh6j118rwf56sgic1yml"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "handlegraph" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1sj100w4lpj7798pws85qrfrzsily5hhzh6j118rwf56sgic1yml"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -22544,13 +22746,13 @@ (define-public rust-heapsize-0.3
     (name "rust-heapsize")
     (version "0.3.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "heapsize" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0dmwc37vgsdjzk10443dj4f23439i9gch28jcwzmry3chrwx8v2m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "heapsize" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0dmwc37vgsdjzk10443dj4f23439i9gch28jcwzmry3chrwx8v2m"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs (("rust-kernel32-sys" ,rust-kernel32-sys-0.2))))))
@@ -22561,13 +22763,13 @@ (define-public rust-heapsize-plugin-0.1
     (name "rust-heapsize-plugin")
     (version "0.1.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "heapsize_plugin" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1i72isf699q9jl167g2kg4xd6h3cd05rc79zaph58aqjy0g0m9y9"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "heapsize_plugin" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1i72isf699q9jl167g2kg4xd6h3cd05rc79zaph58aqjy0g0m9y9"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -22584,13 +22786,13 @@ (define-public rust-heck-0.3
     (name "rust-heck")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "heck" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1b56s2c1ymdd0qmy31bw0ndhm31hcdamnhg3npp7ssrmc1ag9jw7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "heck" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1b56s2c1ymdd0qmy31bw0ndhm31hcdamnhg3npp7ssrmc1ag9jw7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -22610,21 +22812,21 @@ (define-public rust-hermit-abi-0.1
     (name "rust-hermit-abi")
     (version "0.1.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hermit-abi" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0blmmzik5cs79ivq70s9gal8ypgzj50wnl2hwsaam46gjjbz2p3j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hermit-abi" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0blmmzik5cs79ivq70s9gal8ypgzj50wnl2hwsaam46gjjbz2p3j"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
-        (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1))))
+       (("rust-compiler-builtins" ,rust-compiler-builtins-0.1)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-rustc-std-workspace-core" ,rust-rustc-std-workspace-core-1))))
     (home-page "https://github.com/hermitcore/rusty-hermit")
     (synopsis "Small interface to call functions from RustyHermit")
     (description
@@ -22658,13 +22860,13 @@ (define-public rust-hex-0.3
     (name "rust-hex")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hex" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0xsdcjiik5j750j67zk42qdnmm4ahirk3gmkmcqgq7qls2jjcl40"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hex" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0xsdcjiik5j750j67zk42qdnmm4ahirk3gmkmcqgq7qls2jjcl40"))))))
 
 (define-public rust-hex-0.2
   (package
@@ -22832,14 +23034,14 @@ (define-public rust-hmac-0.11
     (name "rust-hmac")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hmac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "16z61aibdg4di40sqi4ks2s4rz6r29w4sx4gvblfph3yxch26aia"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "16z61aibdg4di40sqi4ks2s4rz6r29w4sx4gvblfph3yxch26aia"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -22863,14 +23065,14 @@ (define-public rust-hmac-0.10
     (name "rust-hmac")
     (version "0.10.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hmac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "058yxq54x7xn0gk2vy9bl51r32c9z7qlcl2b80bjh3lk3rmiqi61"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "058yxq54x7xn0gk2vy9bl51r32c9z7qlcl2b80bjh3lk3rmiqi61"))))
     (arguments
      `(#:cargo-inputs
        (("rust-crypto-mac" ,rust-crypto-mac-0.10)
@@ -22886,14 +23088,14 @@ (define-public rust-hmac-0.8
     (name "rust-hmac")
     (version "0.8.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hmac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0h48wc7iysh4xd6ci4prh8bb7nszijrh9w3blaaq8a6cilk8hs0j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0h48wc7iysh4xd6ci4prh8bb7nszijrh9w3blaaq8a6cilk8hs0j"))))
     (arguments
      `(#:cargo-inputs
        (("rust-crypto-mac" ,rust-crypto-mac-0.8)
@@ -22909,14 +23111,14 @@ (define-public rust-hmac-0.7
     (name "rust-hmac")
     (version "0.7.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hmac" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "15cnwpssp2n1kdm9x7abir67f2hp3q6rdfj1mcck3hm4rmj5xjsx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hmac" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "15cnwpssp2n1kdm9x7abir67f2hp3q6rdfj1mcck3hm4rmj5xjsx"))))
     (arguments
      `(#:cargo-inputs
        (("rust-crypto-mac" ,rust-crypto-mac-0.7)
@@ -22992,14 +23194,14 @@ (define-public rust-hostname-0.3
     (name "rust-hostname")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hostname" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0rz8yf70cvzl3nry71m4bz9w6x4j9kdz3qng6pnwhk2h20z1qwrw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hostname" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rz8yf70cvzl3nry71m4bz9w6x4j9kdz3qng6pnwhk2h20z1qwrw"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -23020,13 +23222,13 @@ (define-public rust-hostname-0.1
     (name "rust-hostname")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "hostname" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0kprf862qaa7lwdms6aw7f3275h0j2rwhs9nz5784pm8hdmb9ki1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "hostname" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0kprf862qaa7lwdms6aw7f3275h0j2rwhs9nz5784pm8hdmb9ki1"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -24693,14 +24895,14 @@ (define-public rust-interpolate-name-0.2
     (name "rust-interpolate-name")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "interpolate_name" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05vzsiqb69d1mbpaphcg4ifjsjs6g03b8pacskfcydqhh555zcxl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "interpolate_name" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05vzsiqb69d1mbpaphcg4ifjsjs6g03b8pacskfcydqhh555zcxl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -24719,14 +24921,14 @@ (define-public rust-interpolation-0.2
     (name "rust-interpolation")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "interpolation" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "00icvvgc72zdgyrwwg2p0wad4hry4d2vd6l9iqpyjpmw5dykbdyk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "interpolation" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "00icvvgc72zdgyrwwg2p0wad4hry4d2vd6l9iqpyjpmw5dykbdyk"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/pistondevelopers/interpolation")
@@ -24765,13 +24967,13 @@ (define-public rust-iovec-0.1
     (name "rust-iovec")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "iovec" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ph73qygwx8i0mblrf110cj59l00gkmsgrpzz1rm85syz5pymcxj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "iovec" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ph73qygwx8i0mblrf110cj59l00gkmsgrpzz1rm85syz5pymcxj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -25046,14 +25248,14 @@ (define-public rust-iso8601-0.1
     (name "rust-iso8601")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "iso8601" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0xy48qyfmirslaj4dy6n4g8b564jap3cjiql35fmj5vgii7ldp0i"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "iso8601" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0xy48qyfmirslaj4dy6n4g8b564jap3cjiql35fmj5vgii7ldp0i"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -25093,14 +25295,14 @@ (define-public rust-itertools-0.9
     (name "rust-itertools")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "itertools" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0jyml7ygr7kijkcjdl3fk5f34y5h5jsavclim7l13zjiavw1hkr8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "itertools" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0jyml7ygr7kijkcjdl3fk5f34y5h5jsavclim7l13zjiavw1hkr8"))))
     (arguments
      `(#:cargo-inputs
        (("rust-either" ,rust-either-1))
@@ -25146,13 +25348,13 @@ (define-public rust-itertools-0.7
     (name "rust-itertools")
     (version "0.7.11")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "itertools" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "03cpsj26xmyamcalclqzr1i700vwx8hnbgxbpjvs354f8mnr8iqd"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "itertools" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03cpsj26xmyamcalclqzr1i700vwx8hnbgxbpjvs354f8mnr8iqd"))))
     (arguments
      `(#:cargo-inputs
        (("rust-either" ,rust-either-1))
@@ -25166,13 +25368,13 @@ (define-public rust-itertools-0.5
     (name "rust-itertools")
     (version "0.5.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "itertools" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1z4lyrakgynvhylya72qb3vizmxmd62whjmg4r8k01d4inbxccs8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "itertools" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1z4lyrakgynvhylya72qb3vizmxmd62whjmg4r8k01d4inbxccs8"))))
     (arguments
      `(#:tests? #f ; Tests fail to compile
        #:cargo-inputs
@@ -25216,13 +25418,13 @@ (define-public rust-itoa-0.4
     (name "rust-itoa")
     (version "0.4.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "itoa" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "13nxqrfnh83a7x5rw4wq2ilp8nxvwy74dxzysdg59dbxqk0agdxq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "itoa" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "13nxqrfnh83a7x5rw4wq2ilp8nxvwy74dxzysdg59dbxqk0agdxq"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/dtolnay/itoa")
     (synopsis "Fast functions for printing integer primitives")
@@ -25247,11 +25449,11 @@ (define-public rust-itoa-0.3
          "136vwi6l2k1vrlvfx49lhficj813pk88xrcx1q3axqh1mwms6943"))))))
 
 (define-public rust-itoa-0.1
- (package
-   (inherit rust-itoa-0.4)
-   (name "rust-itoa")
-   (version "0.1.1")
-   (source
+  (package
+    (inherit rust-itoa-0.4)
+    (name "rust-itoa")
+    (version "0.1.1")
+    (source
      (origin
        (method url-fetch)
        (uri (crate-uri "itoa" version))
@@ -25265,14 +25467,14 @@ (define-public rust-ivf-0.1
     (name "rust-ivf")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ivf" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wfjf3rilqavrhvwagzinvng9dg28wcjk3c6c6p5qmc1xy65qfh1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ivf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wfjf3rilqavrhvwagzinvng9dg28wcjk3c6c6p5qmc1xy65qfh1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -25288,16 +25490,16 @@ (define-public rust-jemalloc-sys-0.3
     (name "rust-jemalloc-sys")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "jemalloc-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ify9vlql01qhfxlj7d4p9jvcp90mj2h69nkbq7slccvbhzryfqd"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "jemalloc") #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "jemalloc-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ify9vlql01qhfxlj7d4p9jvcp90mj2h69nkbq7slccvbhzryfqd"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "jemalloc") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -25335,9 +25537,9 @@ (define-public rust-jemalloc-sys-0.1
        (sha256
         (base32
          "1bh07rlzgg39ys1lsgnpxgvjj6blagp2h17fx267d0g3a272rimz"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "jemalloc") #t))))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "jemalloc") #t))))))
 
 (define-public rust-jemallocator-0.3
   (package
@@ -25671,13 +25873,13 @@ (define-public rust-json-0.11
     (name "rust-json")
     (version "0.11.15")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "json" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1rg9jxf6bpbwis3ixd5ak8rp37him7n4z8awz4ssrxl6hyplbhlj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "json" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1rg9jxf6bpbwis3ixd5ak8rp37him7n4z8awz4ssrxl6hyplbhlj"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/maciejhirsz/json-rust")
@@ -25789,12 +25991,12 @@ (define-public rust-keccak-0.1
     (name "rust-keccak")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "keccak" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "19ybbvxrdk9yy65rk7f5ad0hcxszkjwph68yzkj3954lnir1bhk7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "keccak" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "19ybbvxrdk9yy65rk7f5ad0hcxszkjwph68yzkj3954lnir1bhk7"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://crates.io/crates/keccak")
@@ -25807,13 +26009,13 @@ (define-public rust-kernel32-sys-0.2
     (name "rust-kernel32-sys")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "kernel32-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1389av0601a9yz8dvx5zha9vmkd6ik7ax0idpb032d28555n41vm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "kernel32-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1389av0601a9yz8dvx5zha9vmkd6ik7ax0idpb032d28555n41vm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -25874,13 +26076,13 @@ (define-public rust-language-tags-0.2
     (name "rust-language-tags")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "language-tags" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "16hrjdpa827carq5x4b8zhas24d8kg4s16m6nmmn1kb7cr5qh7d9"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "language-tags" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "16hrjdpa827carq5x4b8zhas24d8kg4s16m6nmmn1kb7cr5qh7d9"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -25902,14 +26104,14 @@ (define-public rust-lab-0.8
     (name "rust-lab")
     (version "0.8.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lab" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ysnbviwi35mq6xyz9c59mpgigyfp4s4y2mispxzrms4vk83bx15"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lab" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ysnbviwi35mq6xyz9c59mpgigyfp4s4y2mispxzrms4vk83bx15"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -25931,14 +26133,14 @@ (define-public rust-lab-0.7
     (name "rust-lab")
     (version "0.7.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lab" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0g692d489lq01pv3mzfhxd98j0r22lw28l6bk112m74djlfzxdmw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lab" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0g692d489lq01pv3mzfhxd98j0r22lw28l6bk112m74djlfzxdmw"))))
     (arguments
      `(#:tests? #f  ; test suite assumes avx2 support
        #:cargo-development-inputs
@@ -25953,14 +26155,14 @@ (define-public rust-lab-0.4
     (name "rust-lab")
     (version "0.4.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lab" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0h4ig5bvzmwlzd74zj7b4sh7kzi3c6mjjnw7yjz8ijxvr4mrcr1s"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lab" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0h4ig5bvzmwlzd74zj7b4sh7kzi3c6mjjnw7yjz8ijxvr4mrcr1s"))))
     (arguments
      `(#:cargo-development-inputs
        (("rust-rand" ,rust-rand-0.3))))))
@@ -25980,25 +26182,25 @@ (define-public rust-lalrpop-0.19
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
-      (("rust-ascii-canvas" ,rust-ascii-canvas-2)
-       ("rust-atty" ,rust-atty-0.2)
-       ("rust-bit-set" ,rust-bit-set-0.5)
-       ("rust-diff" ,rust-diff-0.1)
-       ("rust-docopt" ,rust-docopt-1)
-       ("rust-ena" ,rust-ena-0.14)
-       ("rust-itertools" ,rust-itertools-0.9)
-       ("rust-lalrpop-util" ,rust-lalrpop-util-0.19)
-       ("rust-petgraph" ,rust-petgraph-0.5)
-       ("rust-regex" ,rust-regex-1)
-       ("rust-regex-syntax" ,rust-regex-syntax-0.6)
-       ("rust-serde" ,rust-serde-1)
-       ("rust-serde-derive" ,rust-serde-derive-1)
-       ("rust-sha2" ,rust-sha2-0.8)
-       ("rust-string-cache" ,rust-string-cache-0.8)
-       ("rust-term" ,rust-term-0.5)
-       ("rust-unicode-xid" ,rust-unicode-xid-0.2))
-      #:cargo-development-inputs
-      (("rust-rand" ,rust-rand-0.7))))
+       (("rust-ascii-canvas" ,rust-ascii-canvas-2)
+        ("rust-atty" ,rust-atty-0.2)
+        ("rust-bit-set" ,rust-bit-set-0.5)
+        ("rust-diff" ,rust-diff-0.1)
+        ("rust-docopt" ,rust-docopt-1)
+        ("rust-ena" ,rust-ena-0.14)
+        ("rust-itertools" ,rust-itertools-0.9)
+        ("rust-lalrpop-util" ,rust-lalrpop-util-0.19)
+        ("rust-petgraph" ,rust-petgraph-0.5)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-regex-syntax" ,rust-regex-syntax-0.6)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-sha2" ,rust-sha2-0.8)
+        ("rust-string-cache" ,rust-string-cache-0.8)
+        ("rust-term" ,rust-term-0.5)
+        ("rust-unicode-xid" ,rust-unicode-xid-0.2))
+       #:cargo-development-inputs
+       (("rust-rand" ,rust-rand-0.7))))
     (home-page "https://github.com/lalrpop/lalrpop")
     (synopsis "Convenient LR(1) parser generator for Rust")
     (description "LALRPOP is a Rust parser generator framework with usability
@@ -26021,25 +26223,25 @@ (define-public rust-lalrpop-0.17
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-      (("rust-ascii-canvas" ,rust-ascii-canvas-2)
-       ("rust-atty" ,rust-atty-0.2)
-       ("rust-bit-set" ,rust-bit-set-0.5)
-       ("rust-diff" ,rust-diff-0.1)
-       ("rust-docopt" ,rust-docopt-1)
-       ("rust-ena" ,rust-ena-0.13)
-       ("rust-itertools" ,rust-itertools-0.8)
-       ("rust-lalrpop-util" ,rust-lalrpop-util-0.17)
-       ("rust-petgraph" ,rust-petgraph-0.4)
-       ("rust-regex" ,rust-regex-1)
-       ("rust-regex-syntax" ,rust-regex-syntax-0.6)
-       ("rust-serde" ,rust-serde-1)
-       ("rust-serde-derive" ,rust-serde-derive-1)
-       ("rust-sha2" ,rust-sha2-0.8)
-       ("rust-string-cache" ,rust-string-cache-0.7)
-       ("rust-term" ,rust-term-0.5)
-       ("rust-unicode-xid" ,rust-unicode-xid-0.2))
-      #:cargo-development-inputs
-      (("rust-rand" ,rust-rand-0.6))))))
+       (("rust-ascii-canvas" ,rust-ascii-canvas-2)
+        ("rust-atty" ,rust-atty-0.2)
+        ("rust-bit-set" ,rust-bit-set-0.5)
+        ("rust-diff" ,rust-diff-0.1)
+        ("rust-docopt" ,rust-docopt-1)
+        ("rust-ena" ,rust-ena-0.13)
+        ("rust-itertools" ,rust-itertools-0.8)
+        ("rust-lalrpop-util" ,rust-lalrpop-util-0.17)
+        ("rust-petgraph" ,rust-petgraph-0.4)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-regex-syntax" ,rust-regex-syntax-0.6)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-sha2" ,rust-sha2-0.8)
+        ("rust-string-cache" ,rust-string-cache-0.7)
+        ("rust-term" ,rust-term-0.5)
+        ("rust-unicode-xid" ,rust-unicode-xid-0.2))
+       #:cargo-development-inputs
+       (("rust-rand" ,rust-rand-0.6))))))
 
 (define-public rust-lalrpop-util-0.19
   (package
@@ -26057,11 +26259,11 @@ (define-public rust-lalrpop-util-0.19
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-regex" ,rust-regex-1))))
-  (home-page "https://github.com/lalrpop/lalrpop")
-  (synopsis "Runtime library for parsers generated by LALRPOP")
-  (description "THis package provides the runtime library for parsers
+    (home-page "https://github.com/lalrpop/lalrpop")
+    (synopsis "Runtime library for parsers generated by LALRPOP")
+    (description "THis package provides the runtime library for parsers
 generated by LALRPOP.")
-  (license (list license:asl2.0 license:expat))))
+    (license (list license:asl2.0 license:expat))))
 
 (define-public rust-lalrpop-util-0.17
   (package
@@ -26100,13 +26302,13 @@ (define-public rust-lazy-static-1
     (name "rust-lazy-static")
     (version "1.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lazy_static" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0in6ikhw8mgl33wjv6q6xfrb5b9jr16q8ygjy803fay4zcisvaz2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lazy_static" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0in6ikhw8mgl33wjv6q6xfrb5b9jr16q8ygjy803fay4zcisvaz2"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-spin" ,rust-spin-0.5))
@@ -26695,16 +26897,16 @@ (define-public rust-libgit2-sys-0.8
     (name "rust-libgit2-sys")
     (version "0.8.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libgit2-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0y2mibmx7wy91s2kmb2gfb29mrqlqaxpy5wcwr8s1lwws7b9w5sc"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "libgit2") #t))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libgit2-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0y2mibmx7wy91s2kmb2gfb29mrqlqaxpy5wcwr8s1lwws7b9w5sc"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "libgit2") #t))))))
 
 (define-public rust-libloading-0.7
   (package
@@ -26764,13 +26966,13 @@ (define-public rust-libloading-0.5
     (name "rust-libloading")
     (version "0.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libloading" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0lyply8rcqc8agajzxs7bq6ivba9dnn1i68kgb9z2flnfjh13cgj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libloading" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0lyply8rcqc8agajzxs7bq6ivba9dnn1i68kgb9z2flnfjh13cgj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -26878,27 +27080,27 @@ (define-public rust-libnghttp2-sys-0.1
     (name "rust-libnghttp2-sys")
     (version "0.1.4+1.41.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libnghttp2-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wcd93a8cw1h9y25834160y6ng982fi0qcd277hpjvhnvz34wqh3"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (delete-file-recursively "nghttp2")
-            (substitute* "Cargo.toml"
-              (("false")
-               "false\n[build-dependencies.pkg-config]\nversion = \"0.3\"\n"))
-            (delete-file "build.rs")
-            (with-output-to-file "build.rs"
-              (lambda _
-                (format #t "fn main() {~@
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libnghttp2-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wcd93a8cw1h9y25834160y6ng982fi0qcd277hpjvhnvz34wqh3"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (delete-file-recursively "nghttp2")
+           (substitute* "Cargo.toml"
+             (("false")
+              "false\n[build-dependencies.pkg-config]\nversion = \"0.3\"\n"))
+           (delete-file "build.rs")
+           (with-output-to-file "build.rs"
+             (lambda _
+               (format #t "fn main() {~@
                         println!(\"cargo:rustc-link-lib=nghttp2\");~@
                         }~%")))
-                 #t))))
+           #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27208,18 +27410,18 @@ (define-public rust-libz-sys-1
     (name "rust-libz-sys")
     (version "1.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libz-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1q25cb8vs113si7q2p0innhi8jk0wpq37hqi2wcc219hcmw43cr3"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "src/zlib")
-                 (delete-file-recursively "src/zlib-ng")
-                 #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libz-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1q25cb8vs113si7q2p0innhi8jk0wpq37hqi2wcc219hcmw43cr3"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "src/zlib")
+                (delete-file-recursively "src/zlib-ng")
+                #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27296,14 +27498,14 @@ (define-public rust-line-wrap-0.1
     (name "rust-line-wrap")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "line-wrap" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ffa2whkyh9mwvdlpk6v8pjkg8p8mlzyjfymq5adll9a18sl80zk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "line-wrap" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ffa2whkyh9mwvdlpk6v8pjkg8p8mlzyjfymq5adll9a18sl80zk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27321,14 +27523,14 @@ (define-public rust-link-cplusplus-1
     (name "rust-link-cplusplus")
     (version "1.0.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "link-cplusplus" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0m7365ig7r88x7b4gkzj5m7b6wiq42pi1ign7mvyq63jr22sfspr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "link-cplusplus" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0m7365ig7r88x7b4gkzj5m7b6wiq42pi1ign7mvyq63jr22sfspr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-cc" ,rust-cc-1))))
@@ -27438,16 +27640,16 @@ (define-public rust-libssh2-sys-0.2
     (name "rust-libssh2-sys")
     (version "0.2.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "libssh2-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0mkhw4pksbz7gldj8hia7k6npc479n1x09i8r0pm275sac424ina"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "libssh2") #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "libssh2-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0mkhw4pksbz7gldj8hia7k6npc479n1x09i8r0pm275sac424ina"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "libssh2") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27544,14 +27746,14 @@ (define-public rust-locale-0.2
     (name "rust-locale")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "locale" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1z87wc7z6889x1pqlrwjw8f1crshzi15q5m102lqs8y0m69f9nsz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "locale" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1z87wc7z6889x1pqlrwjw8f1crshzi15q5m102lqs8y0m69f9nsz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))))
@@ -27566,14 +27768,14 @@ (define-public rust-locale-config-0.3
     (name "rust-locale-config")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "locale_config" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0d399alr1i7h7yji4vydbdbzd8hp0xaykr7h4rn3yj7l2rdw7lh8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "locale_config" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0d399alr1i7h7yji4vydbdbzd8hp0xaykr7h4rn3yj7l2rdw7lh8"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -27595,14 +27797,14 @@ (define-public rust-locale-config-0.2
     (name "rust-locale-config")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "locale-config" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0p2kdgc1c9cq5bi2rpszbhkh7pdk1fwxhij37gayb2alwkmikb3k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "locale-config" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0p2kdgc1c9cq5bi2rpszbhkh7pdk1fwxhij37gayb2alwkmikb3k"))))
     (arguments
      `(#:cargo-inputs
        (("rust-lazy-static" ,rust-lazy-static-1)
@@ -27670,13 +27872,13 @@ (define-public rust-lock-api-0.1
     (name "rust-lock-api")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lock_api" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0b24q9mh258xa52ap636q1sxz0j5vrnp0hwbbh7ddjka3wwz3sv2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lock_api" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0b24q9mh258xa52ap636q1sxz0j5vrnp0hwbbh7ddjka3wwz3sv2"))))
     (arguments
      `(#:cargo-inputs
        (("rust-scopeguard" ,rust-scopeguard-0.3)
@@ -27718,13 +27920,13 @@ (define-public rust-log-0.3
     (name "rust-log")
     (version "0.3.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "log" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0jq23hhn5h35k7pa8r7wqnsywji6x3wn1q5q7lif5q536if8v7p1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "log" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0jq23hhn5h35k7pa8r7wqnsywji6x3wn1q5q7lif5q536if8v7p1"))))
     (arguments
      `(#:cargo-inputs
        (("rust-log" ,rust-log-0.4))))))
@@ -27949,13 +28151,13 @@ (define-public rust-lopdf-0.26
     (name "rust-lopdf")
     (version "0.26.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lopdf" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "1wqnmibs8qzi6pr3ig4h3sg6bfkkgyv4ngdng81x069725r056ml"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lopdf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1wqnmibs8qzi6pr3ig4h3sg6bfkkgyv4ngdng81x069725r056ml"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -28045,23 +28247,23 @@ (define-public rust-lsp-types-0.89
     (name "rust-lsp-types")
     (version "0.89.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "lsp-types" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "18h9dckjy11pz2lpd5lm12vvfcds1qg67clqalr35k2jzpnhsbl5"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-bitflags" ,rust-bitflags-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-serde-json" ,rust-serde-json-1)
-         ("rust-serde-repr" ,rust-serde-repr-0.1)
-         ("rust-url" ,rust-url-2))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "lsp-types" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18h9dckjy11pz2lpd5lm12vvfcds1qg67clqalr35k2jzpnhsbl5"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-serde-repr" ,rust-serde-repr-0.1)
+        ("rust-url" ,rust-url-2))))
     (home-page "https://github.com/gluon-lang/lsp-types")
     (synopsis "Types for interaction with a language server")
     (description
@@ -28342,7 +28544,7 @@ (define-public rust-mach-o-sys-0.1
     (synopsis "Bindings to the OSX mach-o system library")
     (description "This package provides bindings to the OSX mach-o system
 library")
-  (license (list license:asl2.0 license:expat))))
+    (license (list license:asl2.0 license:expat))))
 
 (define-public rust-magic-crypt-3
   (package
@@ -28449,39 +28651,39 @@ (define-public rust-make-cmd-0.1
     (license license:expat)))
 
 (define-public rust-malloc-buf-0.0
- (package
-   (name "rust-malloc-buf")
-   (version "0.0.6")
-   (source
-    (origin
-      (method url-fetch)
-      (uri (crate-uri "malloc-buf" version))
-      (file-name
-       (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32
-        "1jqr77j89pwszv51fmnknzvd53i1nkmcr8rjrvcxhm4dx1zr1fv2"))))
-   (build-system cargo-build-system)
-   (arguments
-    `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))))
-   (home-page "https://github.com/SSheldon/malloc_buf")
-   (synopsis "Structs for handling malloc'd memory passed to Rust")
-   (description
-    "This package provides structs for handling malloc'd memory passed to Rust.")
-   (license license:expat)))
+  (package
+    (name "rust-malloc-buf")
+    (version "0.0.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "malloc-buf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1jqr77j89pwszv51fmnknzvd53i1nkmcr8rjrvcxhm4dx1zr1fv2"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))))
+    (home-page "https://github.com/SSheldon/malloc_buf")
+    (synopsis "Structs for handling malloc'd memory passed to Rust")
+    (description
+     "This package provides structs for handling malloc'd memory passed to Rust.")
+    (license license:expat)))
 
 (define-public rust-maplit-1
   (package
     (name "rust-maplit")
     (version "1.0.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "maplit" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "07b5kjnhrrmfhgqm9wprjw8adx6i225lqp49gasgqg74lahnabiy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "maplit" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "07b5kjnhrrmfhgqm9wprjw8adx6i225lqp49gasgqg74lahnabiy"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/bluss/maplit")
@@ -28496,14 +28698,14 @@ (define-public rust-markup5ever-0.10
     (name "rust-markup5ever")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "markup5ever" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1aqxl1lsc8s6ycsw5ibwynadnb9qpiab4ggwgdq9pjlnjdk8vqxa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "markup5ever" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1aqxl1lsc8s6ycsw5ibwynadnb9qpiab4ggwgdq9pjlnjdk8vqxa"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -28528,14 +28730,14 @@ (define-public rust-markup5ever-0.9
     (name "rust-markup5ever")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "markup5ever" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "00wxigkiw8f777pjp7q5kfq77xpwda9zskkwp698assh8yfisf35"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "markup5ever" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "00wxigkiw8f777pjp7q5kfq77xpwda9zskkwp698assh8yfisf35"))))
     (arguments
      `(#:cargo-inputs
        (("rust-log" ,rust-log-0.4)
@@ -28568,25 +28770,25 @@ (define-public rust-markup5ever-rcdom-0.1
     (name "rust-markup5ever-rcdom")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "markup5ever-rcdom" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0axf6vrms8579lvhbjaj0v7bhs8xb7s26d4sam2g3m6qpi1xl5gh"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-html5ever" ,rust-html5ever-0.25)
-         ("rust-markup5ever" ,rust-markup5ever-0.10)
-         ("rust-tendril" ,rust-tendril-0.4)
-         ("rust-xml5ever" ,rust-xml5ever-0.16))
-        #:cargo-development-inputs
-        (("rust-rustc-test" ,rust-rustc-test-0.3)
-         ("rust-serde-json" ,rust-serde-json-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "markup5ever-rcdom" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0axf6vrms8579lvhbjaj0v7bhs8xb7s26d4sam2g3m6qpi1xl5gh"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-html5ever" ,rust-html5ever-0.25)
+        ("rust-markup5ever" ,rust-markup5ever-0.10)
+        ("rust-tendril" ,rust-tendril-0.4)
+        ("rust-xml5ever" ,rust-xml5ever-0.16))
+       #:cargo-development-inputs
+       (("rust-rustc-test" ,rust-rustc-test-0.3)
+        ("rust-serde-json" ,rust-serde-json-1))))
     (home-page "https://github.com/servo/html5ever")
     (synopsis
      "Basic, unsupported DOM structure for use by tests in html5ever/xml5ever")
@@ -28600,14 +28802,14 @@ (define-public rust-match-cfg-0.1
     (name "rust-match-cfg")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "match-cfg" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1r5j3zqc3qr8ybcx95bk8q57mkizmgmffj5lmicd4i8d9riyigpz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "match-cfg" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1r5j3zqc3qr8ybcx95bk8q57mkizmgmffj5lmicd4i8d9riyigpz"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/gnzlbg/match_cfg")
     (synopsis
@@ -28623,13 +28825,13 @@ (define-public rust-matches-0.1
     (name "rust-matches")
     (version "0.1.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "matches" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "020axl4q7rk9vz90phs7f8jas4imxal9y9kxl4z4v7a6719mrz3z"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "matches" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "020axl4q7rk9vz90phs7f8jas4imxal9y9kxl4z4v7a6719mrz3z"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/SimonSapin/rust-std-candidates")
@@ -28789,13 +28991,13 @@ (define-public rust-matrixmultiply-0.2
     (name "rust-matrixmultiply")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "matrixmultiply" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "13s7nfd3dfcsrixld2lk8c563ih5xzczl2w36hprfc016rkfrxyl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "matrixmultiply" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "13s7nfd3dfcsrixld2lk8c563ih5xzczl2w36hprfc016rkfrxyl"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rawpointer" ,rust-rawpointer-0.2))
@@ -28809,13 +29011,13 @@ (define-public rust-matrixmultiply-0.1
     (name "rust-matrixmultiply")
     (version "0.1.15")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "matrixmultiply" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "00p0fpjhm45qdzi37mgv7ggsy8b9gqvq4999yrbgyn1dxkf6gbfw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "matrixmultiply" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "00p0fpjhm45qdzi37mgv7ggsy8b9gqvq4999yrbgyn1dxkf6gbfw"))))
     (arguments
      `(#:cargo-inputs (("rust-rawpointer" ,rust-rawpointer-0.1))
        #:cargo-development-inputs (("rust-bencher" ,rust-bencher-0.1))))))
@@ -28845,14 +29047,14 @@ (define-public rust-md-5-0.9
     (name "rust-md-5")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "md-5" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "059ajjacz1q3cms7vl6cvhdqs4qdw2nnwj9dq99ryzv0p6djfnkv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "md-5" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "059ajjacz1q3cms7vl6cvhdqs4qdw2nnwj9dq99ryzv0p6djfnkv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -28874,14 +29076,14 @@ (define-public rust-md-5-0.8
     (name "rust-md-5")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "md-5" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1j5rfxy2p76xf5f1lgaw85xla0b1bbv2lknvdhv1j0ibmzfg72m1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "md-5" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1j5rfxy2p76xf5f1lgaw85xla0b1bbv2lknvdhv1j0ibmzfg72m1"))))
     (arguments
      `(#:cargo-inputs
        (("rust-block-buffer" ,rust-block-buffer-0.7)
@@ -28917,13 +29119,13 @@ (define-public rust-md5-0.6
     (name "rust-md5")
     (version "0.6.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "md5" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "17b2xm4h4cvxsdjsf3kdrzqv2za60kak961xzi5kmw6g6djcssvy"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "md5" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "17b2xm4h4cvxsdjsf3kdrzqv2za60kak961xzi5kmw6g6djcssvy"))))))
 
 (define-public rust-md5-0.3
   (package
@@ -28945,14 +29147,14 @@ (define-public rust-md5-asm-0.4
     (name "rust-md5-asm")
     (version "0.4.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "md5-asm" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0gpk5647js1k084jc7pg2gji0cvl6hjkkbfia6lnpk8y4shyairv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "md5-asm" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0gpk5647js1k084jc7pg2gji0cvl6hjkkbfia6lnpk8y4shyairv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -28995,14 +29197,14 @@ (define-public rust-measureme-0.7
     (name "rust-measureme")
     (version "0.7.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "measureme" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0cmrrh86b3rvws6d7xp07wfn703yw02cakzirykvn4vh4p9hkxzy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "measureme" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0cmrrh86b3rvws6d7xp07wfn703yw02cakzirykvn4vh4p9hkxzy"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -29023,14 +29225,14 @@ (define-public rust-memchr-2
     (name "rust-memchr")
     (version "2.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "memchr" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1p478fqf4nia2ma0kv4npb8x1hli0zz6k16517ikb51jkryx8sxi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "memchr" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1p478fqf4nia2ma0kv4npb8x1hli0zz6k16517ikb51jkryx8sxi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -29083,13 +29285,13 @@ (define-public rust-memmap-0.7
     (name "rust-memmap")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "memmap" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ns7kkd1h4pijdkwfvw4qlbbmqmlmzwlq3g2676dcl5vwyazv1b5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "memmap" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ns7kkd1h4pijdkwfvw4qlbbmqmlmzwlq3g2676dcl5vwyazv1b5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -29112,13 +29314,13 @@ (define-public rust-memmap-0.6
     (name "rust-memmap")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "memmap" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1zy6s0ni0lx9rjzq3gq2zz9r8zgjmbp02332g3gsj4fyhv4s5zz2"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "memmap" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1zy6s0ni0lx9rjzq3gq2zz9r8zgjmbp02332g3gsj4fyhv4s5zz2"))))))
 
 (define-public rust-memmap-0.2
   (package
@@ -29336,21 +29538,21 @@ (define-public rust-merlin-2
     (name "rust-merlin")
     (version "2.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "merlin" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0y5vd610q7x82vf54pmnzlh0mh8hgxr6imv92yh46d7syi3cmzn6"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-byteorder" ,rust-byteorder-1)
-         ("rust-hex" ,rust-hex-0.3)
-         ("rust-keccak" ,rust-keccak-0.1)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-zeroize" ,rust-zeroize-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "merlin" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0y5vd610q7x82vf54pmnzlh0mh8hgxr6imv92yh46d7syi3cmzn6"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-byteorder" ,rust-byteorder-1)
+        ("rust-hex" ,rust-hex-0.3)
+        ("rust-keccak" ,rust-keccak-0.1)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-zeroize" ,rust-zeroize-1))))
     (home-page "https://docs.rs/merlin")
     (synopsis "Composable proof transcripts for public-coin arguments of
 knowledge")
@@ -29409,14 +29611,14 @@ (define-public rust-metadeps-1
     (name "rust-metadeps")
     (version "1.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "metadeps" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hjla9ypycqw1snd2qf87cckcc0d5z5qvxpcijn5yrrs3f825cbk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "metadeps" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hjla9ypycqw1snd2qf87cckcc0d5z5qvxpcijn5yrrs3f825cbk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -29681,13 +29883,13 @@ (define-public rust-mime-0.3
     (name "rust-mime")
     (version "0.3.16")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "mime" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "13dcm9lh01hdwfjcg74ppljyjfj1c6w3a3cwkhxf0w8wa37cfq1a"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "mime" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "13dcm9lh01hdwfjcg74ppljyjfj1c6w3a3cwkhxf0w8wa37cfq1a"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/hyperium/mime")
@@ -29805,12 +30007,12 @@ (define-public rust-minimal-lexical-0.1
     (name "rust-minimal-lexical")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "minimal-lexical" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "0xynhr97vyv5n5lls41dl7bfa3ba122lix9mqij1l7yprl6n6r4w"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "minimal-lexical" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0xynhr97vyv5n5lls41dl7bfa3ba122lix9mqij1l7yprl6n6r4w"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/Alexhuszagh/minimal-lexical")
     (synopsis "Fast float parsing conversion routines.")
@@ -29851,13 +30053,13 @@ (define-public rust-miniz-oxide-0.3
     (name "rust-miniz-oxide")
     (version "0.3.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "miniz_oxide" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "198n4hfpq0qcxf275l6fpzh7b9cl7ck2xs6pjgpds74bazv9yrxa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "miniz_oxide" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "198n4hfpq0qcxf275l6fpzh7b9cl7ck2xs6pjgpds74bazv9yrxa"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs (("rust-adler32" ,rust-adler32-1))))))
@@ -29911,13 +30113,13 @@ (define-public rust-miniz-sys-0.1
     (name "rust-miniz-sys")
     (version "0.1.12")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "miniz-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "00l2r4anm8g35x0js2zfdnwfbrih9m43vphdpb77c5ga3kjkm7hy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "miniz-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "00l2r4anm8g35x0js2zfdnwfbrih9m43vphdpb77c5ga3kjkm7hy"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -30204,13 +30406,13 @@ (define-public rust-miow-0.2
     (name "rust-miow")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "miow" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "06g9b8sqlh5gxakwqq4rrib07afwanfnxgxajrldwcgk3hxjy7wc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "miow" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "06g9b8sqlh5gxakwqq4rrib07afwanfnxgxajrldwcgk3hxjy7wc"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -30371,19 +30573,19 @@ (define-public rust-modifier-0.1
     (name "rust-modifier")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "modifier" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0n3fmgli1nsskl0whrfzm1gk0rmwwl6pw1q4nb9sqqmn5h8wkxa1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "modifier" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0n3fmgli1nsskl0whrfzm1gk0rmwwl6pw1q4nb9sqqmn5h8wkxa1"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/reem/rust-modifier")
     (synopsis
-      "Chaining APIs for both self -> Self and &mut self methods.")
+     "Chaining APIs for both self -> Self and &mut self methods.")
     (description
-      "Chaining APIs for both self -> Self and &mut self methods.")
+     "Chaining APIs for both self -> Self and &mut self methods.")
     (license license:expat)))
 
 (define-public rust-mp4-0.8
@@ -30445,14 +30647,14 @@ (define-public rust-multi-default-trait-impl-0.1
     (name "rust-multi-default-trait-impl")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "multi-default-trait-impl" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1r6y5zb6kg655zi02yk4amkwsgds5ay9ag1dk30cls7rn3dlvvqs"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "multi-default-trait-impl" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1r6y5zb6kg655zi02yk4amkwsgds5ay9ag1dk30cls7rn3dlvvqs"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -30564,7 +30766,7 @@ (define-public rust-multipart-0.17
         ("rust-tiny-http" ,rust-tiny-http-0.6)
         ("rust-twoway" ,rust-twoway-0.1))
        #:cargo-development-inputs
-        (("rust-env-logger" ,rust-env-logger-0.5))))))
+       (("rust-env-logger" ,rust-env-logger-0.5))))))
 
 (define-public rust-multiversion-0.6
   (package
@@ -30719,19 +30921,19 @@ (define-public rust-nasm-rs-0.2
     (name "rust-nasm-rs")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nasm-rs" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1lgc3gg32hj4pcbfp07vzwy013smdm27469fyy4rqgyil3x46vx7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nasm-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1lgc3gg32hj4pcbfp07vzwy013smdm27469fyy4rqgyil3x46vx7"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:cargo-inputs
-        (("rust-arrayvec" ,rust-arrayvec-0.5)
-         ("rust-rayon" ,rust-rayon-1))))
+     `(#:cargo-inputs
+       (("rust-arrayvec" ,rust-arrayvec-0.5)
+        ("rust-rayon" ,rust-rayon-1))))
     (home-page "https://github.com/medek/nasm-rs")
     (synopsis "Run NASM during your Cargo build")
     (description "Run NASM during your Cargo build.")
@@ -30743,14 +30945,14 @@ (define-public rust-nasm-rs-0.1
     (name "rust-nasm-rs")
     (version "0.1.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nasm-rs" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0r34hiy1pc0aksrfc02zsl0zyw33i9yi7kyx8l214l7nm0mzm97y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nasm-rs" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0r34hiy1pc0aksrfc02zsl0zyw33i9yi7kyx8l214l7nm0mzm97y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -30762,17 +30964,17 @@ (define-public rust-nalgebra-0.26
     (name "rust-nalgebra")
     (version "0.26.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nalgebra" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "01hxksmgg17c4k2rzjx1h8kkjbw9rm81dsancg459zh2zrcisva7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nalgebra" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "01hxksmgg17c4k2rzjx1h8kkjbw9rm81dsancg459zh2zrcisva7"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:phases
-        (modify-phases %standard-phases
+     `(#:skip-build? #t
+       #:phases
+       (modify-phases %standard-phases
          (add-after 'configure 'patch-Cargo.toml
            (lambda _
              (substitute* '("Cargo.toml"
@@ -30780,34 +30982,34 @@ (define-public rust-nalgebra-0.26
                             "guix-vendor/rust-average-0.13.1.tar.gz/Cargo.toml")
                ;; The resolver feature is not supported by this version of Cargo.
                (("resolver = \"2\".*") "")))))
-        #:cargo-inputs
-        (("rust-abomonation" ,rust-abomonation-0.7)
-         ("rust-alga" ,rust-alga-0.9)
-         ("rust-approx" ,rust-approx-0.4)
-         ("rust-bytemuck" ,rust-bytemuck-1.5)
-         ("rust-glam" ,rust-glam-0.13)
-         ("rust-matrixcompare-core" ,rust-matrixcompare-core-0.1)
-         ("rust-matrixmultiply" ,rust-matrixmultiply-0.3)
-         ("rust-mint" ,rust-mint-0.5)
-         ("rust-num-complex" ,rust-num-complex-0.3)
-         ("rust-num-rational" ,rust-num-rational-0.3)
-         ("rust-num-traits" ,rust-num-traits-0.2)
-         ("rust-pest" ,rust-pest-2)
-         ("rust-pest-derive" ,rust-pest-derive-2)
-         ("rust-proptest" ,rust-proptest-1)
-         ("rust-quickcheck" ,rust-quickcheck-1)
-         ("rust-rand" ,rust-rand-0.8)
-         ("rust-rand-distr" ,rust-rand-distr-0.4)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-simba" ,rust-simba-0.4)
-         ("rust-typenum" ,rust-typenum-1))
-        #:cargo-development-inputs
-        (("rust-criterion" ,rust-criterion-0.2)
-         ("rust-itertools" ,rust-itertools-0.10)
-         ("rust-matrixcompare" ,rust-matrixcompare-0.2)
-         ("rust-rand-isaac" ,rust-rand-isaac-0.3)
-         ("rust-rand-xorshift" ,rust-rand-xorshift-0.3)
-         ("rust-serde-json" ,rust-serde-json-1))))
+       #:cargo-inputs
+       (("rust-abomonation" ,rust-abomonation-0.7)
+        ("rust-alga" ,rust-alga-0.9)
+        ("rust-approx" ,rust-approx-0.4)
+        ("rust-bytemuck" ,rust-bytemuck-1.5)
+        ("rust-glam" ,rust-glam-0.13)
+        ("rust-matrixcompare-core" ,rust-matrixcompare-core-0.1)
+        ("rust-matrixmultiply" ,rust-matrixmultiply-0.3)
+        ("rust-mint" ,rust-mint-0.5)
+        ("rust-num-complex" ,rust-num-complex-0.3)
+        ("rust-num-rational" ,rust-num-rational-0.3)
+        ("rust-num-traits" ,rust-num-traits-0.2)
+        ("rust-pest" ,rust-pest-2)
+        ("rust-pest-derive" ,rust-pest-derive-2)
+        ("rust-proptest" ,rust-proptest-1)
+        ("rust-quickcheck" ,rust-quickcheck-1)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-rand-distr" ,rust-rand-distr-0.4)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-simba" ,rust-simba-0.4)
+        ("rust-typenum" ,rust-typenum-1))
+       #:cargo-development-inputs
+       (("rust-criterion" ,rust-criterion-0.2)
+        ("rust-itertools" ,rust-itertools-0.10)
+        ("rust-matrixcompare" ,rust-matrixcompare-0.2)
+        ("rust-rand-isaac" ,rust-rand-isaac-0.3)
+        ("rust-rand-xorshift" ,rust-rand-xorshift-0.3)
+        ("rust-serde-json" ,rust-serde-json-1))))
     (home-page "https://nalgebra.org")
     (synopsis "Linear algebra library")
     (description
@@ -30820,14 +31022,14 @@ (define-public rust-nalgebra-0.21
     (name "rust-nalgebra")
     (version "0.21.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nalgebra" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "11ili22n4ffgcjbgvbjqmpbd67qrl2acqbpymg6z7d2h7my19dnn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nalgebra" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "11ili22n4ffgcjbgvbjqmpbd67qrl2acqbpymg6z7d2h7my19dnn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -30866,14 +31068,14 @@ (define-public rust-nalgebra-0.19
     (name "rust-nalgebra")
     (version "0.19.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nalgebra" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0i87k57nav221lnr9z7ljlwxh8073qsx33bajdm146y00q805fqa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nalgebra" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0i87k57nav221lnr9z7ljlwxh8073qsx33bajdm146y00q805fqa"))))
     (arguments
      `(#:cargo-inputs
        (("rust-abomonation" ,rust-abomonation-0.7)
@@ -30903,14 +31105,14 @@ (define-public rust-nalgebra-0.18
     (name "rust-nalgebra")
     (version "0.18.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nalgebra" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18i1npny8s45ff67p5qpdwwsn36fp23mal8847fkb32cqgdzvada"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nalgebra" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18i1npny8s45ff67p5qpdwwsn36fp23mal8847fkb32cqgdzvada"))))
     (arguments
      `(#:cargo-inputs
        (("rust-abomonation" ,rust-abomonation-0.7)
@@ -31308,14 +31510,14 @@ (define-public rust-ndarray-0.12
     (name "rust-ndarray")
     (version "0.12.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ndarray" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0a5rfwcbqnvbwi3nw5sfz6kf0flhmjxs64s0b4kxc6lhmyl81wvw"))
-        (patches (search-patches "rust-ndarray-remove-blas-src-dep.patch"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ndarray" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0a5rfwcbqnvbwi3nw5sfz6kf0flhmjxs64s0b4kxc6lhmyl81wvw"))
+       (patches (search-patches "rust-ndarray-remove-blas-src-dep.patch"))))
     (arguments
      `(#:cargo-inputs
        (("rust-itertools" ,rust-itertools-0.7)
@@ -31486,13 +31688,13 @@ (define-public rust-net2-0.2
     (name "rust-net2")
     (version "0.2.33")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "net2" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "126g3fgfxp06zimc1l9iyxnn9cif1hjsg7sd81nlls5nnyghsma2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "net2" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "126g3fgfxp06zimc1l9iyxnn9cif1hjsg7sd81nlls5nnyghsma2"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -31538,10 +31740,10 @@ (define-public rust-nettle-7
        (("rust-bindgen" ,rust-bindgen-0.51)
         ("rust-pkg-config" ,rust-pkg-config-0.3))))
     (home-page "https://gitlab.com/sequoia-pgp/nettle-rs")
-  (synopsis "Rust bindings for the Nettle cryptographic library")
-  (description "This package provides Rust bindings for the Nettle
+    (synopsis "Rust bindings for the Nettle cryptographic library")
+    (description "This package provides Rust bindings for the Nettle
 cryptographic library.")
-  (license (list license:lgpl3 license:gpl2 license:gpl3))))
+    (license (list license:lgpl3 license:gpl2 license:gpl3))))
 
 (define-public rust-nettle-5
   (package
@@ -32195,13 +32397,13 @@ (define-public rust-nodrop-0.1
     (name "rust-nodrop")
     (version "0.1.14")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nodrop" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1fz1v9r8ijacf0hlq0pdv5l9mz8vgqg1snmhvpjmi9aci1b4mvvj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nodrop" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1fz1v9r8ijacf0hlq0pdv5l9mz8vgqg1snmhvpjmi9aci1b4mvvj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -32218,13 +32420,13 @@ (define-public rust-nodrop-union-0.1
     (name "rust-nodrop-union")
     (version "0.1.11")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "nodrop-union" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1h59pph19rxanyqcaid8pg73s7wmzdx3zhjv5snlim5qx606zxkc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "nodrop-union" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1h59pph19rxanyqcaid8pg73s7wmzdx3zhjv5snlim5qx606zxkc"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))   ; depends on features not in stable Rust
     (home-page "https://github.com/bluss/arrayvec")
@@ -32433,7 +32635,7 @@ (define-public rust-nom-1
         (base32
          "1kjh42w67z1hh1dw3jrilgqrf54jk2xcvhw4rcdm4wclzmbc5f55"))))
     (arguments
-      ;; This is an ancient version and all inputs are optional.
+     ;; This is an ancient version and all inputs are optional.
      `(#:skip-build? #t))))
 
 (define-public rust-nom-derive-0.7
@@ -32505,14 +32707,14 @@ (define-public rust-normalize-line-endings-0.3
     (name "rust-normalize-line-endings")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "normalize-line-endings" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1gp52dfn2glz26a352zra8h04351icf0fkqzw1shkwrgh1vpz031"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "normalize-line-endings" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1gp52dfn2glz26a352zra8h04351icf0fkqzw1shkwrgh1vpz031"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/derekdreery/normalize-line-endings")
     (synopsis
@@ -32542,44 +32744,44 @@ (define-public rust-notify-5
     (name "rust-notify")
     (version "5.0.0-pre.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "notify" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0jq1ixzi7rgq233dxbxkn129n8lidswp1glsgbdhvw7ig38brfs6"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-bitflags" ,rust-bitflags-1)
-         ("rust-crossbeam-channel"
-          ,rust-crossbeam-channel-0.5)
-         ("rust-filetime" ,rust-filetime-0.2)
-         ("rust-fsevent" ,rust-fsevent-2)
-         ("rust-fsevent-sys" ,rust-fsevent-sys-3)
-         ("rust-inotify" ,rust-inotify-0.9)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-mio" ,rust-mio-0.7)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-walkdir" ,rust-walkdir-2)
-         ("rust-winapi" ,rust-winapi-0.3))
-        #:cargo-development-inputs
-        (("rust-serde-json" ,rust-serde-json-1))
-        #:phases
-        (modify-phases %standard-phases
-          (add-after 'unpack 'fix-version-requirements
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "notify" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0jq1ixzi7rgq233dxbxkn129n8lidswp1glsgbdhvw7ig38brfs6"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-crossbeam-channel"
+         ,rust-crossbeam-channel-0.5)
+        ("rust-filetime" ,rust-filetime-0.2)
+        ("rust-fsevent" ,rust-fsevent-2)
+        ("rust-fsevent-sys" ,rust-fsevent-sys-3)
+        ("rust-inotify" ,rust-inotify-0.9)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-mio" ,rust-mio-0.7)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-walkdir" ,rust-walkdir-2)
+        ("rust-winapi" ,rust-winapi-0.3))
+       #:cargo-development-inputs
+       (("rust-serde-json" ,rust-serde-json-1))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-version-requirements
            (lambda _
              (substitute* "Cargo.toml"
                (("0.7.7") ,(package-version rust-mio-0.7)))
              #t)))))
     (home-page "https://github.com/notify-rs/notify")
     (synopsis
-      "Cross-platform filesystem notification library")
+     "Cross-platform filesystem notification library")
     (description
-      "Cross-platform filesystem notification library")
+     "Cross-platform filesystem notification library")
     (license (list license:cc0 license:artistic2.0))))
 
 (define-public rust-noise-0.7
@@ -32856,14 +33058,14 @@ (define-public rust-num-0.1
     (name "rust-num")
     (version "0.1.42")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vhmyvfan380f86895z0f8rjscjc6qvwcmyvm15370ik2mjas0s7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vhmyvfan380f86895z0f8rjscjc6qvwcmyvm15370ik2mjas0s7"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-bigint" ,rust-num-bigint-0.1)
@@ -32956,14 +33158,14 @@ (define-public rust-num-bigint-0.1
     (name "rust-num-bigint")
     (version "0.1.44")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-bigint" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hg80xd7vd5yqzks1h0zk2fcgqnf84m2cdj9q4cffk581nnrjf76"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-bigint" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hg80xd7vd5yqzks1h0zk2fcgqnf84m2cdj9q4cffk581nnrjf76"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-integer" ,rust-num-integer-0.1)
@@ -32979,29 +33181,29 @@ (define-public rust-num-bigint-dig-0.6
     (name "rust-num-bigint-dig")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-bigint-dig" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "1aljx3bxfnzq35i9pkbqkj0d0hc1wjc2dd60wccjqylz1wrkrl5k"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-autocfg" ,rust-autocfg-0.1)
-         ("rust-byteorder" ,rust-byteorder-1)
-         ("rust-lazy-static" ,rust-lazy-static-1)
-         ("rust-libm" ,rust-libm-0.2)
-         ("rust-num-integer" ,rust-num-integer-0.1)
-         ("rust-num-iter" ,rust-num-iter-0.1)
-         ("rust-num-traits" ,rust-num-traits-0.2)
-         ("rust-rand" ,rust-rand-0.7)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-smallvec" ,rust-smallvec-1)
-         ("rust-zeroize" ,rust-zeroize-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-bigint-dig" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1aljx3bxfnzq35i9pkbqkj0d0hc1wjc2dd60wccjqylz1wrkrl5k"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-autocfg" ,rust-autocfg-0.1)
+        ("rust-byteorder" ,rust-byteorder-1)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-libm" ,rust-libm-0.2)
+        ("rust-num-integer" ,rust-num-integer-0.1)
+        ("rust-num-iter" ,rust-num-iter-0.1)
+        ("rust-num-traits" ,rust-num-traits-0.2)
+        ("rust-rand" ,rust-rand-0.7)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-smallvec" ,rust-smallvec-1)
+        ("rust-zeroize" ,rust-zeroize-1))))
     (home-page
-      "https://github.com/dignifiedquire/num-bigint")
+     "https://github.com/dignifiedquire/num-bigint")
     (synopsis "Big integer implementation for Rust")
     (description "This package provides a big integer implementation
 for Rust")
@@ -33037,14 +33239,14 @@ (define-public rust-num-complex-0.3
     (name "rust-num-complex")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-complex" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1dczd81f2xb092dhb0brbdbf19pyfn0v9xmkf6qm0w4pv1dx0nmh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-complex" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1dczd81f2xb092dhb0brbdbf19pyfn0v9xmkf6qm0w4pv1dx0nmh"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-traits" ,rust-num-traits-0.2)
@@ -33078,14 +33280,14 @@ (define-public rust-num-complex-0.1
     (name "rust-num-complex")
     (version "0.1.43")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-complex" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0mln3h018lar511hadjwfkbyq1561s8kdzfg8aagbakqg0fn725j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-complex" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0mln3h018lar511hadjwfkbyq1561s8kdzfg8aagbakqg0fn725j"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -33098,19 +33300,19 @@ (define-public rust-num-cpus-1
     (name "rust-num-cpus")
     (version "1.13.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num_cpus" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cv6yxhz2zbnwn8pn1yn8grg7zsnd523947fby41a737aqvryj85"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num_cpus" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cv6yxhz2zbnwn8pn1yn8grg7zsnd523947fby41a737aqvryj85"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-        (("rust-hermit-abi" ,rust-hermit-abi-0.1)
-         ("rust-libc" ,rust-libc-0.2))))
+       (("rust-hermit-abi" ,rust-hermit-abi-0.1)
+        ("rust-libc" ,rust-libc-0.2))))
     (home-page "https://github.com/seanmonstar/num_cpus")
     (synopsis "Get the number of CPUs on a machine")
     (description
@@ -33123,14 +33325,14 @@ (define-public rust-num-derive-0.3
     (name "rust-num-derive")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1czs5215ypgbwg0qgy2i515xj3vfcgm8fw7gi4gmwsyv3a2bj2bg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1czs5215ypgbwg0qgy2i515xj3vfcgm8fw7gi4gmwsyv3a2bj2bg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -33361,14 +33563,14 @@ (define-public rust-num-rational-0.3
     (name "rust-num-rational")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-rational" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0f41j1l1kn5jj36a8xdy8kv242wlwq0ka578vm8gnb1n1wvdgd55"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-rational" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0f41j1l1kn5jj36a8xdy8kv242wlwq0ka578vm8gnb1n1wvdgd55"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-bigint" ,rust-num-bigint-0.3)
@@ -33405,14 +33607,14 @@ (define-public rust-num-rational-0.1
     (name "rust-num-rational")
     (version "0.1.42")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-rational" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0kkqb8j3b3nis9hs4ww4hkrmb4a6v9sr9al08xmwhgvmpms4qcgf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-rational" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0kkqb8j3b3nis9hs4ww4hkrmb4a6v9sr9al08xmwhgvmpms4qcgf"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-bigint" ,rust-num-bigint-0.1)
@@ -33450,13 +33652,13 @@ (define-public rust-num-traits-0.1
     (name "rust-num-traits")
     (version "0.1.43")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "num-traits" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0c9whknf2dm74a3cqirafy6gj83a76gl56g4v3g19k6lkwz13rcj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "num-traits" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0c9whknf2dm74a3cqirafy6gj83a76gl56g4v3g19k6lkwz13rcj"))))
     (arguments
      `(#:cargo-inputs
        (("rust-num-traits" , rust-num-traits-0.2))))))
@@ -33466,14 +33668,14 @@ (define-public rust-number-prefix-0.3
     (name "rust-number-prefix")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "number_prefix" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0slm4mqmpgs6hvz22ycny9lvyvl9ivs80a1lncslp7lszz02zc0p"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "number_prefix" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0slm4mqmpgs6hvz22ycny9lvyvl9ivs80a1lncslp7lszz02zc0p"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/ogham/rust-number-prefix")
     (synopsis "Format numeric prefixes: kilo, giga, kibi")
@@ -33487,13 +33689,13 @@ (define-public rust-numtoa-0.1
     (name "rust-numtoa")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "numtoa" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1vs9rhggqbql1p26x8nkha1j06wawwgb2jp5fs88b5gi7prvvy5q"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "numtoa" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1vs9rhggqbql1p26x8nkha1j06wawwgb2jp5fs88b5gi7prvvy5q"))))
     (build-system cargo-build-system)
     (arguments '(#:tests? #f))
     (home-page "https://gitlab.com/mmstick/numtoa")
@@ -33757,14 +33959,14 @@ (define-public rust-object-0.17
     (name "rust-object")
     (version "0.17.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "object" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1bmgbg4k0725lchfy9j1wnpfmywh5qhs0k4k6j2g7c0acvys8i7a"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "object" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1bmgbg4k0725lchfy9j1wnpfmywh5qhs0k4k6j2g7c0acvys8i7a"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -33993,14 +34195,14 @@ (define-public rust-once-cell-0.1
     (name "rust-once-cell")
     (version "0.1.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "once-cell" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0drcjs7si0hygc0v64y55hkxv9fpvlvrb3wl5374b2hnc6i2jb2k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "once-cell" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0drcjs7si0hygc0v64y55hkxv9fpvlvrb3wl5374b2hnc6i2jb2k"))))
     (arguments
      `(#:cargo-inputs
        (("rust-parking-lot" ,rust-parking-lot-0.7))
@@ -34012,20 +34214,20 @@ (define-public rust-oorandom-11.1
     (name "rust-oorandom")
     (version "11.1.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "oorandom" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0xdm4vd89aiwnrk1xjwzklnchjqvib4klcihlc2bsd4x50mbrc8a"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "oorandom" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0xdm4vd89aiwnrk1xjwzklnchjqvib4klcihlc2bsd4x50mbrc8a"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://hg.sr.ht/~icefox/oorandom")
     (synopsis "A tiny, robust PRNG implementation.")
     (description
-      "This package provides a tiny, robust PRNG implementation.")
+     "This package provides a tiny, robust PRNG implementation.")
     (license license:expat)))
 
 (define-public rust-opaque-debug-0.3
@@ -34033,14 +34235,14 @@ (define-public rust-opaque-debug-0.3
     (name "rust-opaque-debug")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "opaque-debug" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1m8kzi4nd6shdqimn0mgb24f0hxslhnqd1whakyq06wcqd086jk2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "opaque-debug" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1m8kzi4nd6shdqimn0mgb24f0hxslhnqd1whakyq06wcqd086jk2"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/RustCrypto/utils")
     (synopsis "Macro for opaque debug trait implementation")
@@ -34203,13 +34405,13 @@ (define-public rust-openssl-probe-0.1
     (name "rust-openssl-probe")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "openssl-probe" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1pijrdifgsdwd45b08c2g0dsmnhz7c3kmagb70839ngrd7d29bvp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "openssl-probe" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1pijrdifgsdwd45b08c2g0dsmnhz7c3kmagb70839ngrd7d29bvp"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/alexcrichton/openssl-probe")
     (synopsis "Find SSL certificate locations")
@@ -34224,13 +34426,13 @@ (define-public rust-openssl-sys-0.9
     (name "rust-openssl-sys")
     (version "0.9.68")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "openssl-sys" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "0l2ikxygkza3s5q3lvng4mhisdp2vdrvzkhpwhkx8vgnscjiymqw"))
-        (patches (search-patches "rust-openssl-sys-no-vendor.patch"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "openssl-sys" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0l2ikxygkza3s5q3lvng4mhisdp2vdrvzkhpwhkx8vgnscjiymqw"))
+       (patches (search-patches "rust-openssl-sys-no-vendor.patch"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -34343,14 +34545,14 @@ (define-public rust-ord-subset-3
     (name "rust-ord-subset")
     (version "3.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ord-subset" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1vvb6zmz279nb59dki7kbsvixbk8zpg2gxvgcpsjfnxg9ik19knp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ord-subset" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1vvb6zmz279nb59dki7kbsvixbk8zpg2gxvgcpsjfnxg9ik19knp"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/emerentius/ord_subset")
     (synopsis "Tools for working with the Ord subset of certain PartialOrd types")
@@ -34542,14 +34744,14 @@ (define-public rust-output-vt100-0.1
     (name "rust-output-vt100")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "output_vt100" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ygqplpxz4gg3i8f3rkan2q69pqll7gv65l2mmd8r9dphnvwbkak"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "output_vt100" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ygqplpxz4gg3i8f3rkan2q69pqll7gv65l2mmd8r9dphnvwbkak"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -34609,13 +34811,13 @@ (define-public rust-owning-ref-0.4
     (name "rust-owning-ref")
     (version "0.4.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "owning_ref" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1kjj9m28wjv452jw49p1mp3d8ql058x78v4bz00avr7rvsnmpxbg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "owning_ref" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1kjj9m28wjv452jw49p1mp3d8ql058x78v4bz00avr7rvsnmpxbg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -34708,14 +34910,14 @@ (define-public rust-pad-0.1
     (name "rust-pad")
     (version "0.1.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pad" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1qy0r26r52gp034fv252mmg0s599a55h9nr4xswy04hvky49pbfj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pad" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qy0r26r52gp034fv252mmg0s599a55h9nr4xswy04hvky49pbfj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -34723,7 +34925,7 @@ (define-public rust-pad-0.1
     (home-page "https://github.com/ogham/rust-pad")
     (synopsis "Library for padding strings at runtime")
     (description
-      "This package provides a library for padding strings at runtime.")
+     "This package provides a library for padding strings at runtime.")
     (license license:expat)))
 
 (define-public rust-pager-0.15
@@ -34755,14 +34957,14 @@ (define-public rust-palette-0.5
     (name "rust-palette")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "palette" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0nfc4ycdsx2qgf2wkcpxqxc0vmx7188jjjx3ppgs8qlf8qs06p50"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "palette" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nfc4ycdsx2qgf2wkcpxqxc0vmx7188jjjx3ppgs8qlf8qs06p50"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -34784,14 +34986,14 @@ (define-public rust-palette-derive-0.5
     (name "rust-palette-derive")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "palette_derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1x5icddb877923rpl27bg4cjsf1x0d3layxmgwa3mpb01rh5yjqb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "palette_derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1x5icddb877923rpl27bg4cjsf1x0d3layxmgwa3mpb01rh5yjqb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -34931,21 +35133,21 @@ (define-public rust-parity-wasm-0.41
     (name "rust-parity-wasm")
     (version "0.41.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "parity-wasm" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0rfqgjyxrxrfjq5r5n81mdklahl8g4az6yhyyvw25nh0mj6qgz6x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "parity-wasm" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rfqgjyxrxrfjq5r5n81mdklahl8g4az6yhyyvw25nh0mj6qgz6x"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/paritytech/parity-wasm")
+     "https://github.com/paritytech/parity-wasm")
     (synopsis "WebAssembly low-level format library")
     (description
-      "WebAssembly low-level format library")
+     "WebAssembly low-level format library")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-parity-wasm-0.40
@@ -34953,13 +35155,13 @@ (define-public rust-parity-wasm-0.40
     (name "rust-parity-wasm")
     (version "0.40.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "parity-wasm" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "03qycy21avz4970zc7aj8rj5h4wvi4qsrc90a6hpws1a56mglf8y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "parity-wasm" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "03qycy21avz4970zc7aj8rj5h4wvi4qsrc90a6hpws1a56mglf8y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -35658,14 +35860,14 @@ (define-public rust-pbkdf2-0.4
     (name "rust-pbkdf2")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pbkdf2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1g8cm3nwrsydazjc1gjs549hzafgxq8qb49gixrhl3qrd9calvi1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pbkdf2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1g8cm3nwrsydazjc1gjs549hzafgxq8qb49gixrhl3qrd9calvi1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -35694,14 +35896,14 @@ (define-public rust-pbkdf2-0.3
     (name "rust-pbkdf2")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pbkdf2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1na2fmmfcmksz4xk7m0ihl778501c1krx88dcylrand48f506v00"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pbkdf2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1na2fmmfcmksz4xk7m0ihl778501c1krx88dcylrand48f506v00"))))
     (arguments
      `(#:cargo-inputs
        (("rust-base64" ,rust-base64-0.9)
@@ -35831,14 +36033,14 @@ (define-public rust-pdqselect-0.1
     (name "rust-pdqselect")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pdqselect" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "09vwywzavhgqgr3vi2ycgv2nd0067jirv36fb3jvp860xikigjaf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pdqselect" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "09vwywzavhgqgr3vi2ycgv2nd0067jirv36fb3jvp860xikigjaf"))))
     (build-system cargo-build-system)
     (home-page "https://crates.io/crates/pdqselect")
     (synopsis "Selects the kth smallest element of a slice")
@@ -35899,18 +36101,18 @@ (define-public rust-peeking-take-while-0.1
     (name "rust-peeking-take-while")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "peeking_take_while" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "16bhqr6rdyrp12zv381cxaaqqd0pwysvm1q8h2ygihvypvfprc8r"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "peeking_take_while" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "16bhqr6rdyrp12zv381cxaaqqd0pwysvm1q8h2ygihvypvfprc8r"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/fitzgen/peeking_take_while")
     (synopsis "Provides the peeking_take_while iterator adaptor method")
     (description
-      "Like @code{Iterator::take_while}, but calls the predicate on a peeked
+     "Like @code{Iterator::take_while}, but calls the predicate on a peeked
 value.  This allows you to use @code{Iterator::by_ref} and
 @code{Iterator::take_while} together, and still get the first value for which
 the @code{take_while} predicate returned false after dropping the @code{by_ref}.")
@@ -35951,14 +36153,14 @@ (define-public rust-peg-0.5
     (name "rust-peg")
     (version "0.5.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "peg" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "11az3bs3ngvfip920xfr0zwblfkyg6cjgz1v9hmfsdnqw7fi5ps0"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "peg" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "11az3bs3ngvfip920xfr0zwblfkyg6cjgz1v9hmfsdnqw7fi5ps0"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-quote" ,rust-quote-0.3))))))
@@ -35968,14 +36170,14 @@ (define-public rust-peg-macros-0.6
     (name "rust-peg-macros")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "peg-macros" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0li8qrb8hyqr7v5mhrkym0xp7ijnbksqviqc2i3556cysdgick62"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "peg-macros" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0li8qrb8hyqr7v5mhrkym0xp7ijnbksqviqc2i3556cysdgick62"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -35994,14 +36196,14 @@ (define-public rust-peg-runtime-0.6
     (name "rust-peg-runtime")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "peg-runtime" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0r583cq923v0narrpq73qmp780yg4pablzklhrwnr64xwsbjh6hc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "peg-runtime" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0r583cq923v0narrpq73qmp780yg4pablzklhrwnr64xwsbjh6hc"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/kevinmehall/rust-peg")
     (synopsis "Runtime support for rust-peg grammars")
@@ -36015,13 +36217,13 @@ (define-public rust-percent-encoding-2
     (name "rust-percent-encoding")
     (version "2.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "percent-encoding" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0bp3zrsk3kr47fbpipyczidbbx4g54lzxdm77ni1i3qws10mdzfl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "percent-encoding" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0bp3zrsk3kr47fbpipyczidbbx4g54lzxdm77ni1i3qws10mdzfl"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/servo/rust-url/")
     (synopsis "Percent encoding and decoding")
@@ -36035,13 +36237,13 @@ (define-public rust-percent-encoding-1
     (name "rust-percent-encoding")
     (version "1.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "percent-encoding" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0cgq08v1fvr6bs5fvy390cz830lq4fak8havdasdacxcw790s09i"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "percent-encoding" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0cgq08v1fvr6bs5fvy390cz830lq4fak8havdasdacxcw790s09i"))))))
 
 (define-public rust-peresil-0.3
   (package
@@ -36094,22 +36296,22 @@ (define-public rust-perf-event-0.4
     (name "rust-perf-event")
     (version "0.4.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "perf-event" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0rlxmyscr38wynknqqpy82fypq8ywa52ad3dbm22ia7as8n5d5jk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "perf-event" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rlxmyscr38wynknqqpy82fypq8ywa52ad3dbm22ia7as8n5d5jk"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:cargo-inputs
-        (("rust-libc" ,rust-libc-0.2)
-         ("rust-perf-event-open-sys"
-          ,rust-perf-event-open-sys-1))))
+     `(#:cargo-inputs
+       (("rust-libc" ,rust-libc-0.2)
+        ("rust-perf-event-open-sys"
+         ,rust-perf-event-open-sys-1))))
     (home-page
-      "https://github.com/jimblandy/perf-event.git")
+     "https://github.com/jimblandy/perf-event.git")
     (synopsis
      "Rust interface to Linux performance monitoring")
     (description
@@ -36121,13 +36323,13 @@ (define-public rust-permutohedron-0.2
     (name "rust-permutohedron")
     (version "0.2.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "permutohedron" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0b1pzh48j86v46wxngch6k1kx9cdw3jr3lwa86gd6jd4bmxzz1xn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "permutohedron" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0b1pzh48j86v46wxngch6k1kx9cdw3jr3lwa86gd6jd4bmxzz1xn"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/bluss/permutohedron")
@@ -36313,14 +36515,14 @@ (define-public rust-phf-0.8
     (name "rust-phf")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "phf" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "04pyv8bzqvw69rd5dynd5nb85py1hf7wa4ixyhrvdz1l5qin3yrx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "phf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "04pyv8bzqvw69rd5dynd5nb85py1hf7wa4ixyhrvdz1l5qin3yrx"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -36364,14 +36566,14 @@ (define-public rust-phf-codegen-0.8
     (name "rust-phf-codegen")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "phf_codegen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05d8w7aqqjb6039pfm6404gk5dlwrrf97kiy1n21212vb1hyxzyb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "phf_codegen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05d8w7aqqjb6039pfm6404gk5dlwrrf97kiy1n21212vb1hyxzyb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -36412,14 +36614,14 @@ (define-public rust-phf-generator-0.8
     (name "rust-phf-generator")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "phf_generator" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "09i5338d1kixq6a60fcayz6awgxjlxcfw9ic5f02abbgr067ydhp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "phf_generator" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "09i5338d1kixq6a60fcayz6awgxjlxcfw9ic5f02abbgr067ydhp"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -36460,14 +36662,14 @@ (define-public rust-phf-macros-0.8
     (name "rust-phf-macros")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "phf_macros" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "170qm6yqn6b9mjlwb2xmm3iad9d5nzwgfawfwy7zr7s2zwcdwvvz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "phf_macros" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "170qm6yqn6b9mjlwb2xmm3iad9d5nzwgfawfwy7zr7s2zwcdwvvz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -36521,14 +36723,14 @@ (define-public rust-phf-shared-0.8
     (name "rust-phf-shared")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "phf_shared" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1xssnqrrcn0nr9ayqrnm8xm37ac4xvwcx8pax7jxss7yxawzh360"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "phf_shared" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1xssnqrrcn0nr9ayqrnm8xm37ac4xvwcx8pax7jxss7yxawzh360"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -36570,13 +36772,13 @@ (define-public rust-pico-sys-0.0
     (name "rust-pico-sys")
     (version "0.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pico-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1q5pg0ms6szz6b5h26h4k40zb76zbwwjgyigac4wly9qngdj4yl5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pico-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1q5pg0ms6szz6b5h26h4k40zb76zbwwjgyigac4wly9qngdj4yl5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -36740,13 +36942,13 @@ (define-public rust-pin-utils-0.1
     (name "rust-pin-utils")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pin-utils" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "117ir7vslsl2z1a7qzhws4pd01cg2d3338c47swjyvqv2n60v1wb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pin-utils" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "117ir7vslsl2z1a7qzhws4pd01cg2d3338c47swjyvqv2n60v1wb"))))
     (build-system cargo-build-system)
     (home-page "https://docs.rs/pin-utils")
     (synopsis "Utilities for pinning")
@@ -36758,13 +36960,13 @@ (define-public rust-pkg-config-0.3
     (name "rust-pkg-config")
     (version "0.3.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pkg-config" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0k4860955riciibxr8bhnklp79jydp4xfylwdn5v9kj96hxlac9q"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pkg-config" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0k4860955riciibxr8bhnklp79jydp4xfylwdn5v9kj96hxlac9q"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -36817,13 +37019,13 @@ (define-public rust-plain-0.2
     (name "rust-plain")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "plain" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "19n1xbxb4wa7w891268bzf6cbwq4qvdb86bik1z129qb0xnnnndl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "plain" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "19n1xbxb4wa7w891268bzf6cbwq4qvdb86bik1z129qb0xnnnndl"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/randomites/plain")
     (synopsis "Rust library that allows reinterpreting data safely")
@@ -36886,14 +37088,14 @@ (define-public rust-plotters-0.2
     (name "rust-plotters")
     (version "0.2.12")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "plotters" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ssycy9an23vs9hq098c7kl1dvp5ych20d994lhsw9vx4kdbhfsf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "plotters" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ssycy9an23vs9hq098c7kl1dvp5ych20d994lhsw9vx4kdbhfsf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -36923,13 +37125,13 @@ (define-public rust-plugin-0.2
     (name "rust-plugin")
     (version "0.2.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "plugin" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1q7nghkpvxxr168y2jnzh3w7qc9vfrby9n7ygy3xpj0bj71hsshs"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "plugin" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1q7nghkpvxxr168y2jnzh3w7qc9vfrby9n7ygy3xpj0bj71hsshs"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -36995,13 +37197,13 @@ (define-public rust-pocket-resources-0.3
     (name "rust-pocket-resources")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pocket-resources" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1n2i5vmi8fdbw89wm5nz1ws1z9f1qax911p6ksg4scmdg23z6df1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pocket-resources" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1n2i5vmi8fdbw89wm5nz1ws1z9f1qax911p6ksg4scmdg23z6df1"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/tomaka/pocket-resources")
     (synopsis "Include resources in your applications")
@@ -37665,14 +37867,14 @@ (define-public rust-pom-3
     (name "rust-pom")
     (version "3.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pom" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1v14c2p1irblagnljkw4n0f1w5r8mbybzycz0j1f5y79h0kikqh7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pom" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1v14c2p1irblagnljkw4n0f1w5r8mbybzycz0j1f5y79h0kikqh7"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/J-F-Liu/pom")
     (synopsis "PEG parser combinators using operator overloading without macros")
@@ -37706,14 +37908,14 @@ (define-public rust-postgres-0.19
     (name "rust-postgres")
     (version "0.19.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "postgres" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hnid1d78zrr8ph12lpvp5b2cpx2fsqqgqs2yn1q23c6g7jix1y7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "postgres" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hnid1d78zrr8ph12lpvp5b2cpx2fsqqgqs2yn1q23c6g7jix1y7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:rust ,rust-1.46    ; or later
@@ -37766,13 +37968,13 @@ (define-public rust-postgres-derive-0.4
     (name "rust-postgres-derive")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "postgres-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "0xqlf1gffy3q8hra3fm0vm9x8i5fkvi0qjl99d0xirxh3hidsmy8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "postgres-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0xqlf1gffy3q8hra3fm0vm9x8i5fkvi0qjl99d0xirxh3hidsmy8"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -37790,14 +37992,14 @@ (define-public rust-postgres-protocol-0.6
     (name "rust-postgres-protocol")
     (version "0.6.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "postgres-protocol" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wxzs78zvz00bh3bhbbp9hnq9hg77f8h5pzjmcy9481fsdq0ygpz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "postgres-protocol" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wxzs78zvz00bh3bhbbp9hnq9hg77f8h5pzjmcy9481fsdq0ygpz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -37884,14 +38086,14 @@ (define-public rust-postgres-types-0.2
     (name "rust-postgres-types")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "postgres-types" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0brsqkydz0grfy60nc1d0hxa9jbpim0c7c52v467nrdpw4ql23s3"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "postgres-types" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0brsqkydz0grfy60nc1d0hxa9jbpim0c7c52v467nrdpw4ql23s3"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -37920,13 +38122,13 @@ (define-public rust-ppv-lite86-0.2
     (name "rust-ppv-lite86")
     (version "0.2.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ppv-lite86" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1shj4q7jwj0azssr8cg51dk3kh7d4lg9rmbbz1kbqk971vc5wyi3"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ppv-lite86" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1shj4q7jwj0azssr8cg51dk3kh7d4lg9rmbbz1kbqk971vc5wyi3"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/cryptocorrosion/cryptocorrosion")
     (synopsis "Implementation of the crypto-simd API for x86")
@@ -38065,14 +38267,14 @@ (define-public rust-predicates-core-1
     (name "rust-predicates-core")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "predicates-core" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0y3ingf2i4xx7r61f1a8wizs57j8hh32hylyjbw9ymcj7qx5q1q6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "predicates-core" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0y3ingf2i4xx7r61f1a8wizs57j8hh32hylyjbw9ymcj7qx5q1q6"))))
     (build-system cargo-build-system)
     (home-page
      "https://github.com/assert-rs/predicates-rs/tree/master/predicates-core")
@@ -38101,14 +38303,14 @@ (define-public rust-predicates-tree-1
     (name "rust-predicates-tree")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "predicates-tree" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "090148qjilm2c722l873z7g31fhzj5j4qhd2xiv8mcqkj22w8qwf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "predicates-tree" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "090148qjilm2c722l873z7g31fhzj5j4qhd2xiv8mcqkj22w8qwf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -38261,14 +38463,14 @@ (define-public rust-pretty-env-logger-0.4
     (name "rust-pretty-env-logger")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pretty-env-logger" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "17gva1rlf9fhgr0jr19kv39f8bir3f4pa4jz02qbhl9qanwkcvcj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pretty-env-logger" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "17gva1rlf9fhgr0jr19kv39f8bir3f4pa4jz02qbhl9qanwkcvcj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -38285,14 +38487,14 @@ (define-public rust-pretty-env-logger-0.3
     (name "rust-pretty-env-logger")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pretty_env_logger" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0x4hyjlnvvhyk9m74iypzybm22w3dl2k8img4b956239n5vf8zki"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pretty_env_logger" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0x4hyjlnvvhyk9m74iypzybm22w3dl2k8img4b956239n5vf8zki"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -38592,13 +38794,13 @@ (define-public rust-proc-macro2-1
     (name "rust-proc-macro2")
     (version "1.0.27")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "proc-macro2" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0f3h0zl5w5090ajmmvpmhkpr4iwqnn5rip3afacabhc657vwmn7h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "proc-macro2" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0f3h0zl5w5090ajmmvpmhkpr4iwqnn5rip3afacabhc657vwmn7h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-test-flags '("--lib")
@@ -38621,13 +38823,13 @@ (define-public rust-proc-macro2-0.4
     (name "rust-proc-macro2")
     (version "0.4.30")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "proc-macro2" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0nd71fl24sys066jrha6j7i34nfkjv44yzw8yww9742wmc8j0gfg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "proc-macro2" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nd71fl24sys066jrha6j7i34nfkjv44yzw8yww9742wmc8j0gfg"))))
     (arguments
      `(#:tests? #f      ; doc tests fail
        #:cargo-inputs
@@ -38640,14 +38842,14 @@ (define-public rust-proc-macro2-0.3
     (name "rust-proc-macro2")
     (version "0.3.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "proc-macro2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1ryaynnaj39l4zphcg5w8wszndd80vsrv89m5d2293gl6pry41hv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "proc-macro2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1ryaynnaj39l4zphcg5w8wszndd80vsrv89m5d2293gl6pry41hv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -38667,14 +38869,14 @@ (define-public rust-procedural-masquerade-0.1
     (name "rust-procedural-masquerade")
     (version "0.1.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "procedural-masquerade" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "17dnfdk0qadh2h38bkwcy14cq8a1ild3j3hqmh1yjbq9ykgq64wg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "procedural-masquerade" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "17dnfdk0qadh2h38bkwcy14cq8a1ild3j3hqmh1yjbq9ykgq64wg"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/servo/rust-cssparser")
     (synopsis "Macro rules for proc-macro-derive")
@@ -38919,14 +39121,14 @@ (define-public rust-proptest-0.7
     (name "rust-proptest")
     (version "0.7.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "proptest" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "13giz85f7jkjc8miplzj4zh3fr704c1y1cg0dh218iw2dfkpbwi7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "proptest" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "13giz85f7jkjc8miplzj4zh3fr704c1y1cg0dh218iw2dfkpbwi7"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bit-set" ,rust-bit-set-0.5)
@@ -39050,14 +39252,14 @@ (define-public rust-psm-0.1
     (name "rust-psm")
     (version "0.1.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "psm" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1kr9sal8g9zil4ch8ra0ry96d5cl15xslk1p0wnqk1504ib3hb89"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "psm" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1kr9sal8g9zil4ch8ra0ry96d5cl15xslk1p0wnqk1504ib3hb89"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -39124,30 +39326,30 @@ (define-public rust-pulldown-cmark-0.8
     (name "rust-pulldown-cmark")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pulldown-cmark" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1y6wh446g6vravvj70zsadzswyl2b4pyln9ib76m697jjljf1bgz"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-bitflags" ,rust-bitflags-1)
-         ("rust-getopts" ,rust-getopts-0.2)
-         ("rust-memchr" ,rust-memchr-2)
-         ("rust-unicase" ,rust-unicase-2))
-        #:cargo-development-inputs
-        (("rust-criterion" ,rust-criterion-0.3)
-         ("rust-html5ever" ,rust-html5ever-0.25)
-         ("rust-lazy-static" ,rust-lazy-static-1)
-         ("rust-markup5ever-rcdom"
-          ,rust-markup5ever-rcdom-0.1)
-         ("rust-regex" ,rust-regex-1)
-         ("rust-tendril" ,rust-tendril-0.4))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pulldown-cmark" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1y6wh446g6vravvj70zsadzswyl2b4pyln9ib76m697jjljf1bgz"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-getopts" ,rust-getopts-0.2)
+        ("rust-memchr" ,rust-memchr-2)
+        ("rust-unicase" ,rust-unicase-2))
+       #:cargo-development-inputs
+       (("rust-criterion" ,rust-criterion-0.3)
+        ("rust-html5ever" ,rust-html5ever-0.25)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-markup5ever-rcdom"
+         ,rust-markup5ever-rcdom-0.1)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-tendril" ,rust-tendril-0.4))))
     (home-page "https://github.com/raphlinus/pulldown-cmark")
     (synopsis "Pull parser for CommonMark")
     (description
@@ -39187,14 +39389,14 @@ (define-public rust-pulldown-cmark-0.2
     (name "rust-pulldown-cmark")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pulldown-cmark" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05gfnqa0wzix5m17jrmgj0yyr9sflqm0knn79ndppsnhcan2zxgf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pulldown-cmark" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05gfnqa0wzix5m17jrmgj0yyr9sflqm0knn79ndppsnhcan2zxgf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -39213,14 +39415,14 @@ (define-public rust-pulldown-cmark-0.1
     (name "rust-pulldown-cmark")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pulldown-cmark" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ckflr6w5vfvgb2xnzbnph9b6c0k8cfncm4a8bjzmbbcv9fgizfn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pulldown-cmark" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ckflr6w5vfvgb2xnzbnph9b6c0k8cfncm4a8bjzmbbcv9fgizfn"))))
     (arguments
      `(#:tests? #f
        #:cargo-inputs
@@ -39250,29 +39452,29 @@ (define-public rust-pulldown-cmark-to-cmark-6
     (name "rust-pulldown-cmark-to-cmark")
     (version "6.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pulldown-cmark-to-cmark" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "08yyjr60jk8f4v4sqcgmna5n9y31l6lx3z9lak38wd82h63vkwp8"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8))
-        #:cargo-development-inputs
-        (("rust-indoc" ,rust-indoc-1)
-         ("rust-pretty-assertions"
-          ,rust-pretty-assertions-0.6))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pulldown-cmark-to-cmark" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "08yyjr60jk8f4v4sqcgmna5n9y31l6lx3z9lak38wd82h63vkwp8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8))
+       #:cargo-development-inputs
+       (("rust-indoc" ,rust-indoc-1)
+        ("rust-pretty-assertions"
+         ,rust-pretty-assertions-0.6))))
     (home-page
-      "https://github.com/Byron/pulldown-cmark-to-cmark")
+     "https://github.com/Byron/pulldown-cmark-to-cmark")
     (synopsis
-      "Convert pulldown-cmark Events back to the string they were parsed from")
+     "Convert pulldown-cmark Events back to the string they were parsed from")
     (description
-      "This package provides a convert pulldown-cmark Events back to the string
+     "This package provides a convert pulldown-cmark Events back to the string
 they were parsed from")
     (license license:asl2.0)))
 
@@ -39456,13 +39658,13 @@ (define-public rust-quick-csv-0.1
     (name "rust-quick-csv")
     (version "0.1.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quick-csv" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "131k8zzlplk2h62wz813jbvm0sk7v3mixwhhq34y9lmp3mqbgx7d"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quick-csv" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "131k8zzlplk2h62wz813jbvm0sk7v3mixwhhq34y9lmp3mqbgx7d"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -39477,13 +39679,13 @@ (define-public rust-quick-error-2
     (name "rust-quick-error")
     (version "2.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quick-error" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "18z6r2rcjvvf8cn92xjhm2qc3jpd1ljvcbf12zv0k9p565gmb4x9"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quick-error" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "18z6r2rcjvvf8cn92xjhm2qc3jpd1ljvcbf12zv0k9p565gmb4x9"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/tailhook/quick-error")
     (synopsis "Macro which makes error types pleasant to write")
@@ -39498,13 +39700,13 @@ (define-public rust-quick-error-1
     (name "rust-quick-error")
     (version "1.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quick-error" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1q6za3v78hsspisc197bg3g7rpc989qycy8ypr8ap8igv10ikl51"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quick-error" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1q6za3v78hsspisc197bg3g7rpc989qycy8ypr8ap8igv10ikl51"))))))
 
 (define-public rust-quick-xml-0.22
   (package
@@ -39679,14 +39881,14 @@ (define-public rust-quickcheck-0.7
     (name "rust-quickcheck")
     (version "0.7.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quickcheck" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05pqzja6fwdyrs1za5vmxb9ifb993knmpdsrs1fs2wyz9qz7slyl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quickcheck" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05pqzja6fwdyrs1za5vmxb9ifb993knmpdsrs1fs2wyz9qz7slyl"))))
     (arguments
      `(#:cargo-inputs
        (("rust-env-logger" ,rust-env-logger-0.5)
@@ -39700,14 +39902,14 @@ (define-public rust-quickcheck-0.6
     (name "rust-quickcheck")
     (version "0.6.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quickcheck" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1dyazm2fcq0v9fscq1a7597zsvdl9f0j8c2bfj1jm2nlzz2sn6y0"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quickcheck" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1dyazm2fcq0v9fscq1a7597zsvdl9f0j8c2bfj1jm2nlzz2sn6y0"))))
     (arguments
      `(#:cargo-inputs
        (("rust-env-logger" ,rust-env-logger-0.5)
@@ -39720,13 +39922,13 @@ (define-public rust-quickcheck-0.5
     (name "rust-quickcheck")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quickcheck" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1jzm1ygfbn4igaq14b9nipc8yvsn6c8panpgd1qiy5r2insjllyd"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quickcheck" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1jzm1ygfbn4igaq14b9nipc8yvsn6c8panpgd1qiy5r2insjllyd"))))
     (arguments
      `(#:cargo-inputs
        (("rust-env-logger" ,rust-env-logger-0.4)
@@ -39840,13 +40042,13 @@ (define-public rust-quote-1
     (name "rust-quote")
     (version "1.0.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quote" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "19rjmfqzk26rxbgxy5j2ckqc2v12sw2xw8l4gi8bzpn2bmsbkl63"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quote" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "19rjmfqzk26rxbgxy5j2ckqc2v12sw2xw8l4gi8bzpn2bmsbkl63"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -39865,13 +40067,13 @@ (define-public rust-quote-0.6
     (name "rust-quote")
     (version "0.6.13")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quote" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1qgqq48jymp5h4y082aanf25hrw6bpb678xh3zw993qfhxmkpqkc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quote" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qgqq48jymp5h4y082aanf25hrw6bpb678xh3zw993qfhxmkpqkc"))))
     (arguments
      `(#:cargo-inputs (("rust-proc-macro2" ,rust-proc-macro2-0.4))))))
 
@@ -39881,14 +40083,14 @@ (define-public rust-quote-0.5
     (name "rust-quote")
     (version "0.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "quote" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1s01fh0jl8qv4xggs85yahw0h507nzrxkjbf7vay3zw8d3kcyjcr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "quote" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1s01fh0jl8qv4xggs85yahw0h507nzrxkjbf7vay3zw8d3kcyjcr"))))
     (arguments
      `(#:cargo-inputs
        (("rust-proc-macro2" ,rust-proc-macro2-0.3))))))
@@ -40007,14 +40209,14 @@ (define-public rust-radium-0.5
     (name "rust-radium")
     (version "0.5.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "radium" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1f5vj5zy4kcsw8p87y976dm5pln6v6jfw5f0fkj7qbwfipbsj6wl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "radium" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1f5vj5zy4kcsw8p87y976dm5pln6v6jfw5f0fkj7qbwfipbsj6wl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -40135,13 +40337,13 @@ (define-public rust-rand-0.6
     (name "rust-rand")
     (version "0.6.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1jl4449jcl4wgmzld6ffwqj5gwxrp8zvx8w573g1z368qg6xlwbd"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1jl4449jcl4wgmzld6ffwqj5gwxrp8zvx8w573g1z368qg6xlwbd"))))
     (arguments
      `(#:cargo-inputs
        (("rust-libc" ,rust-libc-0.2)
@@ -40167,14 +40369,14 @@ (define-public rust-rand-0.5
     (name "rust-rand")
     (version "0.5.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1fdcgja9167hlzkf4g5daqwp498lwiyq7aqm05whklpbsdyc8666"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fdcgja9167hlzkf4g5daqwp498lwiyq7aqm05whklpbsdyc8666"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -40196,13 +40398,13 @@ (define-public rust-rand-0.4
     (name "rust-rand")
     (version "0.4.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "14qjfv3gggzhnma20k0sc1jf8y6pplsaq7n1j9ls5c8kf2wl0a2m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "14qjfv3gggzhnma20k0sc1jf8y6pplsaq7n1j9ls5c8kf2wl0a2m"))))
     (arguments
      `(#:cargo-inputs
        (("rust-fuchsia-cprng" ,rust-fuchsia-cprng-0.1)
@@ -40217,13 +40419,13 @@ (define-public rust-rand-0.3
     (name "rust-rand")
     (version "0.3.23")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0v679h38pjjqj5h4md7v2slsvj6686qgcn7p9fbw3h43iwnk1b34"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0v679h38pjjqj5h4md7v2slsvj6686qgcn7p9fbw3h43iwnk1b34"))))
     (arguments
      `(#:cargo-inputs
        (("rust-libc" ,rust-libc-0.2)
@@ -40277,13 +40479,13 @@ (define-public rust-rand-chacha-0.1
     (name "rust-rand-chacha")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_chacha" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1vxwyzs4fy1ffjc8l00fsyygpiss135irjf7nyxgq2v0lqf3lvam"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_chacha" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1vxwyzs4fy1ffjc8l00fsyygpiss135irjf7nyxgq2v0lqf3lvam"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rand-core" ,rust-rand-core-0.3))
@@ -40339,13 +40541,13 @@ (define-public rust-rand-core-0.4
     (name "rust-rand-core")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_core" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1p09ynysrq1vcdlmcqnapq4qakl2yd1ng3kxh3qscpx09k2a6cww"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_core" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1p09ynysrq1vcdlmcqnapq4qakl2yd1ng3kxh3qscpx09k2a6cww"))))
     (arguments
      `(#:cargo-inputs
        (("rust-serde" ,rust-serde-1)
@@ -40357,13 +40559,13 @@ (define-public rust-rand-core-0.3
     (name "rust-rand-core")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_core" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0jzdgszfa4bliigiy4hi66k7fs3gfwi2qxn8vik84ph77fwdwvvs"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_core" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0jzdgszfa4bliigiy4hi66k7fs3gfwi2qxn8vik84ph77fwdwvvs"))))
     ;; This version is a 0.3 API wrapper around the 0.4 version.
     (arguments
      `(#:skip-build? #t
@@ -40375,14 +40577,14 @@ (define-public rust-rand-core-0.2
     (name "rust-rand-core")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand-core" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0wikbw2a36bz8ywjyycjrd7db6ra3yzj14zs1ysxz2fiqhia8q8r"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand-core" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0wikbw2a36bz8ywjyycjrd7db6ra3yzj14zs1ysxz2fiqhia8q8r"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -40455,14 +40657,14 @@ (define-public rust-rand-distr-0.2
     (name "rust-rand-distr")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand-distr" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cpz577qid09lirjjhhn98yqdwsv0c01jf973pxpcr9svp5pm5wn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand-distr" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cpz577qid09lirjjhhn98yqdwsv0c01jf973pxpcr9svp5pm5wn"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rand" ,rust-rand-0.7))
@@ -40499,13 +40701,13 @@ (define-public rust-rand-hc-0.2
     (name "rust-rand-hc")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_hc" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0g31sqwpmsirdlwr0svnacr4dbqyz339im4ssl9738cjgfpjjcfa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_hc" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0g31sqwpmsirdlwr0svnacr4dbqyz339im4ssl9738cjgfpjjcfa"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rand-hc" ,rust-rand-core-0.5))))))
@@ -40516,13 +40718,13 @@ (define-public rust-rand-hc-0.1
     (name "rust-rand-hc")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_hc" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1i0vl8q5ddvvy0x8hf1zxny393miyzxkwqnw31ifg6p0gdy6fh3v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_hc" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1i0vl8q5ddvvy0x8hf1zxny393miyzxkwqnw31ifg6p0gdy6fh3v"))))
     (arguments
      `(#:cargo-inputs (("rust-rand-core" ,rust-rand-core-0.3))))))
 
@@ -40585,13 +40787,13 @@ (define-public rust-rand-isaac-0.1
     (name "rust-rand-isaac")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_isaac" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "027flpjr4znx2csxk7gxb7vrf9c7y5mydmvg5az2afgisp4rgnfy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_isaac" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "027flpjr4znx2csxk7gxb7vrf9c7y5mydmvg5az2afgisp4rgnfy"))))
     (arguments
      `(#:cargo-inputs
        (("rust-rand-core" ,rust-rand-core-0.3)
@@ -40605,13 +40807,13 @@ (define-public rust-rand-jitter-0.1
     (name "rust-rand-jitter")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_jitter" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "16z387y46bfz3csc42zxbjq89vcr1axqacncvv8qhyy93p4xarhi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_jitter" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "16z387y46bfz3csc42zxbjq89vcr1axqacncvv8qhyy93p4xarhi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -40656,13 +40858,13 @@ (define-public rust-rand-os-0.1
     (name "rust-rand-os")
     (version "0.1.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_os" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0wahppm0s64gkr2vmhcgwc0lij37in1lgfxg5rbgqlz0l5vgcxbv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_os" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0wahppm0s64gkr2vmhcgwc0lij37in1lgfxg5rbgqlz0l5vgcxbv"))))
     (arguments
      `(#:cargo-inputs
        (("rust-cloudabi" ,rust-cloudabi-0.0)
@@ -40680,13 +40882,13 @@ (define-public rust-rand-pcg-0.3
     (name "rust-rand-pcg")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_pcg" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1w47awndfhgcc31zbji66pwndqmc6lsyairqi9b17f82f19riqbx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_pcg" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1w47awndfhgcc31zbji66pwndqmc6lsyairqi9b17f82f19riqbx"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -40707,13 +40909,13 @@ (define-public rust-rand-pcg-0.2
     (name "rust-rand-pcg")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_pcg" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ab4h6s6x3py833jk61lwadq83qd1c8bih2hgi6yps9rnv0x1aqn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_pcg" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ab4h6s6x3py833jk61lwadq83qd1c8bih2hgi6yps9rnv0x1aqn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -40735,13 +40937,13 @@ (define-public rust-rand-pcg-0.1
     (name "rust-rand-pcg")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_pcg" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0i0bdla18a8x4jn1w0fxsbs3jg7ajllz6azmch1zw33r06dv1ydb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_pcg" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0i0bdla18a8x4jn1w0fxsbs3jg7ajllz6azmch1zw33r06dv1ydb"))))
     (arguments
      `(#:cargo-inputs
        (("rust-autocfg" ,rust-autocfg-0.1)
@@ -40803,13 +41005,13 @@ (define-public rust-rand-xorshift-0.1
     (name "rust-rand-xorshift")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rand_xorshift" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0p2x8nr00hricpi2m6ca5vysiha7ybnghz79yqhhx6sl4gkfkxyb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rand_xorshift" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0p2x8nr00hricpi2m6ca5vysiha7ybnghz79yqhhx6sl4gkfkxyb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -40821,7 +41023,7 @@ (define-public rust-rand-xorshift-0.1
     (home-page "https://crates.io/crates/rand-xorshift")
     (synopsis "Xorshift random number generator")
     (description
-      "Xorshift random number generator")
+     "Xorshift random number generator")
     (license (list license:asl2.0
                    license:expat))))
 
@@ -41011,21 +41213,21 @@ (define-public rust-randomize-3
     (name "rust-randomize")
     (version "3.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "randomize" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "02ll7r3rrpmhjx34w91m1yvqw1685bq2n9amqvycjcqznncqrhw8"))))
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-serde" ,rust-serde-1))
-        #:cargo-development-inputs
-        (("rust-bincode" ,rust-bincode-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "randomize" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "02ll7r3rrpmhjx34w91m1yvqw1685bq2n9amqvycjcqznncqrhw8"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs
+       (("rust-bincode" ,rust-bincode-1))))
     (license license:bsd-0)))
 
 (define-public rust-raw-cpuid-8
@@ -41065,13 +41267,13 @@ (define-public rust-rawpointer-0.2
     (name "rust-rawpointer")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rawpointer" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1qy1qvj17yh957vhffnq6agq0brvylw27xgks171qrah75wmg8v0"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rawpointer" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1qy1qvj17yh957vhffnq6agq0brvylw27xgks171qrah75wmg8v0"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bluss/rawpointer/")
     (synopsis "Extra methods for raw pointers")
@@ -41087,13 +41289,13 @@ (define-public rust-rawpointer-0.1
     (name "rust-rawpointer")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rawpointer" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "06ghpm9y7gacks78s3maakha07kbnwrxif5q37r2l7z1sali3b7b"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rawpointer" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "06ghpm9y7gacks78s3maakha07kbnwrxif5q37r2l7z1sali3b7b"))))))
 
 (define-public rust-rawslice-0.1
   (package
@@ -41169,12 +41371,12 @@ (define-public rust-rayon-0.8
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-rayon-core" ,rust-rayon-core-1))
-      #:cargo-development-inputs
-      (("rust-compiletest-rs" ,rust-compiletest-rs-0.2)
-       ("rust-docopt" ,rust-docopt-0.7)
-       ("rust-futures" ,rust-futures-0.1)
-       ("rust-rand" ,rust-rand-0.3)
-       ("rust-rustc-serialize" ,rust-rustc-serialize-0.3))))))
+       #:cargo-development-inputs
+       (("rust-compiletest-rs" ,rust-compiletest-rs-0.2)
+        ("rust-docopt" ,rust-docopt-0.7)
+        ("rust-futures" ,rust-futures-0.1)
+        ("rust-rand" ,rust-rand-0.3)
+        ("rust-rustc-serialize" ,rust-rustc-serialize-0.3))))))
 
 (define-public rust-rawkey-0.1
   (package
@@ -41238,14 +41440,14 @@ (define-public rust-rctree-0.3
     (name "rust-rctree")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rctree" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1a54z2b850albiqx9vw009p9xg363vqzh1ybkwb89zn8375jk7my"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rctree" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1a54z2b850albiqx9vw009p9xg363vqzh1ybkwb89zn8375jk7my"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/RazrFalcon/rctree")
     (synopsis "DOM-like tree implemented using reference counting")
@@ -41258,13 +41460,13 @@ (define-public rust-rdrand-0.4
     (name "rust-rdrand")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rdrand" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1cjq0kwx1bk7jx3kzyciiish5gqsj7620dm43dc52sr8fzmm9037"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rdrand" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1cjq0kwx1bk7jx3kzyciiish5gqsj7620dm43dc52sr8fzmm9037"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -41282,22 +41484,22 @@ (define-public rust-read-color-1
     (name "rust-read-color")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "read_color" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1np0pk31ak7hni4hri3m75mbf8py1wdfjshmrj5krbd4p9c8hk4z"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "read_color" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1np0pk31ak7hni4hri3m75mbf8py1wdfjshmrj5krbd4p9c8hk4z"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/pistondevelopers/read_color")
+     "https://github.com/pistondevelopers/read_color")
     (synopsis
-      "A simple library for reading hex colors")
+     "A simple library for reading hex colors")
     (description
-      "This package provides a simple library for reading hex colors")
+     "This package provides a simple library for reading hex colors")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-readkey-0.1
@@ -41325,14 +41527,14 @@ (define-public rust-recycler-0.1
     (name "rust-recycler")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "recycler" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1yll0sqswy6afk9ik7r22djqafa3wfgvgdzqqh7jbczyiqr2gp4q"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "recycler" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1yll0sqswy6afk9ik7r22djqafa3wfgvgdzqqh7jbczyiqr2gp4q"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/frankmcsherry/recycler")
     (synopsis "Rust library for recycling types containing owned memory")
@@ -41372,13 +41574,13 @@ (define-public rust-redox-syscall-0.1
     (name "rust-redox-syscall")
     (version "0.1.57")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "redox_syscall" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1kh59fpwy33w9nwd5iyc283yglq8pf2s41hnhvl48iax9mz0zk21"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "redox_syscall" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1kh59fpwy33w9nwd5iyc283yglq8pf2s41hnhvl48iax9mz0zk21"))))
     (arguments '(#:skip-build? #t))))
 
 (define-public rust-redox-termios-0.1
@@ -41386,13 +41588,13 @@ (define-public rust-redox-termios-0.1
     (name "rust-redox-termios")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "redox-termios" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0xhgvdh62mymgdl3jqrngl8hr4i8xwpnbsxnldq0l47993z1r2by"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "redox-termios" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0xhgvdh62mymgdl3jqrngl8hr4i8xwpnbsxnldq0l47993z1r2by"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -41602,14 +41804,14 @@ (define-public rust-regex-0.2
     (name "rust-regex")
     (version "0.2.11")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "regex" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1163ir1k5zjspirfjl4wqbviwrxlhmfwy95xxb69y4irkv4snack"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "regex" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1163ir1k5zjspirfjl4wqbviwrxlhmfwy95xxb69y4irkv4snack"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -41711,14 +41913,14 @@ (define-public rust-regex-syntax-0.5
     (name "rust-regex-syntax")
     (version "0.5.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "regex-syntax" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19zp25jr3dhmclg3qqjk3bh1yrn7bqi05zgr5v52szv3l97plw3x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "regex-syntax" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19zp25jr3dhmclg3qqjk3bh1yrn7bqi05zgr5v52szv3l97plw3x"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -41730,14 +41932,14 @@ (define-public rust-regex-syntax-0.4
     (name "rust-regex-syntax")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "regex-syntax" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "03p24bsfg2rw2cc5h8ri4fp7j06xwyyd5grlqy0g11ixp5c1r4wf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "regex-syntax" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03p24bsfg2rw2cc5h8ri4fp7j06xwyyd5grlqy0g11ixp5c1r4wf"))))
     (arguments
      `(#:cargo-development-inputs
        (("rust-quickcheck" ,rust-quickcheck-0.6)
@@ -41838,13 +42040,13 @@ (define-public rust-remove-dir-all-0.5
     (name "rust-remove-dir-all")
     (version "0.5.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "remove_dir_all" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1rzqbsgkmr053bxxl04vmvsd1njyz0nxvly97aip6aa2cmb15k9s"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "remove_dir_all" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1rzqbsgkmr053bxxl04vmvsd1njyz0nxvly97aip6aa2cmb15k9s"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -41887,20 +42089,20 @@ (define-public rust-reopen-0.3
     (name "rust-reopen")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "reopen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "12b3mfxkwb8akdfa701nzvqr6lsc6n84vrq088gmjy8lxlmr4an6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "reopen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "12b3mfxkwb8akdfa701nzvqr6lsc6n84vrq088gmjy8lxlmr4an6"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-signal-hook" ,rust-signal-hook-0.1)
-         ("rust-libc" ,rust-libc-0.2))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-signal-hook" ,rust-signal-hook-0.1)
+        ("rust-libc" ,rust-libc-0.2))))
     (home-page "https://github.com/vorner/reopen")
     (synopsis "File reopening utility")
     (description "File reopening utility.")
@@ -42131,13 +42333,13 @@ (define-public rust-resolv-conf-0.6
     (name "rust-resolv-conf")
     (version "0.6.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "resolv-conf" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0jlzifww1h7j23jnjj49xz8q0fpd9rqpd0ks8c4y651vgw9lx0qi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "resolv-conf" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0jlzifww1h7j23jnjj49xz8q0fpd9rqpd0ks8c4y651vgw9lx0qi"))))
     (arguments
      `(#:tests? #f  ; Not all test files included.
        #:cargo-inputs
@@ -42221,14 +42423,14 @@ (define-public rust-ring-0.14
     (name "rust-ring")
     (version "0.14.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ring" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0g091akf4dpg9qj05z3gc4nlrs57mjj2bqab98gaqp79wf3c2ss2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ring" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0g091akf4dpg9qj05z3gc4nlrs57mjj2bqab98gaqp79wf3c2ss2"))))
     (arguments
      `(#:cargo-inputs
        (("rust-lazy-static" ,rust-lazy-static-1)
@@ -42677,32 +42879,32 @@ (define-public rust-rowan-0.13
     (name "rust-rowan")
     (version "0.13.0-pre.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rowan" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "03gh3wa52135mh1an1x4hw6jba64fwfsh4lw3fsmm6jy2i7c1k42"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-countme" ,rust-countme-2)
-         ("rust-hashbrown" ,rust-hashbrown-0.9)
-         ("rust-memoffset" ,rust-memoffset-0.6)
-         ("rust-rustc-hash" ,rust-rustc-hash-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-text-size" ,rust-text-size-1))
-        #:cargo-development-inputs
-        (("rust-m-lexer" ,rust-m-lexer-0.0.4))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rowan" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03gh3wa52135mh1an1x4hw6jba64fwfsh4lw3fsmm6jy2i7c1k42"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-countme" ,rust-countme-2)
+        ("rust-hashbrown" ,rust-hashbrown-0.9)
+        ("rust-memoffset" ,rust-memoffset-0.6)
+        ("rust-rustc-hash" ,rust-rustc-hash-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-text-size" ,rust-text-size-1))
+       #:cargo-development-inputs
+       (("rust-m-lexer" ,rust-m-lexer-0.0.4))))
     (home-page
-      "https://github.com/rust-analyzer/rowan")
+     "https://github.com/rust-analyzer/rowan")
     (synopsis
-      "Library for generic lossless syntax trees")
+     "Library for generic lossless syntax trees")
     (description
-      "This package provides a library for generic lossless syntax trees.")
+     "This package provides a library for generic lossless syntax trees.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-rspec-1
@@ -42738,14 +42940,14 @@ (define-public rust-rstar-0.9
     (name "rust-rstar")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rstar" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1bdby74j2h7rizs6p81xxilnjsi6w1z2xx2vigaw2gkj5cvlp3km"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rstar" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1bdby74j2h7rizs6p81xxilnjsi6w1z2xx2vigaw2gkj5cvlp3km"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -42771,14 +42973,14 @@ (define-public rust-rstar-0.8
     (name "rust-rstar")
     (version "0.8.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rstar" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1b6vjfwvpcgy0q8ywywz548vhxrmhbz2sm6xyhnmj5p5xd1xfqff"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rstar" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1b6vjfwvpcgy0q8ywywz548vhxrmhbz2sm6xyhnmj5p5xd1xfqff"))))))
 
 (define-public rust-rstest-0.10
   (package
@@ -42828,7 +43030,7 @@ (define-public rust-rpassword-5
     (synopsis "Read passwords in Rust console applications")
     (description "This package provides a crate for reading passwords in
 console applications.")
-  (license license:asl2.0)))
+    (license license:asl2.0)))
 
 (define-public rust-rpassword-4
   (package
@@ -42849,14 +43051,14 @@ (define-public rust-rpassword-3
     (name "rust-rpassword")
     (version "3.0.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rpassword" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vkifbbs160d7i7wy3kb0vw9mbf3pf470hg8f623rjkzmsyafky3"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rpassword" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vkifbbs160d7i7wy3kb0vw9mbf3pf470hg8f623rjkzmsyafky3"))))
     (arguments
      `(#:cargo-inputs
        (("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
@@ -43176,14 +43378,14 @@ (define-public rust-rust-argon2-0.7
     (name "rust-rust-argon2")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust-argon2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05xh5wfxgzq3b6jys8r34f3hmqqfs8ylvf934n9z87wfv95szj1b"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust-argon2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05xh5wfxgzq3b6jys8r34f3hmqqfs8ylvf934n9z87wfv95szj1b"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43268,14 +43470,14 @@ (define-public rust-rust-decimal-1
     (name "rust-rust-decimal")
     (version "1.14.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust-decimal" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "10k58hf367626d4akl7ifyk5qwqphfs5x6z1yay22pkyc6w7q4h1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust-decimal" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "10k58hf367626d4akl7ifyk5qwqphfs5x6z1yay22pkyc6w7q4h1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:rust ,rust-1.46    ; or later
@@ -43436,14 +43638,14 @@ (define-public rust-rust-hawktracer-0.7
     (name "rust-rust-hawktracer")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust_hawktracer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1h9an3b73pmhhpzc2kk93nh93lplkvsffysj0rp6rxi7p4lhlj73"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust_hawktracer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1h9an3b73pmhhpzc2kk93nh93lplkvsffysj0rp6rxi7p4lhlj73"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43463,14 +43665,14 @@ (define-public rust-rust-hawktracer-proc-macro-0.4
     (name "rust-rust-hawktracer-proc-macro")
     (version "0.4.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust_hawktracer_proc_macro" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1qfksscfv8rbbzv2zb0i9sbbqmig0dr0vrma3c1kzsfmpsynlqnb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust_hawktracer_proc_macro" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qfksscfv8rbbzv2zb0i9sbbqmig0dr0vrma3c1kzsfmpsynlqnb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43488,16 +43690,16 @@ (define-public rust-rust-hawktracer-normal-macro-0.4
     (name "rust-rust-hawktracer-normal-macro")
     (version "0.4.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri
-               "rust_hawktracer_normal_macro"
-               version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1sfjmipdbb5s498c150czr6wihjlkwwgla2jyg3cs7cyjich0mwa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri
+             "rust_hawktracer_normal_macro"
+             version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1sfjmipdbb5s498c150czr6wihjlkwwgla2jyg3cs7cyjich0mwa"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43514,14 +43716,14 @@ (define-public rust-rust-hawktracer-sys-0.4
     (name "rust-rust-hawktracer-sys")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rust_hawktracer_sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "15acrj881y2g7cwsgf1nr22cixrknp8m4x08dkx1an6zf4q8bk37"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust_hawktracer_sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "15acrj881y2g7cwsgf1nr22cixrknp8m4x08dkx1an6zf4q8bk37"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43942,13 +44144,13 @@ (define-public rust-rustc-demangle-0.1
     (name "rust-rustc-demangle")
     (version "0.1.16")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-demangle" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "10qp42sl1wrdbgbbh8rnay2grm976z7hqgz32c4y09l1c071qsac"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-demangle" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "10qp42sl1wrdbgbbh8rnay2grm976z7hqgz32c4y09l1c071qsac"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -43967,14 +44169,14 @@ (define-public rust-rustc-hash-1
     (name "rust-rustc-hash")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-hash" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1qkc5khrmv5pqi5l5ca9p5nl5hs742cagrndhbrlk3dhlrx3zm08"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-hash" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qkc5khrmv5pqi5l5ca9p5nl5hs742cagrndhbrlk3dhlrx3zm08"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/rust-lang/rustc-hash")
@@ -44027,14 +44229,14 @@ (define-public rust-rustc-rayon-core-0.3
     (name "rust-rustc-rayon-core")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-rayon-core" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cwc50mcclzfmhmi87953fjk6cc9ppmchn9mlwzfllq03y1jf97a"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-rayon-core" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cwc50mcclzfmhmi87953fjk6cc9ppmchn9mlwzfllq03y1jf97a"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -44063,13 +44265,13 @@ (define-public rust-rustc-serialize-0.3
     (name "rust-rustc-serialize")
     (version "0.3.24")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-serialize" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1nkg3vasg7nk80ffkazizgiyv3hb1l9g3d8h17cajbkx538jiwfw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-serialize" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1nkg3vasg7nk80ffkazizgiyv3hb1l9g3d8h17cajbkx538jiwfw"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -44110,13 +44312,13 @@ (define-public rust-rustc-std-workspace-core-1
     (name "rust-rustc-std-workspace-core")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-std-workspace-core" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1309xhwyai9xpz128xrfjqkmnkvgjwddznmj7brbd8i8f58zamhr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-std-workspace-core" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1309xhwyai9xpz128xrfjqkmnkvgjwddznmj7brbd8i8f58zamhr"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://crates.io/crates/rustc-std-workspace-core")
@@ -44131,14 +44333,14 @@ (define-public rust-rustc-std-workspace-std-1
     (name "rust-rustc-std-workspace-std")
     (version "1.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustc-std-workspace-std" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1vq4vaclamwhk0alf4f7wq3i9wxa993sxpmhy6qfaimy1ai7d9mb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustc-std-workspace-std" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1vq4vaclamwhk0alf4f7wq3i9wxa993sxpmhy6qfaimy1ai7d9mb"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://crates.io/crates/rustc-std-workspace-std")
@@ -44447,14 +44649,14 @@ (define-public rust-rustls-0.15
     (name "rust-rustls")
     (version "0.15.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustls" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vh93fhqfbn4ysw4xzkpkpqdz36xixz4mhs1qllgldfq5iay6wgj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustls" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vh93fhqfbn4ysw4xzkpkpqdz36xixz4mhs1qllgldfq5iay6wgj"))))
     (arguments
      `(#:tests? #f ;; 1/111 tests fail (test file not found)
        #:cargo-inputs
@@ -44694,14 +44896,14 @@ (define-public rust-rustversion-0.1
     (name "rust-rustversion")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustversion" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1s3ib2paa5gq17x4qsmjmnsw68z7b5d5av1wsiqcrihmqb7kk0dl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustversion" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1s3ib2paa5gq17x4qsmjmnsw68z7b5d5av1wsiqcrihmqb7kk0dl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -44867,14 +45069,14 @@ (define-public rust-rustyline-6
     (name "rust-rustyline")
     (version "6.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustyline" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "04w4k0nwsra84h90rvwkr6vmjp3nshjqaj9rakfym8qr09xmw3bg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustyline" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "04w4k0nwsra84h90rvwkr6vmjp3nshjqaj9rakfym8qr09xmw3bg"))))
     (arguments
      `(#:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-0.1)
@@ -44931,14 +45133,14 @@ (define-public rust-rustyline-derive-0.3
     (name "rust-rustyline-derive")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "rustyline-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0daj9szvfi442vj2fhm7qb92wmzv7g75qsjq9a6ycnqac4lhx9al"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustyline-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0daj9szvfi442vj2fhm7qb92wmzv7g75qsjq9a6ycnqac4lhx9al"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -45018,13 +45220,13 @@ (define-public rust-ryu-1
     (name "rust-ryu")
     (version "1.0.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ryu" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0xlx9ybzncrb7d6r9533g8ydlg6mr252pfzl4g9cqaqkpvk24mjk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ryu" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0xlx9ybzncrb7d6r9533g8ydlg6mr252pfzl4g9cqaqkpvk24mjk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -45266,13 +45468,13 @@ (define-public rust-safemem-0.3
     (name "rust-safemem")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "safemem" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0wp0d2b2284lw11xhybhaszsczpbq1jbdklkxgifldcknmy3nw7g"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "safemem" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0wp0d2b2284lw11xhybhaszsczpbq1jbdklkxgifldcknmy3nw7g"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/abonander/safemem")
@@ -45301,13 +45503,13 @@ (define-public rust-same-file-1
     (name "rust-same-file")
     (version "1.0.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "same-file" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "00h5j1w87dmhnvbv9l8bic3y7xxsnjmssvifw2ayvgx9mb1ivz4k"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "same-file" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "00h5j1w87dmhnvbv9l8bic3y7xxsnjmssvifw2ayvgx9mb1ivz4k"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -45389,14 +45591,14 @@ (define-public rust-scan-fmt-0.2
     (name "rust-scan-fmt")
     (version "0.2.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scan_fmt" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1gmaa07z8bkkdv5xhq2lrgml6ri7fqyyrjpiks3phmpmq3p8d0i4"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scan_fmt" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1gmaa07z8bkkdv5xhq2lrgml6ri7fqyyrjpiks3phmpmq3p8d0i4"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45413,13 +45615,13 @@ (define-public rust-schannel-0.1
     (name "rust-schannel")
     (version "0.1.16")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "schannel" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "08d0p5iy574vdrax4l3laazic0crj7rp7vp3if5rrfkcdfq51xc7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "schannel" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "08d0p5iy574vdrax4l3laazic0crj7rp7vp3if5rrfkcdfq51xc7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45459,13 +45661,13 @@ (define-public rust-scoped-threadpool-0.1
     (name "rust-scoped-threadpool")
     (version "0.1.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scoped_threadpool" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1a26d3lk40s9mrf4imhbik7caahmw2jryhhb6vqv6fplbbgzal8x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scoped_threadpool" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1a26d3lk40s9mrf4imhbik7caahmw2jryhhb6vqv6fplbbgzal8x"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45488,13 +45690,13 @@ (define-public rust-scoped-tls-1
     (name "rust-scoped-tls")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scoped-tls" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1hj8lifzvivdb1z02lfnzkshpvk85nkgzxsy2hc0zky9wf894spa"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scoped-tls" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1hj8lifzvivdb1z02lfnzkshpvk85nkgzxsy2hc0zky9wf894spa"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/alexcrichton/scoped-tls")
@@ -45511,26 +45713,26 @@ (define-public rust-scoped-tls-0.1
     (name "rust-scoped-tls")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scoped-tls" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0a2bn9d2mb07c6l16sadijy4p540g498zddfxyiq4rsqpwrglbrk"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scoped-tls" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0a2bn9d2mb07c6l16sadijy4p540g498zddfxyiq4rsqpwrglbrk"))))))
 
 (define-public rust-scopeguard-1
   (package
     (name "rust-scopeguard")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scopeguard" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1kbqm85v43rq92vx7hfiay6pmcga03vrjbbfwqpyj3pwsg3b16nj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scopeguard" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1kbqm85v43rq92vx7hfiay6pmcga03vrjbbfwqpyj3pwsg3b16nj"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/bluss/scopeguard")
     (synopsis "Scope guard which will run a closure even out of scope")
@@ -45548,14 +45750,14 @@ (define-public rust-scopeguard-0.3
     (name "rust-scopeguard")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scopeguard" version))
-        (file-name
-          (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "09sy9wbqp409pkwmqni40qmwa99ldqpl48pp95m1xw8sc19qy9cl"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scopeguard" version))
+       (file-name
+        (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "09sy9wbqp409pkwmqni40qmwa99ldqpl48pp95m1xw8sc19qy9cl"))))))
 
 (define-public rust-scraper-0.12
   (package
@@ -45592,14 +45794,14 @@ (define-public rust-scratch-1
     (name "rust-scratch")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scratch" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0sff4rvfalp0ip98pl3xa32n7lhzcr4zqn8fgamaalbb64v4a4by"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scratch" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0sff4rvfalp0ip98pl3xa32n7lhzcr4zqn8fgamaalbb64v4a4by"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -45616,14 +45818,14 @@ (define-public rust-scrypt-0.3
     (name "rust-scrypt")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scrypt" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1apicbvp7cgc1z2nl5l48g8h3kp7p592r4zbkx9vsri2ivnvgv43"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scrypt" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1apicbvp7cgc1z2nl5l48g8h3kp7p592r4zbkx9vsri2ivnvgv43"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -45646,14 +45848,14 @@ (define-public rust-scrypt-0.2
     (name "rust-scrypt")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scrypt" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1pfgqgzdjxjf7c8r1wfka0ackfpv1g8w7wvbr25b42hdx787jv35"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scrypt" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1pfgqgzdjxjf7c8r1wfka0ackfpv1g8w7wvbr25b42hdx787jv35"))))
     (arguments
      `(#:cargo-inputs
        (("rust-base64" ,rust-base64-0.9)
@@ -45670,14 +45872,14 @@ (define-public rust-scroll-0.10
     (name "rust-scroll")
     (version "0.10.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scroll" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1cbcns8538sqmfnmdbphqy0fd4j8z75z802pvmz3zlwmnln37cmb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scroll" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1cbcns8538sqmfnmdbphqy0fd4j8z75z802pvmz3zlwmnln37cmb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45724,14 +45926,14 @@ (define-public rust-scroll-derive-0.10
     (name "rust-scroll-derive")
     (version "0.10.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "scroll_derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0a7f0xybi27p1njs4bqmxh9zyb2dqal4dbvgnhjjix4zkgm4wn7q"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "scroll_derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0a7f0xybi27p1njs4bqmxh9zyb2dqal4dbvgnhjjix4zkgm4wn7q"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -45803,14 +46005,14 @@ (define-public rust-sct-0.5
     (name "rust-sct")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sct" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fb9ym5bwswx01yyggn7v2vfryih4vnqpp4r4ssv3qaqpn7xynig"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sct" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fb9ym5bwswx01yyggn7v2vfryih4vnqpp4r4ssv3qaqpn7xynig"))))
     (arguments
      `(#:cargo-inputs
        (("rust-ring" ,rust-ring-0.14)
@@ -45925,14 +46127,14 @@ (define-public rust-section-testing-0.0
     (name "rust-section-testing")
     (version "0.0.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "section-testing" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18dfl8nacwcd1z2y4sgdx7751czzpl6282q6cd49ys5gd0xlkljz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "section-testing" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18dfl8nacwcd1z2y4sgdx7751czzpl6282q6cd49ys5gd0xlkljz"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/evanw/section_testing")
     (synopsis "Library for section-style testing")
@@ -46116,13 +46318,13 @@ (define-public rust-security-framework-sys-0.3
     (name "rust-security-framework-sys")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "security-framework-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "15gqhhi206lzynd0pcbswxhvqc4p9bmpl2h9qnwfnpb16zy96573"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "security-framework-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "15gqhhi206lzynd0pcbswxhvqc4p9bmpl2h9qnwfnpb16zy96573"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -46170,14 +46372,14 @@ (define-public rust-selectors-0.22
     (name "rust-selectors")
     (version "0.22.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "selectors" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1zhjpvww238lh4nz7kdw4ywlpmjbmzvrm76w1jyacjxci4c0ycnz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "selectors" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1zhjpvww238lh4nz7kdw4ywlpmjbmzvrm76w1jyacjxci4c0ycnz"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -46227,11 +46429,11 @@ (define-public rust-sema-0.1
        (sha256
         (base32
          "0ckq33sg84785p195m54h03jcn7fai8w08hjnb94nzaakgzibbz3"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (substitute* "Cargo.toml"
-                   (("libc.*") "libc = \"0.2\"\n"))
-                 #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (substitute* "Cargo.toml"
+                  (("libc.*") "libc = \"0.2\"\n"))
+                #t))))
     (build-system cargo-build-system)
     (arguments
      `( #:cargo-inputs
@@ -46386,13 +46588,13 @@ (define-public rust-semver-parser-0.9
     (name "rust-semver-parser")
     (version "0.9.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "semver-parser" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1ahqhvgpzhcsd28id7xnrjv4419i9yyalhm7d7zi430qx0hi2vml"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "semver-parser" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1ahqhvgpzhcsd28id7xnrjv4419i9yyalhm7d7zi430qx0hi2vml"))))))
 
 (define-public rust-semver-parser-0.7
   (package
@@ -46400,13 +46602,13 @@ (define-public rust-semver-parser-0.7
     (name "rust-semver-parser")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "semver-parser" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "18vhypw6zgccnrlm5ps1pwa0khz7ry927iznpr88b87cagr1v2iq"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "semver-parser" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "18vhypw6zgccnrlm5ps1pwa0khz7ry927iznpr88b87cagr1v2iq"))))))
 
 (define-public rust-send-wrapper-0.4
   (package
@@ -46706,14 +46908,14 @@ (define-public rust-serde-big-array-0.2
     (name "rust-serde-big-array")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serde-big-array" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0kj0h99y7ma9nsayv87fj2n680bcrwv2mrcbmc774lgak18ywgl8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde-big-array" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0kj0h99y7ma9nsayv87fj2n680bcrwv2mrcbmc774lgak18ywgl8"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -46788,14 +46990,14 @@ (define-public rust-serde-cbor-0.11
     (name "rust-serde-cbor")
     (version "0.11.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serde-cbor" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "08m62mfqjnpa543kd9r9cyxlqc6y73avhsl3n8svgs4h5zxaq60y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde-cbor" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "08m62mfqjnpa543kd9r9cyxlqc6y73avhsl3n8svgs4h5zxaq60y"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -46996,13 +47198,13 @@ (define-public rust-serde-derive-1
     (name "rust-serde-derive")
     (version "1.0.123")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serde-derive" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ccg4m7ww6mfs5vjdbdifri2kf1wyd4difjnqnraph2gssaw54ck"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde-derive" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ccg4m7ww6mfs5vjdbdifri2kf1wyd4difjnqnraph2gssaw54ck"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -47013,9 +47215,9 @@ (define-public rust-serde-derive-1
        (("rust-serde" ,rust-serde-1))))
     (home-page "https://serde.rs")
     (synopsis
-      "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]")
+     "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]")
     (description
-      "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]")
+     "Macros 1.1 implementation of #[derive(Serialize, Deserialize)]")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-serde-derive-0.9
@@ -47169,28 +47371,28 @@ (define-public rust-serde-path-to-error-0.1
     (name "rust-serde-path-to-error")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serde-path-to-error" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0n5ilbsxvi174m2fd506ivd43kws0yh523li1xz0zqh60ngi1xj2"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-serde" ,rust-serde-1))
-        #:cargo-development-inputs
-        (("rust-serde-derive" ,rust-serde-derive-1)
-         ("rust-serde-json" ,rust-serde-json-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde-path-to-error" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0n5ilbsxvi174m2fd506ivd43kws0yh523li1xz0zqh60ngi1xj2"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs
+       (("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-serde-json" ,rust-serde-json-1))))
     (home-page
-      "https://github.com/dtolnay/path-to-error")
+     "https://github.com/dtolnay/path-to-error")
     (synopsis
-      "Path to the element that failed to deserialize")
+     "Path to the element that failed to deserialize")
     (description
-      "This package provides a path to the element that failed to deserialize.")
+     "This package provides a path to the element that failed to deserialize.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-serde-qs-0.7
@@ -47547,14 +47749,14 @@ (define-public rust-serial-test-0.1
     (name "rust-serial-test")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serial-test" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0qywhzjc4jh6dqqng90maai0mjlmafk9aa5rrl9g3d2g01wdn8ms"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serial-test" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0qywhzjc4jh6dqqng90maai0mjlmafk9aa5rrl9g3d2g01wdn8ms"))))
     (arguments
      `(#:cargo-inputs
        (("rust-lazy-static" ,rust-lazy-static-1))))))
@@ -47590,14 +47792,14 @@ (define-public rust-serial-test-derive-0.1
     (name "rust-serial-test-derive")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "serial-test-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "17fkqrba233sjhdak986y4w3z4yjxa4idjkh46l7zxgcgjlvrnic"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serial-test-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "17fkqrba233sjhdak986y4w3z4yjxa4idjkh46l7zxgcgjlvrnic"))))
     (arguments
      `(#:cargo-inputs
        (("rust-quote" ,rust-quote-0.6)
@@ -47608,14 +47810,14 @@ (define-public rust-servo-arc-0.1
     (name "rust-servo-arc")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "servo-arc" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0cjljr9znwahry6p95xvd3p4pmy24wlf6gbfidnmglg002w3i0nr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "servo-arc" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0cjljr9znwahry6p95xvd3p4pmy24wlf6gbfidnmglg002w3i0nr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -47672,8 +47874,8 @@ (define-public rust-serial-test-0.4
     (arguments
      `(#:cargo-inputs
        (("rust-lazy-static" ,rust-lazy-static-1)
-("rust-parking-lot" ,rust-parking-lot-0.10)
-("rust-serial-test-derive" ,rust-serial-test-derive-0.4))))
+        ("rust-parking-lot" ,rust-parking-lot-0.10)
+        ("rust-serial-test-derive" ,rust-serial-test-derive-0.4))))
     (home-page
      "https://github.com/palfrey/serial_test/")
     (synopsis "Serialising Rust tests")
@@ -47763,12 +47965,12 @@ (define-public rust-servo-fontconfig-sys-4
        (sha256
         (base32
          "0v0mbicy74wd6cjd5jyqnm4nvrrr5lmg053cn16kylhg8mkf3cv2"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (for-each delete-file-recursively
-                      (find-files "." "[^Cargo.toml,^build\\.rs]"))
-            #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (for-each delete-file-recursively
+                     (find-files "." "[^Cargo.toml,^build\\.rs]"))
+           #t))))
     (arguments
      `(#:cargo-inputs
        (("rust-expat-sys" ,rust-expat-sys-2)
@@ -47792,9 +47994,9 @@ (define-public rust-servo-freetype-sys-4
        (sha256
         (base32
          "1z0dvnakans4vn4vlpx4nxg984427lh8dskxxz9pglij1mnwnk1c"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "freetype2") #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "freetype2") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -47815,14 +48017,14 @@ (define-public rust-sha-1-0.9
     (name "rust-sha-1")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sha-1" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0w37j7swjkbzgi9mf7ihkw0zfik6vl97fs6jdpqs6r68hvm3c2hp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sha-1" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0w37j7swjkbzgi9mf7ihkw0zfik6vl97fs6jdpqs6r68hvm3c2hp"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -47950,26 +48152,26 @@ (define-public rust-sha1collisiondetection-0.2
     (name "rust-sha1collisiondetection")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sha1collisiondetection" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "10nh7s3d02136kkz93pxyfv628ls5xz8ndg27pkb6na0ghccz9np"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-digest" ,rust-digest-0.9)
-         ("rust-generic-array" ,rust-generic-array-0.14)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-sha-1" ,rust-sha-1-0.9)
-         ("rust-structopt" ,rust-structopt-0.3))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sha1collisiondetection" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "10nh7s3d02136kkz93pxyfv628ls5xz8ndg27pkb6na0ghccz9np"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-digest" ,rust-digest-0.9)
+        ("rust-generic-array" ,rust-generic-array-0.14)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-sha-1" ,rust-sha-1-0.9)
+        ("rust-structopt" ,rust-structopt-0.3))))
     (home-page "https://docs.rs/sha1collisiondetection")
     (synopsis "SHA-1 hash function with collision detection and mitigation")
     (description
-      "This package implementation of the SHA-1 cryptographic hash algorithm.
+     "This package implementation of the SHA-1 cryptographic hash algorithm.
 
 This is a port of Marc Stevens' sha1collisiondetection algorithm to Rust.  The
 code is translated from C to Rust using c2rust.")
@@ -47980,14 +48182,14 @@ (define-public rust-sha2-0.9
     (name "rust-sha2")
     (version "0.9.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sha2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "04lzf4swq6cijvxnc6facr3g72h5v7a5z8lz3xrkf8gxa9bswqmk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sha2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "04lzf4swq6cijvxnc6facr3g72h5v7a5z8lz3xrkf8gxa9bswqmk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -48134,12 +48336,12 @@ (define-public rust-sha3-0.9
     (name "rust-sha3")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sha3" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "02d85wpvz75a0n7r2da15ikqjwzamhii11qy9gqf6pafgm0rj4gq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sha3" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "02d85wpvz75a0n7r2da15ikqjwzamhii11qy9gqf6pafgm0rj4gq"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -48161,14 +48363,14 @@ (define-public rust-shader-version-0.6
     (name "rust-shader-version")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "shader_version" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1yk651xc9irl3pl0rlplypzyzy44d0j03ji0j7hjjdjknwzpi3j7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "shader_version" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1yk651xc9irl3pl0rlplypzyzy44d0j03ji0j7hjjdjknwzpi3j7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -48404,13 +48606,13 @@ (define-public rust-shlex-0.1
     (name "rust-shlex")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "shlex" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1lmv6san7g8dv6jdfp14m7bdczq9ss7j7bgsfqyqjc3jnjfippvz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "shlex" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1lmv6san7g8dv6jdfp14m7bdczq9ss7j7bgsfqyqjc3jnjfippvz"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/comex/rust-shlex")
     (synopsis "Split a string into shell words, like Python's shlex")
@@ -48543,25 +48745,25 @@ (define-public rust-signature-1
     (name "rust-signature")
     (version "1.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "signature" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "04325sgl06mksq21a95sbdadg3r3jn3l3nhhxj839qs7s6kn1w19"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "signature" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "04325sgl06mksq21a95sbdadg3r3jn3l3nhhxj839qs7s6kn1w19"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-digest" ,rust-digest-0.9)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-signature-derive"
-          ,rust-signature-derive-1))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-digest" ,rust-digest-0.9)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-signature-derive"
+         ,rust-signature-derive-1))))
     (home-page "")
     (synopsis "Traits for cryptographic signature algorithms (e.g. ECDSA,
 Ed25519)")
     (description
-      "This package contains traits which provide generic, object-safe APIs
+     "This package contains traits which provide generic, object-safe APIs
 for generating and verifying digital signatures.")
     (license (list license:asl2.0 license:expat))))
 
@@ -48570,20 +48772,20 @@ (define-public rust-signature-derive-1
     (name "rust-signature-derive")
     (version "1.0.0-pre.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "signature_derive" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0wp8b8ald7qixrcvvclhdcpmn8hkx049jlc29g57ql0304c6qrdh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "signature_derive" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0wp8b8ald7qixrcvvclhdcpmn8hkx049jlc29g57ql0304c6qrdh"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-proc-macro2" ,rust-proc-macro2-1)
-         ("rust-quote" ,rust-quote-1)
-         ("rust-syn" ,rust-syn-1)
-         ("rust-synstructure" ,rust-synstructure-0.12))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-syn" ,rust-syn-1)
+        ("rust-synstructure" ,rust-synstructure-0.12))))
     (home-page "signature_derive")
     (synopsis "Custom derive support for the 'signature' crate")
     (description "This package provides proc macros used by the signature
@@ -48598,14 +48800,14 @@ (define-public rust-simba-0.1
     (name "rust-simba")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "simba" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1chz3abrvrj4qz86gwrrzajsl5zcc2l0dhxi39mymbgscw9ip4zv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "simba" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1chz3abrvrj4qz86gwrrzajsl5zcc2l0dhxi39mymbgscw9ip4zv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -48742,14 +48944,14 @@ (define-public rust-simd-helpers-0.1
     (name "rust-simd-helpers")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "simd_helpers" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19idqicn9k4vhd04ifh2ff41wvna79zphdf2c81rlmpc7f3hz2cm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "simd_helpers" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19idqicn9k4vhd04ifh2ff41wvna79zphdf2c81rlmpc7f3hz2cm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -48835,14 +49037,14 @@ (define-public rust-siphasher-0.3
     (name "rust-siphasher")
     (version "0.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "siphasher" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "08xvk3yi4vawppm1f81s4zrkksf95psz8gczh36y808candgi24f"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "siphasher" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "08xvk3yi4vawppm1f81s4zrkksf95psz8gczh36y808candgi24f"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -48951,14 +49153,14 @@ (define-public rust-skeptic-0.13
     (name "rust-skeptic")
     (version "0.13.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "skeptic" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0rai61hbs65nbvbhqlk1nap5hlav5qx3zmjjjzh9rhgxagc8xyyn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "skeptic" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rai61hbs65nbvbhqlk1nap5hlav5qx3zmjjjzh9rhgxagc8xyyn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -48982,13 +49184,13 @@ (define-public rust-slab-0.4
     (name "rust-slab")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "slab" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1y59xsa27jk84sxzswjk60xcjf8b4fm5960jwpznrrcmasyva4f1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "slab" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1y59xsa27jk84sxzswjk60xcjf8b4fm5960jwpznrrcmasyva4f1"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/carllerche/slab")
     (synopsis "Pre-allocated storage for a uniform data type")
@@ -49090,14 +49292,14 @@ (define-public rust-slog-2
     (name "rust-slog")
     (version "2.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "slog" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "16bv6zrdn1sm315vbnia02g31xvsmbjyz5gv3z0vrgxdli0cdj8w"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "slog" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "16bv6zrdn1sm315vbnia02g31xvsmbjyz5gv3z0vrgxdli0cdj8w"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -49108,9 +49310,9 @@ (define-public rust-slog-2
     (description
      "This package provides structured, extensible, composable logging for Rust.")
     (license
-      (list license:mpl2.0
-            license:expat
-            license:asl2.0))))
+     (list license:mpl2.0
+           license:expat
+           license:asl2.0))))
 
 (define-public rust-slog-async-2
   (package
@@ -49650,14 +49852,14 @@ (define-public rust-socket2-0.4
     (name "rust-socket2")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "socket2" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "socket2" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
     (build-system cargo-build-system)
     (arguments
      `(#:rust ,rust-1.46    ; or later
@@ -49725,13 +49927,13 @@ (define-public rust-sourcefile-0.1
     (name "rust-sourcefile")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sourcefile" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1lwa6973zs4bgj29my7agfjgk4nw9hp6j7dfnr13nid85fw7rxsb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sourcefile" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1lwa6973zs4bgj29my7agfjgk4nw9hp6j7dfnr13nid85fw7rxsb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -49843,13 +50045,13 @@ (define-public rust-spin-0.5
     (name "rust-spin")
     (version "0.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "spin" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0b84m6dbzrwf2kxylnw82d3dr8w06av7rfkr8s85fb5f43rwyqvf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "spin" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0b84m6dbzrwf2kxylnw82d3dr8w06av7rfkr8s85fb5f43rwyqvf"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/mvdnes/spin-rs")
     (synopsis "Synchronization primitives based on spinning")
@@ -50062,13 +50264,13 @@ (define-public rust-stable-deref-trait-1
     (name "rust-stable-deref-trait")
     (version "1.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "stable_deref_trait" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1lxjr8q2n534b2lhkxd6l6wcddzjvnksi58zv11f9y0jjmr15wd8"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "stable_deref_trait" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1lxjr8q2n534b2lhkxd6l6wcddzjvnksi58zv11f9y0jjmr15wd8"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/storyyeller/stable_deref_trait0")
     (synopsis "Defines an unsafe marker trait, StableDeref")
@@ -50086,13 +50288,13 @@ (define-public rust-stacker-0.1
     (name "rust-stacker")
     (version "0.1.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "stacker" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "12igajfgqz96c7vcwi91xdfsphawik6g36ndlglqih0a7bqw8vyr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "stacker" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "12igajfgqz96c7vcwi91xdfsphawik6g36ndlglqih0a7bqw8vyr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50209,13 +50411,13 @@ (define-public rust-static-assertions-1
     (name "rust-static-assertions")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "static-assertions" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0gsl6xmw10gvn3zs1rv99laj5ig7ylffnh71f9l34js4nr4r7sx2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "static-assertions" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0gsl6xmw10gvn3zs1rv99laj5ig7ylffnh71f9l34js4nr4r7sx2"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/nvzqz/static-assertions-rs")
     (synopsis "Compile-time assertions for rust")
@@ -50230,13 +50432,13 @@ (define-public rust-static-assertions-0.3
     (name "rust-static-assertions")
     (version "0.3.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "static-assertions" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1lw33i89888yb3x29c6dv4mrkg3534n0rlg3r7qzh4p58xmv6gkz"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "static-assertions" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1lw33i89888yb3x29c6dv4mrkg3534n0rlg3r7qzh4p58xmv6gkz"))))))
 
 (define-public rust-static-map-macro-0.2
   (package
@@ -50268,14 +50470,14 @@ (define-public rust-statistical-1
     (name "rust-statistical")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "statistical" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0wm35q6p6jcq1r1darczv4if7qss460kd391nlw5x3hjpc17kma9"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "statistical" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0wm35q6p6jcq1r1darczv4if7qss460kd391nlw5x3hjpc17kma9"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50523,13 +50725,13 @@ (define-public rust-stdweb-internal-runtime-0.1
     (name "rust-stdweb-internal-runtime")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "stdweb-internal-runtime" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1h0nkppb4r8dbrbms2hw9n5xdcs392m0r5hj3b6lsx3h6fx02dr1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "stdweb-internal-runtime" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1h0nkppb4r8dbrbms2hw9n5xdcs392m0r5hj3b6lsx3h6fx02dr1"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/koute/stdweb")
     (synopsis "Internal runtime for the @code{stdweb} crate")
@@ -50543,13 +50745,13 @@ (define-public rust-stdweb-internal-test-macro-0.1
     (name "rust-stdweb-internal-test-macro")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "stdweb-internal-test-macro" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0wx3jlm98qrg1pdw149fprzs9x3x3igqkm5ll23jv2v62yddfrjf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "stdweb-internal-test-macro" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0wx3jlm98qrg1pdw149fprzs9x3x3igqkm5ll23jv2v62yddfrjf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50685,13 +50887,13 @@ (define-public rust-streaming-stats-0.2
     (name "rust-streaming-stats")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "streaming-stats" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0iz5dlq51w5hxjrv6a4hpf8rrj91kgvy0s9mhj0j12il9v771mmh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "streaming-stats" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0iz5dlq51w5hxjrv6a4hpf8rrj91kgvy0s9mhj0j12il9v771mmh"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50708,14 +50910,14 @@ (define-public rust-streebog-0.9
     (name "rust-streebog")
     (version "0.9.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "streebog" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0lz7ajfqdqbrnj01m1xc01ch1g0s9391ma36qqkiyf1074d1r8nr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "streebog" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0lz7ajfqdqbrnj01m1xc01ch1g0s9391ma36qqkiyf1074d1r8nr"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50780,14 +50982,14 @@ (define-public rust-string-cache-0.8
     (name "rust-string-cache")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "string-cache" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "12i0synp8l0qpnzi5qki4pjq3jx28ykikyffjjjg6fsfxddwfh19"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "string-cache" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "12i0synp8l0qpnzi5qki4pjq3jx28ykikyffjjjg6fsfxddwfh19"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -50835,14 +51037,14 @@ (define-public rust-string-cache-codegen-0.5
     (name "rust-string-cache-codegen")
     (version "0.5.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "string-cache-codegen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "15vbk5i7kkj5bbx7f0fi477js4svw5py39gi4rk74anj35g8wk7j"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "string-cache-codegen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "15vbk5i7kkj5bbx7f0fi477js4svw5py39gi4rk74anj35g8wk7j"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -51045,13 +51247,13 @@ (define-public rust-strsim-0.8
     (name "rust-strsim")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "strsim" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0sjsm7hrvjdifz661pjxq5w4hf190hx53fra8dfvamacvff139cf"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "strsim" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0sjsm7hrvjdifz661pjxq5w4hf190hx53fra8dfvamacvff139cf"))))))
 
 (define-public rust-strsim-0.7
   (package
@@ -51059,13 +51261,13 @@ (define-public rust-strsim-0.7
     (name "rust-strsim")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "strsim" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0l7mkwvdk4vgnml67b85mczk466074aj8yf25gjrjslj4l0khkxv"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "strsim" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0l7mkwvdk4vgnml67b85mczk466074aj8yf25gjrjslj4l0khkxv"))))))
 
 (define-public rust-strsim-0.6
   (package
@@ -51129,13 +51331,13 @@ (define-public rust-structopt-0.2
     (name "rust-structopt")
     (version "0.2.18")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "structopt" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1mvfv1l8vp3y402fkl2wcl34hi7gmr4bqha13dfz2xf3kjzwvhhn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "structopt" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1mvfv1l8vp3y402fkl2wcl34hi7gmr4bqha13dfz2xf3kjzwvhhn"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -51150,44 +51352,44 @@ (define-public rust-structopt-0.2
 
 (define-public rust-structopt-derive-0.4
   (package
-   (name "rust-structopt-derive")
-   (version "0.4.14")
-   (source
-    (origin
-     (method url-fetch)
-     (uri (crate-uri "structopt-derive" version))
-     (file-name
-      (string-append name "-" version ".tar.gz"))
-     (sha256
-      (base32
-       "143gjwvz3s86hwp070km83y25n8kqp5f01kb1dr19f4ilkywvaav"))))
-   (build-system cargo-build-system)
-   (arguments
-    `(#:skip-build? #t
-      #:cargo-inputs
-      (("rust-heck" ,rust-heck-0.3)
-       ("rust-proc-macro-error" ,rust-proc-macro-error-1)
-       ("rust-proc-macro2" ,rust-proc-macro2-1)
-       ("rust-syn" ,rust-syn-1)
-       ("rust-quote" ,rust-quote-1))))
-   (home-page "https://github.com/TeXitoi/structopt")
-   (synopsis "Parse command line argument by defining a struct, derive crate")
-   (description
-    "This package provides the derive Rust crate for the structopt crate.")
-   (license license:asl2.0)))
+    (name "rust-structopt-derive")
+    (version "0.4.14")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "structopt-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "143gjwvz3s86hwp070km83y25n8kqp5f01kb1dr19f4ilkywvaav"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-heck" ,rust-heck-0.3)
+        ("rust-proc-macro-error" ,rust-proc-macro-error-1)
+        ("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-syn" ,rust-syn-1)
+        ("rust-quote" ,rust-quote-1))))
+    (home-page "https://github.com/TeXitoi/structopt")
+    (synopsis "Parse command line argument by defining a struct, derive crate")
+    (description
+     "This package provides the derive Rust crate for the structopt crate.")
+    (license license:asl2.0)))
 
 (define-public rust-structopt-derive-0.2
   (package
     (name "rust-structopt-derive")
     (version "0.2.18")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "structopt-derive" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "01sis9z5kqmyhvzbnmlzpdxcry99a0b9blypksgnhdsbm1hh40ak"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "structopt-derive" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "01sis9z5kqmyhvzbnmlzpdxcry99a0b9blypksgnhdsbm1hh40ak"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -51368,14 +51570,14 @@ (define-public rust-subtle-2
     (name "rust-subtle")
     (version "2.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "subtle" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1h9jd7v0imksyl5mvnjk2rw54sa3xrril76z0md61mq2gh056bah"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "subtle" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1h9jd7v0imksyl5mvnjk2rw54sa3xrril76z0md61mq2gh056bah"))))
     (build-system cargo-build-system)
     (home-page "https://dalek.rs/")
     (synopsis
@@ -51405,13 +51607,13 @@ (define-public rust-succinct-0.5
     (name "rust-succinct")
     (version "0.5.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "succinct" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "0654c9gq50x7djyf25zbzz3d2pc4x3z21wmjj3qbr6d9h4hbd63p"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "succinct" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0654c9gq50x7djyf25zbzz3d2pc4x3z21wmjj3qbr6d9h4hbd63p"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -51565,14 +51767,14 @@ (define-public rust-sval-0.4
     (name "rust-sval")
     (version "0.4.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sval" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1aljggx64481q4wp3wx9hxsfh2bs7d64nqsrwbb2zxcpmdnbn6yk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sval" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1aljggx64481q4wp3wx9hxsfh2bs7d64nqsrwbb2zxcpmdnbn6yk"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -51627,14 +51829,14 @@ (define-public rust-sval-derive-0.4
     (name "rust-sval-derive")
     (version "0.4.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sval_derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "07s7jqsdczsg0wnydfnxyrsj8zyrjmiwl4is1dfgn8dfvyi8n2bj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sval_derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "07s7jqsdczsg0wnydfnxyrsj8zyrjmiwl4is1dfgn8dfvyi8n2bj"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -51938,14 +52140,14 @@ (define-public rust-syn-mid-0.5
     (name "rust-syn-mid")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "syn-mid" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "12ikg5jfklixq0wsgfl7sdzjqlxgq50ygklxy4f972hjdjgm7qvv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "syn-mid" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "12ikg5jfklixq0wsgfl7sdzjqlxgq50ygklxy4f972hjdjgm7qvv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -51998,14 +52200,14 @@ (define-public rust-synstructure-0.12
     (name "rust-synstructure")
     (version "0.12.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "synstructure" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0igmc5fzpk6fg7kgff914j05lbpc6ai2wmji312v2h8vvjhnwrb7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "synstructure" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0igmc5fzpk6fg7kgff914j05lbpc6ai2wmji312v2h8vvjhnwrb7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -52053,13 +52255,13 @@ (define-public rust-synstructure-test-traits-0.1
     (name "rust-synstructure-test-traits")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "synstructure_test_traits" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1b3fs2b9kc1gy9dilaxqjbdl4z0mlrbbxjzkprdx953rif1c3q66"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "synstructure_test_traits" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1b3fs2b9kc1gy9dilaxqjbdl4z0mlrbbxjzkprdx953rif1c3q66"))))
     (build-system cargo-build-system)
     (home-page "https://crates.io/crates/synstructure_test_traits")
     (synopsis "Helper test traits for synstructure doctests")
@@ -52140,30 +52342,30 @@ (define-public rust-syntect-3
         ("rust-onig" ,rust-onig-5))))))
 
 (define-public rust-syntex-0.58
- (package
-   (name "rust-syntex")
-   (version "0.58.1")
-   (source
-    (origin
-      (method url-fetch)
-      (uri (crate-uri "syntex" version))
-      (file-name
-       (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32
-        "03lgd36cxhc6gzaab0wqvckbhml00s6s73lk34ymf6cklymf7xd8"))))
-   (build-system cargo-build-system)
-   (arguments
-    `(#:skip-build? #t
-      #:cargo-inputs
-      (("rust-syntex-errors" ,rust-syntex-errors-0.58)
-       ("rust-syntex-syntax" ,rust-syntex-syntax-0.58))))
-   (home-page "https://github.com/erickt/rust-syntex")
-   (synopsis "Compile time syntax extension expansion")
-   (description
-    "This package provides a library that enables compile time
+  (package
+    (name "rust-syntex")
+    (version "0.58.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "syntex" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03lgd36cxhc6gzaab0wqvckbhml00s6s73lk34ymf6cklymf7xd8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-syntex-errors" ,rust-syntex-errors-0.58)
+        ("rust-syntex-syntax" ,rust-syntex-syntax-0.58))))
+    (home-page "https://github.com/erickt/rust-syntex")
+    (synopsis "Compile time syntax extension expansion")
+    (description
+     "This package provides a library that enables compile time
 syntax extension expansion.")
-   (license (list license:expat license:asl2.0))))
+    (license (list license:expat license:asl2.0))))
 
 (define-public rust-syntex-errors-0.58
   (package
@@ -52367,14 +52569,14 @@ (define-public rust-sysctl-0.1
     (name "rust-sysctl")
     (version "0.1.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "sysctl" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "10wxlk4nkzlxp4fg435jmdmfwl4hy0y4w2rcsgs634lvbp8pgksb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sysctl" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "10wxlk4nkzlxp4fg435jmdmfwl4hy0y4w2rcsgs634lvbp8pgksb"))))
     (arguments
      `(#:skip-build? #t ; Unsupported on Linux.
        #:cargo-inputs
@@ -52430,27 +52632,27 @@ (define-public rust-sysinfo-0.16
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-cfg-if" ,rust-cfg-if-1)
-         ("rust-core-foundation-sys" ,rust-core-foundation-sys-0.8)
-         ("rust-doc-comment" ,rust-doc-comment-0.3)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-ntapi" ,rust-ntapi-0.3)
-         ("rust-once-cell" ,rust-once-cell-1)
-         ("rust-rayon" ,rust-rayon-1)
-         ("rust-winapi" ,rust-winapi-0.3))))))
+        ("rust-core-foundation-sys" ,rust-core-foundation-sys-0.8)
+        ("rust-doc-comment" ,rust-doc-comment-0.3)
+        ("rust-libc" ,rust-libc-0.2)
+        ("rust-ntapi" ,rust-ntapi-0.3)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-winapi" ,rust-winapi-0.3))))))
 
 (define-public rust-syslog-4
   (package
     (name "rust-syslog")
     (version "4.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "syslog" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "09ykcbvwx8icvf303mqyz76ji8j6fgyyx97zpr23s788ni112r50"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "syslog" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "09ykcbvwx8icvf303mqyz76ji8j6fgyyx97zpr23s788ni112r50"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -52469,14 +52671,14 @@ (define-public rust-syslog-3
     (name "rust-syslog")
     (version "3.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "syslog" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0hpdnk2zm6xawpz6fv6qbn0ncfm5p0wm5c6gq7yhaz2gvsnb1jdv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "syslog" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0hpdnk2zm6xawpz6fv6qbn0ncfm5p0wm5c6gq7yhaz2gvsnb1jdv"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -52617,14 +52819,14 @@ (define-public rust-tap-1
     (name "rust-tap")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "tap" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "13h7rw3zg3qyb4wrri8l6xbd1wrxd2rq29sqxnkd7zqs5mrlwirn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tap" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "13h7rw3zg3qyb4wrri8l6xbd1wrxd2rq29sqxnkd7zqs5mrlwirn"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/myrrlyn/tap")
     (synopsis "Generic extensions for tapping values in Rust")
@@ -52637,13 +52839,13 @@ (define-public rust-tar-0.4
     (name "rust-tar")
     (version "0.4.26")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "tar" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1lr6v3cpkfxd2lk5ll2jd8wr1xdskwj35smnh5sfb8xvzzxnn6dk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tar" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1lr6v3cpkfxd2lk5ll2jd8wr1xdskwj35smnh5sfb8xvzzxnn6dk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; Test tarballs not included in crate.
@@ -52696,22 +52898,22 @@ (define-public rust-target-lexicon-0.10
     (name "rust-target-lexicon")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "target-lexicon" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "17diw9c3d1vb5rmwwk2ghsyhfs0gj5jm78hrwxxhmd67vhw743mb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "target-lexicon" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "17diw9c3d1vb5rmwwk2ghsyhfs0gj5jm78hrwxxhmd67vhw743mb"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/CraneStation/target-lexicon")
+     "https://github.com/CraneStation/target-lexicon")
     (synopsis
-      "Targeting utilities for compilers and related tools")
+     "Targeting utilities for compilers and related tools")
     (description
-      "Targeting utilities for compilers and related tools")
+     "Targeting utilities for compilers and related tools")
     (license license:asl2.0)))
 
 (define-public rust-tectonic-bridge-core-0.3
@@ -53341,13 +53543,13 @@ (define-public rust-tempdir-0.3
     (name "rust-tempdir")
     (version "0.3.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "tempdir" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1n5n86zxpgd85y0mswrp5cfdisizq2rv3la906g6ipyc03xvbwhm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tempdir" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1n5n86zxpgd85y0mswrp5cfdisizq2rv3la906g6ipyc03xvbwhm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -53396,13 +53598,13 @@ (define-public rust-tempfile-2
     (name "rust-tempfile")
     (version "2.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "tempfile" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1q61byf232rra0vqxp4qp10wwwqsqqd45qjj80ql5f34vgljzkhi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tempfile" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1q61byf232rra0vqxp4qp10wwwqsqqd45qjj80ql5f34vgljzkhi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -53547,13 +53749,13 @@ (define-public rust-term-0.4
     (name "rust-term")
     (version "0.4.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "term" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1wbh8ngqkqr3f6wz902yplf60bd5yapnckvrkgmzp5nffi7n8qzs"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "term" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1wbh8ngqkqr3f6wz902yplf60bd5yapnckvrkgmzp5nffi7n8qzs"))))
     (arguments
      `(#:cargo-inputs
        (("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
@@ -53565,12 +53767,12 @@ (define-public rust-term-0.2
     (name "rust-term")
     (version "0.2.14")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "term" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32 "109jmzddq1kz6wm2ndgddy7yrlqcw2i36ygxl0fcymc0sda7w1zj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "term" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32 "109jmzddq1kz6wm2ndgddy7yrlqcw2i36ygxl0fcymc0sda7w1zj"))))
     (arguments
      `(#:cargo-inputs
        (("rust-kernel32-sys" ,rust-kernel32-sys-0.2)
@@ -53581,14 +53783,14 @@ (define-public rust-term-grid-0.1
     (name "rust-term-grid")
     (version "0.1.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "term_grid" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1kq2sy3b8329jrsrpcvijvyz4gbqjyvyy6c3n0wmmvda9y03w393"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "term_grid" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1kq2sy3b8329jrsrpcvijvyz4gbqjyvyy6c3n0wmmvda9y03w393"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -53779,13 +53981,13 @@ (define-public rust-termion-1
     (name "rust-termion")
     (version "1.5.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "termion" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "01f9787d5nx445bqbj644v38bn0hl2swwjy9baz0dnbqi6fyqb62"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "termion" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "01f9787d5nx445bqbj644v38bn0hl2swwjy9baz0dnbqi6fyqb62"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; Tests want a terminal.
@@ -53805,13 +54007,13 @@ (define-public rust-termios-0.3
     (name "rust-termios")
     (version "0.3.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "termios" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "09any1p4jp4bphvb5ikagnvwjc3xn2djchy96nkpa782xb2j1dkj"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "termios" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "09any1p4jp4bphvb5ikagnvwjc3xn2djchy96nkpa782xb2j1dkj"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -53950,25 +54152,25 @@ (define-public rust-text-size-1
     (name "rust-text-size")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "text-size" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "02jn26l5wcdjqpy80ycnk9ha10flyc0p4yga8ci6aaz7vd4bb318"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-serde" ,rust-serde-1))
-        #:cargo-development-inputs
-        (("rust-serde-test" ,rust-serde-test-1)
-         ("rust-static-assertions"
-          ,rust-static-assertions-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "text-size" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "02jn26l5wcdjqpy80ycnk9ha10flyc0p4yga8ci6aaz7vd4bb318"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs
+       (("rust-serde-test" ,rust-serde-test-1)
+        ("rust-static-assertions"
+         ,rust-static-assertions-1))))
     (home-page
-      "https://github.com/rust-analyzer/text-size")
+     "https://github.com/rust-analyzer/text-size")
     (synopsis "Newtypes for text offsets")
     (description "This package provides a newtypes for text offsets")
     (license (list license:expat license:asl2.0))))
@@ -54033,14 +54235,14 @@ (define-public rust-thin-slice-0.1
     (name "rust-thin-slice")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "thin-slice" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0g4z51g3yarah89ijpakbwhrrknw6d7k3ry0m1zqcn3hbhiq3alf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "thin-slice" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0g4z51g3yarah89ijpakbwhrrknw6d7k3ry0m1zqcn3hbhiq3alf"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/heycam/thin-slice")
     (synopsis
@@ -54108,13 +54310,13 @@ (define-public rust-thread-id-3
     (name "rust-thread-id")
     (version "3.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "thread-id" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1h90v19fjz3x9b25ywh68z5yf2zsmm6h5zb4rl302ckbsp4z9yy7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "thread-id" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1h90v19fjz3x9b25ywh68z5yf2zsmm6h5zb4rl302ckbsp4z9yy7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -54177,13 +54379,13 @@ (define-public rust-thread-local-0.3
     (name "rust-thread-local")
     (version "0.3.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "thread_local" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "06rzik99p8c5js8238yhc8rk6np543ylb1dy9nrw5v80j0r3xdf6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "thread_local" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "06rzik99p8c5js8238yhc8rk6np543ylb1dy9nrw5v80j0r3xdf6"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs (("rust-lazy-static" ,rust-lazy-static-1))))))
@@ -54236,13 +54438,13 @@ (define-public rust-threadpool-1
     (name "rust-threadpool")
     (version "1.7.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "threadpool" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0rd89n1q7vy47w4c32cnynibffv9kj3jy3dwr0536n9lbw5ckw72"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "threadpool" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0rd89n1q7vy47w4c32cnynibffv9kj3jy3dwr0536n9lbw5ckw72"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -54462,13 +54664,13 @@ (define-public rust-time-0.1
     (name "rust-time")
     (version "0.1.43")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "time" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0f14wrgxj7ya2v4msg5mni7046bsm2angm7cn3pd3yv04gpm12na"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "time" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0f14wrgxj7ya2v4msg5mni7046bsm2angm7cn3pd3yv04gpm12na"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -54564,14 +54766,14 @@ (define-public rust-timer-0.2
     (name "rust-timer")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "timer" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0srhqyp7fr91d1i43aqs7wc6yn1i3kdkh1pm05bicdw961v23m1i"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "timer" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0srhqyp7fr91d1i43aqs7wc6yn1i3kdkh1pm05bicdw961v23m1i"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -55354,13 +55556,13 @@ (define-public rust-tokio-mock-task-0.1
     (name "rust-tokio-mock-task")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "tokio-mock-task" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1y7q83qfk9ljjfvs82b453pmz9x1v3d6kr4x55j8mal01s6790dw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tokio-mock-task" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1y7q83qfk9ljjfvs82b453pmz9x1v3d6kr4x55j8mal01s6790dw"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -55585,14 +55787,14 @@ (define-public rust-tokio-postgres-0.7
     (name "rust-tokio-postgres")
     (version "0.7.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "tokio-postgres" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "12rb390i3af7zb0z2idhaf6l2m6snypwdiwjw84rmyz4qy1i6ard"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tokio-postgres" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "12rb390i3af7zb0z2idhaf6l2m6snypwdiwjw84rmyz4qy1i6ard"))))
     (build-system cargo-build-system)
     (arguments
      `(#:rust ,rust-1.46
@@ -55787,17 +55989,17 @@ (define-public rust-tokio-rustls-0.14
     (arguments
      `(;; These tests require network access.
        #:cargo-test-flags '("--release" "--" "--skip=tls12" "--skip=modern")
-       #:cargo-inputs
-       (("rust-bytes" ,rust-bytes-0.5)
-        ("rust-futures-core" ,rust-futures-core-0.3)
-        ("rust-rustls" ,rust-rustls-0.18)
-        ("rust-tokio" ,rust-tokio-0.2)
-        ("rust-webpki" ,rust-webpki-0.21))
-       #:cargo-development-inputs
-       (("rust-futures-util" ,rust-futures-util-0.3)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-tokio" ,rust-tokio-0.2)
-        ("rust-webpki-roots" ,rust-webpki-roots-0.20))))))
+                          #:cargo-inputs
+                          (("rust-bytes" ,rust-bytes-0.5)
+                           ("rust-futures-core" ,rust-futures-core-0.3)
+                           ("rust-rustls" ,rust-rustls-0.18)
+                           ("rust-tokio" ,rust-tokio-0.2)
+                           ("rust-webpki" ,rust-webpki-0.21))
+                          #:cargo-development-inputs
+                          (("rust-futures-util" ,rust-futures-util-0.3)
+                           ("rust-lazy-static" ,rust-lazy-static-1)
+                           ("rust-tokio" ,rust-tokio-0.2)
+                           ("rust-webpki-roots" ,rust-webpki-roots-0.20))))))
 
 (define-public rust-tokio-rustls-0.13
   (package
@@ -55815,17 +56017,17 @@ (define-public rust-tokio-rustls-0.13
     (arguments
      `(;; These tests require network access.
        #:cargo-test-flags '("--release" "--" "--skip=tls12" "--skip=modern")
-       #:cargo-inputs
-       (("rust-bytes" ,rust-bytes-0.5)
-        ("rust-futures-core" ,rust-futures-core-0.3)
-        ("rust-rustls" ,rust-rustls-0.17)
-        ("rust-tokio" ,rust-tokio-0.2)
-        ("rust-webpki" ,rust-webpki-0.21))
-       #:cargo-development-inputs
-       (("rust-futures-util" ,rust-futures-util-0.3)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-tokio" ,rust-tokio-0.2)
-        ("rust-webpki-roots" ,rust-webpki-roots-0.19))))
+                          #:cargo-inputs
+                          (("rust-bytes" ,rust-bytes-0.5)
+                           ("rust-futures-core" ,rust-futures-core-0.3)
+                           ("rust-rustls" ,rust-rustls-0.17)
+                           ("rust-tokio" ,rust-tokio-0.2)
+                           ("rust-webpki" ,rust-webpki-0.21))
+                          #:cargo-development-inputs
+                          (("rust-futures-util" ,rust-futures-util-0.3)
+                           ("rust-lazy-static" ,rust-lazy-static-1)
+                           ("rust-tokio" ,rust-tokio-0.2)
+                           ("rust-webpki-roots" ,rust-webpki-roots-0.19))))
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-tokio-rustls-0.12
@@ -55843,17 +56045,17 @@ (define-public rust-tokio-rustls-0.12
     (arguments
      `(;; These tests require network access.
        #:cargo-test-flags '("--release" "--" "--skip=tls12" "--skip=modern")
-       #:cargo-inputs
-       (("rust-bytes" ,rust-bytes-0.5)
-        ("rust-futures-core" ,rust-futures-core-0.3)
-        ("rust-rustls" ,rust-rustls-0.16)
-        ("rust-tokio" ,rust-tokio-0.2)
-        ("rust-webpki" ,rust-webpki-0.21))
-       #:cargo-development-inputs
-       (("rust-futures-util" ,rust-futures-util-0.3)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-tokio" ,rust-tokio-0.2)
-        ("rust-webpki-roots" ,rust-webpki-roots-0.18))))
+                          #:cargo-inputs
+                          (("rust-bytes" ,rust-bytes-0.5)
+                           ("rust-futures-core" ,rust-futures-core-0.3)
+                           ("rust-rustls" ,rust-rustls-0.16)
+                           ("rust-tokio" ,rust-tokio-0.2)
+                           ("rust-webpki" ,rust-webpki-0.21))
+                          #:cargo-development-inputs
+                          (("rust-futures-util" ,rust-futures-util-0.3)
+                           ("rust-lazy-static" ,rust-lazy-static-1)
+                           ("rust-tokio" ,rust-tokio-0.2)
+                           ("rust-webpki-roots" ,rust-webpki-roots-0.18))))
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-tokio-rustls-0.10
@@ -55887,14 +56089,14 @@ (define-public rust-tokio-rustls-0.9
     (name "rust-tokio-rustls")
     (version "0.9.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "tokio-rustls" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1jd63sl177sxacnksaxhazzmamwds98xk3niprh2qib75a1rk8cm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tokio-rustls" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1jd63sl177sxacnksaxhazzmamwds98xk3niprh2qib75a1rk8cm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -56583,21 +56785,21 @@ (define-public rust-toml-0.5
     (name "rust-toml")
     (version "0.5.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "toml" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1apcmjrrjw429pjw7mqlmdwwd67g8305vwqy4kw3swr612bl44d3"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "toml" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1apcmjrrjw429pjw7mqlmdwwd67g8305vwqy4kw3swr612bl44d3"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-        (("rust-indexmap" ,rust-indexmap-1)
-         ("rust-serde" ,rust-serde-1))
-        #:cargo-development-inputs
-        (("rust-serde-derive" ,rust-serde-derive-1)
-         ("rust-serde-json" ,rust-serde-json-1))))
+       (("rust-indexmap" ,rust-indexmap-1)
+        ("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs
+       (("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-serde-json" ,rust-serde-json-1))))
     (home-page "https://github.com/alexcrichton/toml-rs")
     (synopsis "Rust encoder and decoder of TOML-formatted files and streams")
     (description
@@ -56614,14 +56816,14 @@ (define-public rust-toml-0.4
     (name "rust-toml")
     (version "0.4.10")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "toml" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "07qilkzinn8z13vq2sss65n2lza7wrmqpvkbclw919m3f7y691km"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "toml" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "07qilkzinn8z13vq2sss65n2lza7wrmqpvkbclw919m3f7y691km"))))
     (arguments
      `(#:cargo-inputs
        (("rust-serde" ,rust-serde-1))
@@ -56634,14 +56836,14 @@ (define-public rust-toml-0.2
     (name "rust-toml")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "toml" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1d1cz43bxrx4fd6j2p6myckf81f72bp47akg36y3flxjkhj60svk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "toml" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1d1cz43bxrx4fd6j2p6myckf81f72bp47akg36y3flxjkhj60svk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -57081,9 +57283,9 @@ (define-public rust-tracing-tree-0.1
         ("rust-tracing-subscriber"
          ,rust-tracing-subscriber-0.2))
        #:cargo-development-inputs
-        (("rust-assert-cmd" ,rust-assert-cmd-1)
-         ("rust-glob" ,rust-glob-0.3)
-         ("rust-log" ,rust-log-0.4))))
+       (("rust-assert-cmd" ,rust-assert-cmd-1)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-log" ,rust-log-0.4))))
     (home-page
      "https://github.com/davidbarsky/tracing-tree")
     (synopsis
@@ -57147,13 +57349,13 @@ (define-public rust-traitobject-0.1
     (name "rust-traitobject")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "traitobject" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0yb0n8822mr59j200fyr2fxgzzgqljyxflx9y8bdy3rlaqngilgg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "traitobject" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0yb0n8822mr59j200fyr2fxgzzgqljyxflx9y8bdy3rlaqngilgg"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/reem/rust-traitobject")
     (synopsis "Unsafe helpers for dealing with raw trait objects")
@@ -57189,14 +57391,14 @@ (define-public rust-treeline-0.1
     (name "rust-treeline")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "treeline" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0hcdgyk5xzcx2ylm0fr9czzs9cjznm7l9q5qz51qi97i82r43xx7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "treeline" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0hcdgyk5xzcx2ylm0fr9czzs9cjznm7l9q5qz51qi97i82r43xx7"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/softprops/treeline")
     (synopsis "Library for visualizing tree structured data")
@@ -57705,14 +57907,14 @@ (define-public rust-trust-dns-proto-0.7
     (name "rust-trust-dns-proto")
     (version "0.7.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "trust-dns-proto" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0099dm57nnizx4apik9sh3mnvr7rp9mivc903v8xss13dkgynnam"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "trust-dns-proto" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0099dm57nnizx4apik9sh3mnvr7rp9mivc903v8xss13dkgynnam"))))
     (arguments
      `(#:cargo-inputs
        (("rust-byteorder" ,rust-byteorder-1)
@@ -58050,13 +58252,13 @@ (define-public rust-try-lock-0.2
     (name "rust-try-lock")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "try-lock" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "10p36rx6pqi9d0zr876xa8vksx2m66ha45myakl50rn08dxyn176"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "try-lock" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "10p36rx6pqi9d0zr876xa8vksx2m66ha45myakl50rn08dxyn176"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/seanmonstar/try-lock")
     (synopsis "Lightweight atomic lock")
@@ -58221,14 +58423,14 @@ (define-public rust-tuikit-0.2
     (name "rust-tuikit")
     (version "0.2.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "tuikit" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19f3jp12kqcx7aaykxbaj1j17zahd4drv049agpxaminr63w2sw4"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tuikit" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19f3jp12kqcx7aaykxbaj1j17zahd4drv049agpxaminr63w2sw4"))))
     (arguments
      `(#:tests? #f  ; tests fail in the build environment.
        #:cargo-inputs
@@ -58316,20 +58518,20 @@ (define-public rust-twoway-0.1
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-		"1lbf64snscr3vz71jbl6i2c8zr2ndsiqbk6316z39fj1a8mipcar"))))))
+         "1lbf64snscr3vz71jbl6i2c8zr2ndsiqbk6316z39fj1a8mipcar"))))))
 
 (define-public rust-typeable-0.1
   (package
     (name "rust-typeable")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "typeable" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "11w8dywgnm32hb291izjvh4zjd037ccnkk77ahk63l913zwzc40l"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "typeable" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "11w8dywgnm32hb291izjvh4zjd037ccnkk77ahk63l913zwzc40l"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/reem/rust-typeable")
     (synopsis "Exposes Typeable, for getting TypeIds at runtime")
@@ -58408,13 +58610,13 @@ (define-public rust-typemap-0.3
     (name "rust-typemap")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "typemap" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1xm1gbvz9qisj1l6d36hrl9pw8imr8ngs6qyanjnsad3h0yfcfv5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "typemap" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1xm1gbvz9qisj1l6d36hrl9pw8imr8ngs6qyanjnsad3h0yfcfv5"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -58430,13 +58632,13 @@ (define-public rust-typenum-1
     (name "rust-typenum")
     (version "1.12.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "typenum" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0cvbksljz61ian21fnn0h51kphl0pwpzb932bv4s0rwy1wh8lg1p"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "typenum" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0cvbksljz61ian21fnn0h51kphl0pwpzb932bv4s0rwy1wh8lg1p"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/paholg/typenum")
     (synopsis "Rust library for type-level numbers evaluated at compile time")
@@ -58478,13 +58680,13 @@ (define-public rust-ucd-trie-0.1
     (name "rust-ucd-trie")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ucd-trie" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1hh6kyzh5xygwy96wfmsf8v8czlzhps2lgbcyhj1xzy1w1xys04g"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ucd-trie" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1hh6kyzh5xygwy96wfmsf8v8czlzhps2lgbcyhj1xzy1w1xys04g"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -58501,13 +58703,13 @@ (define-public rust-ucd-util-0.1
     (name "rust-ucd-util")
     (version "0.1.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ucd-util" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "13ng291mkc9b132jjf4laj76f5nqm5qd2447rm8bry3wxbdc5kaw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ucd-util" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "13ng291mkc9b132jjf4laj76f5nqm5qd2447rm8bry3wxbdc5kaw"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/BurntSushi/ucd-generate")
     (synopsis "library for working with the Unicode character database")
@@ -58650,22 +58852,22 @@ (define-public rust-ungrammar-1
     (name "rust-ungrammar")
     (version "1.13.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ungrammar" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "17wm4b5r3z5hqail6p609nii37y3j8dr4bxg8x0bkhkc2wa06xkn"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ungrammar" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "17wm4b5r3z5hqail6p609nii37y3j8dr4bxg8x0bkhkc2wa06xkn"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/matklad/ungrammar")
+     "https://github.com/matklad/ungrammar")
     (synopsis
-      "DSL for describing concrete syntax trees")
+     "DSL for describing concrete syntax trees")
     (description
-      "This package provides a DSL for describing concrete syntax trees.")
+     "This package provides a DSL for describing concrete syntax trees.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-unic-char-property-0.9
@@ -58815,14 +59017,14 @@ (define-public rust-unicase-2
     (name "rust-unicase")
     (version "2.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "unicase" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1xmlbink4ycgxrkjspp0mf7pghcx4m7vxq7fpfm04ikr2zk7pwsh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unicase" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1xmlbink4ycgxrkjspp0mf7pghcx4m7vxq7fpfm04ikr2zk7pwsh"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -58840,14 +59042,14 @@ (define-public rust-unicase-1
     (name "rust-unicase")
     (version "1.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "unicase" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0cwazh4qsmm9msckjk86zc1z35xg7hjxjykrgjalzdv367w6aivz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unicase" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0cwazh4qsmm9msckjk86zc1z35xg7hjxjykrgjalzdv367w6aivz"))))
     (arguments
      `(#:cargo-inputs
        (("rust-heapsize" ,rust-heapsize-0.3)
@@ -58958,13 +59160,13 @@ (define-public rust-unicode-width-0.1
     (name "rust-unicode-width")
     (version "0.1.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "unicode-width" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0wq9wl69wlp6zwlxp660g9p4hm5gk91chwk14dp1gl9bxba45mry"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unicode-width" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0wq9wl69wlp6zwlxp660g9p4hm5gk91chwk14dp1gl9bxba45mry"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -58983,14 +59185,14 @@ (define-public rust-unicode-xid-0.2
     (name "rust-unicode-xid")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "unicode-xid" version))
-        (file-name
-          (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0r6mknipyy9vpz8mwmxvkx65ff2ha1n2pxqjj6f46lcn8yrhpzpp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unicode-xid" version))
+       (file-name
+        (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0r6mknipyy9vpz8mwmxvkx65ff2ha1n2pxqjj6f46lcn8yrhpzpp"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/unicode-rs/unicode-xid")
     (synopsis "Determine Unicode XID related properties")
@@ -59004,13 +59206,13 @@ (define-public rust-unicode-xid-0.1
     (name "rust-unicode-xid")
     (version "0.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "unicode-xid" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1z57lqh4s18rr4x0j4fw4fmp9hf9346h0kmdgqsqx0fhjr3k0wpw"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unicode-xid" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1z57lqh4s18rr4x0j4fw4fmp9hf9346h0kmdgqsqx0fhjr3k0wpw"))))))
 
 (define-public rust-unicode-xid-0.0
   (package
@@ -59032,12 +59234,12 @@ (define-public rust-unindent-0.1
     (name "rust-unindent")
     (version "0.1.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "unindent" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "1is1gmx1l89z426rn3xsi0mii4vhy2imhqmhx8x2pd8mji6y0kpi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unindent" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1is1gmx1l89z426rn3xsi0mii4vhy2imhqmhx8x2pd8mji6y0kpi"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/dtolnay/indoc")
     (synopsis "Remove a column of leading whitespace from a string")
@@ -59091,14 +59293,14 @@ (define-public rust-unix-socket-0.5
     (name "rust-unix-socket")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "unix_socket" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0r0mxf3mmqvimnx4mpks1f6c4haj6jcxc0k9bs7w61f42w2718ka"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unix_socket" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0r0mxf3mmqvimnx4mpks1f6c4haj6jcxc0k9bs7w61f42w2718ka"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -59115,13 +59317,13 @@ (define-public rust-unreachable-1
     (name "rust-unreachable")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "unreachable" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0mps2il4xy2mjqc3appas27hhn2xmvixc3bzzhfrjj74gy3i0a1q"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unreachable" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0mps2il4xy2mjqc3appas27hhn2xmvixc3bzzhfrjj74gy3i0a1q"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -59138,13 +59340,13 @@ (define-public rust-unsafe-any-0.4
     (name "rust-unsafe-any")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "unsafe-any" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0zwwphsqkw5qaiqmjwngnfpv9ym85qcsyj7adip9qplzjzbn00zk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "unsafe-any" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0zwwphsqkw5qaiqmjwngnfpv9ym85qcsyj7adip9qplzjzbn00zk"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -59180,13 +59382,13 @@ (define-public rust-untrusted-0.7
     (name "rust-untrusted")
     (version "0.7.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "untrusted" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0jkbqaj9d3v5a91pp3wp9mffvng1nhycx6sh4qkdd9qyr62ccmm1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "untrusted" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0jkbqaj9d3v5a91pp3wp9mffvng1nhycx6sh4qkdd9qyr62ccmm1"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/briansmith/untrusted")
     (synopsis "Zero-allocation parsing of untrusted inputs in Rust")
@@ -59361,23 +59563,23 @@ (define-public rust-urlencoding-1
     (license license:expat)))
 
 (define-public rust-urlocator-0.1
- (package
-   (name "rust-urlocator")
-   (version "0.1.3")
-   (source
-    (origin
-      (method url-fetch)
-      (uri (crate-uri "urlocator" version))
-      (file-name
-       (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32
-        "0r5ig00np3svjpvb1gha3ni798cwj2w7rnlwrc8jrrw7bvlb2yri"))))
-   (build-system cargo-build-system)
-   (home-page "https://github.com/alacritty/urlocator")
-   (synopsis "Locate URLs in character streams")
-   (description "Locate URLs in character streams.")
-   (license (list license:expat license:asl2.0))))
+  (package
+    (name "rust-urlocator")
+    (version "0.1.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "urlocator" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0r5ig00np3svjpvb1gha3ni798cwj2w7rnlwrc8jrrw7bvlb2yri"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/alacritty/urlocator")
+    (synopsis "Locate URLs in character streams")
+    (description "Locate URLs in character streams.")
+    (license (list license:expat license:asl2.0))))
 
 (define-public rust-user32-sys-0.2
   (package
@@ -59441,14 +59643,14 @@ (define-public rust-users-0.10
     (name "rust-users")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "users" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "11plda5r3dl8hs0sl0jskazam4ayv3a06vmhzk4l7914agljfhma"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "users" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "11plda5r3dl8hs0sl0jskazam4ayv3a06vmhzk4l7914agljfhma"))))
     (arguments
      `(#:cargo-inputs
        (("rust-libc" ,rust-libc-0.2)
@@ -59462,14 +59664,14 @@ (define-public rust-users-0.9
     (name "rust-users")
     (version "0.9.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "users" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1kxl3y2hcrqqip7jpqn5mz7xlpbwmmpfmaza0xnyrhx0mrkl4by7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "users" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1kxl3y2hcrqqip7jpqn5mz7xlpbwmmpfmaza0xnyrhx0mrkl4by7"))))
     (arguments
      `(#:cargo-inputs (("rust-libc" ,rust-libc-0.2))))))
 
@@ -59597,14 +59799,14 @@ (define-public rust-uuid-0.8
     (name "rust-uuid")
     (version "0.8.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "uuid" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1dy4ldcp7rnzjy56dxh7d2sgrcvn4q77y0a8r0a48946h66zjp5w"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "uuid" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1dy4ldcp7rnzjy56dxh7d2sgrcvn4q77y0a8r0a48946h66zjp5w"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -59735,13 +59937,13 @@ (define-public rust-vcpkg-0.2
     (name "rust-vcpkg")
     (version "0.2.11")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "vcpkg" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1yvrd2b97j4hv5bfhcj3al0dpkbzkdsr6dclxqz3zqm50rhwl2xh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "vcpkg" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1yvrd2b97j4hv5bfhcj3al0dpkbzkdsr6dclxqz3zqm50rhwl2xh"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; Tests want mysql, harfbuzz, graphite2.
@@ -59779,13 +59981,13 @@ (define-public rust-vec-map-0.8
     (name "rust-vec-map")
     (version "0.8.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "vec_map" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1481w9g1dw9rxp3l6snkdqihzyrd2f8vispzqmwjwsdyhw8xzggi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "vec_map" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1481w9g1dw9rxp3l6snkdqihzyrd2f8vispzqmwjwsdyhw8xzggi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -59802,14 +60004,14 @@ (define-public rust-vecmath-1
     (name "rust-vecmath")
     (version "1.0.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "vecmath" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0shmj76rj7rqv377vy365xwr5rx23kxqgkqxxrymdjjvv3hf2slm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "vecmath" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0shmj76rj7rqv377vy365xwr5rx23kxqgkqxxrymdjjvv3hf2slm"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -59827,14 +60029,14 @@ (define-public rust-vergen-3
     (name "rust-vergen")
     (version "3.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "vergen" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1jrr0wihm9si98qz8ghjfnalfvmfv8rqvkgj2npqa7yzjs4hvrac"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "vergen" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1jrr0wihm9si98qz8ghjfnalfvmfv8rqvkgj2npqa7yzjs4hvrac"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -59852,12 +60054,12 @@ (define-public rust-version-check-0.9
     (name "rust-version-check")
     (version "0.9.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "version_check" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32 "1vbaqdf802qinsq8q20w8w0qn2pv0rkq5p73ijcblrwxcvjp5adm"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "version_check" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32 "1vbaqdf802qinsq8q20w8w0qn2pv0rkq5p73ijcblrwxcvjp5adm"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/SergioBenitez/version_check")
     (synopsis "Check that the installed rustc meets some version requirements")
@@ -59876,13 +60078,13 @@ (define-public rust-version-check-0.1
     (name "rust-version-check")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "version_check" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1pf91pvj8n6akh7w6j5ypka6aqz08b3qpzgs0ak2kjf4frkiljwi"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "version_check" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1pf91pvj8n6akh7w6j5ypka6aqz08b3qpzgs0ak2kjf4frkiljwi"))))))
 
 (define-public rust-version-compare-0.0
   (package
@@ -59909,14 +60111,14 @@ (define-public rust-version-sync-0.8
     (name "rust-version-sync")
     (version "0.8.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "version-sync" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "01pq0ia7ak7d69c3chjgdmaaq271yrspgbzmk6wmrwb74hx3skw4"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "version-sync" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "01pq0ia7ak7d69c3chjgdmaaq271yrspgbzmk6wmrwb74hx3skw4"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -59943,19 +60145,19 @@ (define-public rust-version-sync-0.6
     (name "rust-version-sync")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "version-sync" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0n33s4s4k9sy7rhlrf9lwwyqkjrgwnpfjsz0xzhfh3d3w33jaiq8"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (substitute* "Cargo.toml"
-                   (("~1.1") "1.1"))
-                 #t))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "version-sync" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0n33s4s4k9sy7rhlrf9lwwyqkjrgwnpfjsz0xzhfh3d3w33jaiq8"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (substitute* "Cargo.toml"
+                  (("~1.1") "1.1"))
+                #t))))
     (arguments
      `(#:cargo-inputs
        (("rust-itertools" ,rust-itertools-0.7)
@@ -59997,13 +60199,13 @@ (define-public rust-void-1
     (name "rust-void")
     (version "1.0.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "void" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0zc8f0ksxvmhvgx4fdg0zyn6vdnbxd2xv9hfx4nhzg6kbs4f80ka"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "void" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0zc8f0ksxvmhvgx4fdg0zyn6vdnbxd2xv9hfx4nhzg6kbs4f80ka"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/reem/rust-void")
     (synopsis "Void type for use in statically impossible cases")
@@ -60188,14 +60390,14 @@ (define-public rust-walkdir-2
     (name "rust-walkdir")
     (version "2.3.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "walkdir" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0mnszy33685v8y9js8mw6x2p3iddqs8vfj7n2dhqddnlbirz5340"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "walkdir" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0mnszy33685v8y9js8mw6x2p3iddqs8vfj7n2dhqddnlbirz5340"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -60407,19 +60609,19 @@ (define-public rust-wasm-bindgen-0.2
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
-      (("rust-cfg-if" ,rust-cfg-if-1)
-       ("rust-serde" ,rust-serde-1)
-       ("rust-serde-json" ,rust-serde-json-1)
-       ("rust-wasm-bindgen-macro" ,rust-wasm-bindgen-macro-0.2))
-      #:cargo-development-inputs
-      (("rust-js-sys" ,rust-js-sys-0.3)
-       ("rust-serde-derive" ,rust-serde-derive-1)
-       ("rust-wasm-bindgen-futures" ,rust-wasm-bindgen-futures-0.4)
-       ("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.3)
-       ("rust-wasm-bindgen-test-crate-a"
-        ,rust-wasm-bindgen-test-crate-a-0.1)
-       ("rust-wasm-bindgen-test-crate-b"
-        ,rust-wasm-bindgen-test-crate-b-0.1))))
+       (("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-wasm-bindgen-macro" ,rust-wasm-bindgen-macro-0.2))
+       #:cargo-development-inputs
+       (("rust-js-sys" ,rust-js-sys-0.3)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-wasm-bindgen-futures" ,rust-wasm-bindgen-futures-0.4)
+        ("rust-wasm-bindgen-test" ,rust-wasm-bindgen-test-0.3)
+        ("rust-wasm-bindgen-test-crate-a"
+         ,rust-wasm-bindgen-test-crate-a-0.1)
+        ("rust-wasm-bindgen-test-crate-b"
+         ,rust-wasm-bindgen-test-crate-b-0.1))))
     (home-page "https://rustwasm.github.io/")
     (synopsis "Easy support for interacting between JS and Rust")
     (description
@@ -60460,14 +60662,14 @@ (define-public rust-wasm-bindgen-console-logger-0.1
     (name "rust-wasm-bindgen-console-logger")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wasm-bindgen-console-logger" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1vc506dhrk2yl0snkcn45s5adndq9wj7ipxb7awbbxzswxss4c3m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasm-bindgen-console-logger" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1vc506dhrk2yl0snkcn45s5adndq9wj7ipxb7awbbxzswxss4c3m"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -60601,13 +60803,13 @@ (define-public rust-wasm-bindgen-shared-0.2
     (name "rust-wasm-bindgen-shared")
     (version "0.2.69")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wasm-bindgen-shared" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0n3ir6gq27np22l6m96y342a6fphk1pkbzbfqx6g364kgzfi2y3y"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasm-bindgen-shared" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0n3ir6gq27np22l6m96y342a6fphk1pkbzbfqx6g364kgzfi2y3y"))))
     (build-system cargo-build-system)
     (home-page "https://rustwasm.github.io/wasm-bindgen/")
     (synopsis "Shared support between wasm-bindgen and wasm-bindgen cli")
@@ -60747,13 +60949,13 @@ (define-public rust-wasm-bindgen-test-macro-0.2
     (name "rust-wasm-bindgen-test-macro")
     (version "0.2.50")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wasm-bindgen-test-macro" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "19bvmw8mqlwh6wkbzgs3cnlkywrv8q2kkqggz6y0p158930xm287"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wasm-bindgen-test-macro" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "19bvmw8mqlwh6wkbzgs3cnlkywrv8q2kkqggz6y0p158930xm287"))))
     (arguments
      `(#:cargo-inputs
        (("rust-proc-macro2" ,rust-proc-macro2-0.4)
@@ -60928,14 +61130,14 @@ (define-public rust-webpki-0.19
     (name "rust-webpki")
     (version "0.19.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "webpki" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "10nhyxlqsa4caxlxrijm5h79rdg6ld8hqy78ldjnnfhaj3biqzjg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "webpki" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "10nhyxlqsa4caxlxrijm5h79rdg6ld8hqy78ldjnnfhaj3biqzjg"))))
     (arguments
      `(#:tests? #f  ; tests fail to build "missing file tests/ed25519/ee.der"
        #:cargo-inputs
@@ -61040,9 +61242,9 @@ (define-public rust-webpki-roots-0.17
      (origin
        (method url-fetch)
        (uri (crate-uri "webpki-roots" version))
-      (file-name (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32 "12vi8dh0yik0h4f0b9dnlw5i3gxyky7iblbksh6zcq4xvlvswqm2"))))))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "12vi8dh0yik0h4f0b9dnlw5i3gxyky7iblbksh6zcq4xvlvswqm2"))))))
 
 (define-public rust-webpki-roots-0.16
   (package
@@ -61050,14 +61252,14 @@ (define-public rust-webpki-roots-0.16
     (name "rust-webpki-roots")
     (version "0.16.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "webpki-roots" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "03ny02mwqdgd2ff23k03kbwr2rrcaymxhp7jcjjikfh340hs83y1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "webpki-roots" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03ny02mwqdgd2ff23k03kbwr2rrcaymxhp7jcjjikfh340hs83y1"))))
     (arguments
      `(#:cargo-inputs
        (("rust-untrusted" ,rust-untrusted-0.6)
@@ -61092,9 +61294,9 @@ (define-public rust-webpki-roots-0.14
      (origin
        (method url-fetch)
        (uri (crate-uri "webpki-roots" version))
-      (file-name (string-append name "-" version ".tar.gz"))
-      (sha256
-       (base32 "05zw919077i3jadbvdsvl69wv2siijg2pjbykl6fyi7hmgb7bggd"))))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "05zw919077i3jadbvdsvl69wv2siijg2pjbykl6fyi7hmgb7bggd"))))
     (arguments
      `(#:cargo-inputs
        (("rust-untrusted" ,rust-untrusted-0.6)
@@ -61220,19 +61422,19 @@ (define-public rust-which-3
     (name "rust-which")
     (version "3.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "which" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "094pw9pi48szshn9ln69z2kg7syq1jp80h5ps1qncbsaw4d0f4fh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "which" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "094pw9pi48szshn9ln69z2kg7syq1jp80h5ps1qncbsaw4d0f4fh"))))
     (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-failure" ,rust-failure-0.1)
-         ("rust-libc" ,rust-libc-0.2))))))
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-failure" ,rust-failure-0.1)
+        ("rust-libc" ,rust-libc-0.2))))))
 
 (define-public rust-which-2
   (package
@@ -61302,14 +61504,14 @@ (define-public rust-wide-0.4
     (name "rust-wide")
     (version "0.4.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wide" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ad75vnzygj8qfcl1l9n4wi93xmqzvhqlpqn4hfayrwbn6wa69aq"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wide" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ad75vnzygj8qfcl1l9n4wi93xmqzvhqlpqn4hfayrwbn6wa69aq"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -61346,13 +61548,13 @@ (define-public rust-widestring-0.4
     (name "rust-widestring")
     (version "0.4.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "widestring" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "13565qy4jhpg4x0xw8mwxzzsh0p8c93p5208lh6kpwp0q01y6qx7"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "widestring" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "13565qy4jhpg4x0xw8mwxzzsh0p8c93p5208lh6kpwp0q01y6qx7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -61393,13 +61595,13 @@ (define-public rust-winapi-0.3
     (name "rust-winapi")
     (version "0.3.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "06gl025x418lchw1wxj64ycr7gha83m44cjr5sarhynd9xkrm0sw"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "06gl025x418lchw1wxj64ycr7gha83m44cjr5sarhynd9xkrm0sw"))))
     (build-system cargo-build-system)
     ;; This package depends unconditionally on these two crates.
     (arguments
@@ -61422,13 +61624,13 @@ (define-public rust-winapi-0.2
     (name "rust-winapi")
     (version "0.2.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0yh816lh6lf56dpsgxy189c2ai1z3j8mw9si6izqb6wsjkbcjz8n"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0yh816lh6lf56dpsgxy189c2ai1z3j8mw9si6izqb6wsjkbcjz8n"))))
     (arguments '(#:skip-build? #t))))
 
 (define-public rust-winapi-build-0.1
@@ -61436,13 +61638,13 @@ (define-public rust-winapi-build-0.1
     (name "rust-winapi-build")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi-build" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1g4rqsgjky0a7530qajn2bbfcrl2v0zb39idgdws9b1l7gp5wc9d"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi-build" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1g4rqsgjky0a7530qajn2bbfcrl2v0zb39idgdws9b1l7gp5wc9d"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/retep998/winapi-rs")
     (synopsis "Common code for build.rs in WinAPI -sys crates")
@@ -61455,17 +61657,17 @@ (define-public rust-winapi-i686-pc-windows-gnu-0.4
     (name "rust-winapi-i686-pc-windows-gnu")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi-i686-pc-windows-gnu" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1dmpa6mvcvzz16zg6d5vrfy4bxgg541wxrcip7cnshi06v38ffxc"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (for-each delete-file (find-files "." "\\.a$"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi-i686-pc-windows-gnu" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1dmpa6mvcvzz16zg6d5vrfy4bxgg541wxrcip7cnshi06v38ffxc"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (for-each delete-file (find-files "." "\\.a$"))))))
     (build-system cargo-build-system)
     (home-page "https://github.com/retep998/winapi-rs")
     (synopsis "Import libraries for the i686-pc-windows-gnu target")
@@ -61480,13 +61682,13 @@ (define-public rust-winapi-util-0.1
     (name "rust-winapi-util")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi-util" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0y71bp7f6d536czj40dhqk0d55wfbbwqfp2ymqf1an5ibgl6rv3h"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi-util" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0y71bp7f6d536czj40dhqk0d55wfbbwqfp2ymqf1an5ibgl6rv3h"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-winapi" ,rust-winapi-0.3))))
@@ -61503,17 +61705,17 @@ (define-public rust-winapi-x86-64-pc-windows-gnu-0.4
     (name "rust-winapi-x86-64-pc-windows-gnu")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winapi-x86_64-pc-windows-gnu" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0gqq64czqb64kskjryj8isp62m2sgvx25yyj3kpc2myh85w24bki"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin
-            (for-each delete-file (find-files "." "\\.a$"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winapi-x86_64-pc-windows-gnu" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0gqq64czqb64kskjryj8isp62m2sgvx25yyj3kpc2myh85w24bki"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           (for-each delete-file (find-files "." "\\.a$"))))))
     (build-system cargo-build-system)
     (home-page "https://github.com/retep998/winapi-rs")
     (synopsis "Import libraries for the x86_64-pc-windows-gnu target")
@@ -61528,13 +61730,13 @@ (define-public rust-wincolor-1
     (name "rust-wincolor")
     (version "1.0.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wincolor" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "017x33ljndwc76cp5z9llgndn0nh7v8jcjaykbizkawmwy9n3pyp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wincolor" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "017x33ljndwc76cp5z9llgndn0nh7v8jcjaykbizkawmwy9n3pyp"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -61570,26 +61772,26 @@ (define-public rust-win-crypto-ng-0.4
     (name "rust-win-crypto-ng")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "win-crypto-ng" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0v26ssjip8fdilj1j6csnvcny98gb90ra1qlnm2xwjlgivlr5kr4"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-cipher" ,rust-cipher-0.2)
-         ("rust-doc-comment" ,rust-doc-comment-0.3)
-         ("rust-rand-core" ,rust-rand-core-0.5)
-         ("rust-winapi" ,rust-winapi-0.3)
-         ("rust-zeroize" ,rust-zeroize-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "win-crypto-ng" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0v26ssjip8fdilj1j6csnvcny98gb90ra1qlnm2xwjlgivlr5kr4"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-cipher" ,rust-cipher-0.2)
+        ("rust-doc-comment" ,rust-doc-comment-0.3)
+        ("rust-rand-core" ,rust-rand-core-0.5)
+        ("rust-winapi" ,rust-winapi-0.3)
+        ("rust-zeroize" ,rust-zeroize-1))))
     (home-page "https://crates.io/crates/win-crypto-ng")
     (synopsis "Safe bindings to MS Windows Cryptography API Next
 Generation")
     (description
-      "Cryptography API Next Generation (CNG) are cryptographic
+     "Cryptography API Next Generation (CNG) are cryptographic
 primitives and utilities provided by the operating system and/or
 hardware.  It is available since Windows Vista and replaces the now
 deprecated CryptoAPI.
@@ -61726,13 +61928,13 @@ (define-public rust-winutil-0.1
     (name "rust-winutil")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "winutil" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0vkyl3fbbf05n5ph5yz8sfaccrk9x3qsr25560w6w68ldf5i7bvx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "winutil" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0vkyl3fbbf05n5ph5yz8sfaccrk9x3qsr25560w6w68ldf5i7bvx"))))
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -61773,22 +61975,22 @@ (define-public rust-write-json-0.1
     (name "rust-write-json")
     (version "0.1.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "write-json" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1qxr1xwwyf7rd270rvjlcssm515pikf0sg70wpiymz4miy29l1h6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "write-json" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1qxr1xwwyf7rd270rvjlcssm515pikf0sg70wpiymz4miy29l1h6"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page
-      "https://github.com/matklad/write-json")
+     "https://github.com/matklad/write-json")
     (synopsis
-      "Simple {dependency,trait,macro}-less JSON serialization")
+     "Simple {dependency,trait,macro}-less JSON serialization")
     (description
-      "This package provides a simple {dependency,trait,macro}-less JSON
+     "This package provides a simple {dependency,trait,macro}-less JSON
 serialization.")
     (license (list license:expat license:asl2.0))))
 
@@ -61797,13 +61999,13 @@ (define-public rust-ws2-32-sys-0.2
     (name "rust-ws2-32-sys")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "ws2_32-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0ppscg5qfqaw0gzwv2a4nhn5bn01ff9iwn6ysqnzm4n8s3myz76m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ws2_32-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0ppscg5qfqaw0gzwv2a4nhn5bn01ff9iwn6ysqnzm4n8s3myz76m"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -61821,13 +62023,13 @@ (define-public rust-wyhash-0.5
     (name "rust-wyhash")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wyhash" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32 "15f26hvx6nyp4d6iswha7rm3psidxa2k2iab1f1aqgsyq9iy3xms"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wyhash" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "15f26hvx6nyp4d6iswha7rm3psidxa2k2iab1f1aqgsyq9iy3xms"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -61844,14 +62046,14 @@ (define-public rust-wyz-0.2
     (name "rust-wyz")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wyz" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "05028bk49b2ix1lz22sj65fnlxr0f29j2klkaqjxp6az3c6hprl5"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wyz" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05028bk49b2ix1lz22sj65fnlxr0f29j2klkaqjxp6az3c6hprl5"))))
     (build-system cargo-build-system)
     (home-page "https://myrrlyn.net/crates/wyz")
     (synopsis "Collection of utility functions")
@@ -61900,13 +62102,13 @@ (define-public rust-xattr-0.2
     (name "rust-xattr")
     (version "0.2.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "xattr" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0k556fb6f5jc907975j9c8iynl2fqz3rf0w6fiig83i4yi0kfk14"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "xattr" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0k556fb6f5jc907975j9c8iynl2fqz3rf0w6fiig83i4yi0kfk14"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -62003,26 +62205,26 @@ (define-public rust-xflags-macros-0.2
     (name "rust-xflags-macros")
     (version "0.2.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "xflags-macros" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1jb2bq76kzzmq5rdyi3hzkq6x41l11fr1yn00f5ib5j9l4y7s0y8"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-proc-macro2" ,rust-proc-macro2-1))
-        #:cargo-development-inputs
-        (("rust-expect-test" ,rust-expect-test-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "xflags-macros" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1jb2bq76kzzmq5rdyi3hzkq6x41l11fr1yn00f5ib5j9l4y7s0y8"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-proc-macro2" ,rust-proc-macro2-1))
+       #:cargo-development-inputs
+       (("rust-expect-test" ,rust-expect-test-1))))
     (home-page "https://github.com/matklad/xflags")
     (synopsis
-      "Private implementation details of xflags")
+     "Private implementation details of xflags")
     (description
-      "This package provides a private implementation details of xflags.")
+     "This package provides a private implementation details of xflags.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-xflags-0.2
@@ -62108,14 +62310,14 @@ (define-public rust-xml5ever-0.16
     (name "rust-xml5ever")
     (version "0.16.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "xml5ever" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0nbapmdrn4zqry5p01l2mmbb48fcq0gga377p1c4lkb1x3k546qb"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "xml5ever" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nbapmdrn4zqry5p01l2mmbb48fcq0gga377p1c4lkb1x3k546qb"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -62400,14 +62602,14 @@ (define-public rust-zoneinfo-compiled-0.4
     (name "rust-zoneinfo-compiled")
     (version "0.4.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "zoneinfo_compiled" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0bnm19w791q6kp79s0zl1cj9w51bw5xrifrxfy3g1p05i676y4vf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "zoneinfo_compiled" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0bnm19w791q6kp79s0zl1cj9w51bw5xrifrxfy3g1p05i676y4vf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -62598,19 +62800,19 @@ (define-public rust-packed-struct
     (name "rust-packed-struct")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "packed_struct" version))
-        (file-name
-	  (string-append name "-" version ".tar.gz"))
-        (sha256
-	  (base32
-	    "10b2fmxchmcigwagnhi42frj74dl02wyv0xwmbr9839qfh7gijlh"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "packed_struct" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "10b2fmxchmcigwagnhi42frj74dl02wyv0xwmbr9839qfh7gijlh"))))
     (build-system cargo-build-system)
     (arguments
-      `(#:cargo-inputs
-        (("rust-serde" ,rust-serde-1)
-         ("rust-serde-derive" ,rust-serde-derive-1))))
+     `(#:cargo-inputs
+       (("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1))))
     (home-page "http://www.hashmismatch.net/libraries/packed-struct/")
     (synopsis "Binary-level structure packing and unpacking generator")
     (description "This package provides bit-level packing an unpacking
@@ -62811,30 +63013,30 @@ (define-public rust-svd-parser-0.9
     (name "rust-svd-parser")
     (version "0.10.2")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "svd-parser" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1fbr4m9cla6xvmrib7pad9hv29sn2d5hjbc77pz12lwzmm2pczk9"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:cargo-inputs
-        (("rust-anyhow" ,rust-anyhow-1)
-         ("rust-once-cell" ,rust-once-cell-1)
-         ("rust-rayon" ,rust-rayon-1)
-         ("rust-regex" ,rust-regex-1)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-thiserror" ,rust-thiserror-1)
-         ("rust-xmltree" ,rust-xmltree-0.8))
-        #:cargo-development-inputs
-        (("rust-serde-json" ,rust-serde-json-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "svd-parser" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fbr4m9cla6xvmrib7pad9hv29sn2d5hjbc77pz12lwzmm2pczk9"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-once-cell" ,rust-once-cell-1)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-thiserror" ,rust-thiserror-1)
+        ("rust-xmltree" ,rust-xmltree-0.8))
+       #:cargo-development-inputs
+       (("rust-serde-json" ,rust-serde-json-1))))
     (home-page "https://github.com/rust-embedded/svd")
     (synopsis "A CMSIS-SVD file parser")
     (description
-      "This package provides a CMSIS-SVD file parser")
+     "This package provides a CMSIS-SVD file parser")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-sxd-document-0.3
@@ -62933,20 +63135,20 @@ (define-public rust-inflections-1
     (name "rust-inflections")
     (version "1.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "inflections" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0yl3gas612q25c72lwf04405i87yxr02vgv3ckcnz2fyvhpmhmx2"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "inflections" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0yl3gas612q25c72lwf04405i87yxr02vgv3ckcnz2fyvhpmhmx2"))))
     (build-system cargo-build-system)
     (home-page #f)
     (synopsis
-      "High performance inflection transformation library for changing properties of words like the case.")
+     "High performance inflection transformation library for changing properties of words like the case.")
     (description
-      "High performance inflection transformation library for changing properties of words like the case.")
+     "High performance inflection transformation library for changing properties of words like the case.")
     (license license:expat)))
 
 (define-public rust-rustc-workspace-hack-1
@@ -62974,81 +63176,81 @@ (define-public skim
     (name "skim")
     (version "0.9.4")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "skim" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1d5v9vq8frkdjm7bnw3455h6xf3c277d51il2qasn7r20kwik7ab"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:cargo-inputs
-        (("rust-atty-0.2" ,rust-atty-0.2)
-         ("rust-beef" ,rust-beef-0.5)
-         ("rust-bitflags" ,rust-bitflags-1)
-         ("rust-chrono" ,rust-chrono-0.4)
-         ("rust-clap" ,rust-clap-2)
-         ("rust-crossbeam" ,rust-crossbeam-0.8)
-         ("rust-defer-drop" ,rust-defer-drop-1)
-         ("rust-derive-builder" ,rust-derive-builder-0.9)
-         ("rust-env-logger" ,rust-env-logger-0.8)
-         ("rust-fuzzy-matcher" ,rust-fuzzy-matcher-0.3)
-         ("rust-lazy-static" ,rust-lazy-static-1)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-nix" ,rust-nix-0.19)
-         ("rust-rayon" ,rust-rayon-1)
-         ("rust-regex" ,rust-regex-1)
-         ("rust-shlex" ,rust-shlex-0.1)
-         ("rust-time" ,rust-time-0.2)
-         ("rust-timer" ,rust-timer-0.2)
-         ("rust-tuikit" ,rust-tuikit-0.4)
-         ("rust-unicode-width" ,rust-unicode-width-0.1)
-         ("rust-vte" ,rust-vte-0.9))
-        #:phases
-        (modify-phases %standard-phases
-          (add-after 'install 'install-extras
-            (lambda* (#:key outputs #:allow-other-keys)
-              (let* ((out (assoc-ref outputs "out"))
-                     (bin (string-append out "/bin"))
-                     (share (string-append out "/share"))
-                     (man (string-append out "/share/man"))
-                     (vimfiles (string-append share "/vim/vimfiles/plugin"))
-                     (bash-completion
-                      (string-append share "/bash-completions/completions"))
-                     (zsh-site (string-append share "/zsh/site-functions"))
-                     (fish-vendor
-                      (string-append share "/fish/vendor-completions.d")))
-                ;; Binaries
-                (for-each
-                 (lambda (binary) (install-file binary bin))
-                 (find-files "bin"))
-                (mkdir-p share)
-                ;; Manpages
-                (copy-recursively "man" man)
-                ;; Vim plugins
-                (mkdir-p vimfiles)
-                (copy-recursively "plugin" vimfiles)
-                ;; Completions
-                (mkdir-p bash-completion)
-                (copy-file
-                 "shell/completion.bash"
-                 (string-append bash-completion "/skim"))
-                (copy-file
-                 "shell/key-bindings.bash"
-                 (string-append bash-completion "/skim-bindings"))
-                (mkdir-p zsh-site)
-                (copy-file
-                 "shell/completion.zsh"
-                 (string-append zsh-site "/_skim"))
-                (copy-file
-                 "shell/key-bindings.zsh"
-                 (string-append zsh-site "/_skim-bindings"))
-                (mkdir-p fish-vendor)
-                (copy-file
-                 "shell/key-bindings.fish"
-                 (string-append fish-vendor "/skim-bindings.fish"))))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "skim" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1d5v9vq8frkdjm7bnw3455h6xf3c277d51il2qasn7r20kwik7ab"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-atty-0.2" ,rust-atty-0.2)
+        ("rust-beef" ,rust-beef-0.5)
+        ("rust-bitflags" ,rust-bitflags-1)
+        ("rust-chrono" ,rust-chrono-0.4)
+        ("rust-clap" ,rust-clap-2)
+        ("rust-crossbeam" ,rust-crossbeam-0.8)
+        ("rust-defer-drop" ,rust-defer-drop-1)
+        ("rust-derive-builder" ,rust-derive-builder-0.9)
+        ("rust-env-logger" ,rust-env-logger-0.8)
+        ("rust-fuzzy-matcher" ,rust-fuzzy-matcher-0.3)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-nix" ,rust-nix-0.19)
+        ("rust-rayon" ,rust-rayon-1)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-shlex" ,rust-shlex-0.1)
+        ("rust-time" ,rust-time-0.2)
+        ("rust-timer" ,rust-timer-0.2)
+        ("rust-tuikit" ,rust-tuikit-0.4)
+        ("rust-unicode-width" ,rust-unicode-width-0.1)
+        ("rust-vte" ,rust-vte-0.9))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'install 'install-extras
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin (string-append out "/bin"))
+                    (share (string-append out "/share"))
+                    (man (string-append out "/share/man"))
+                    (vimfiles (string-append share "/vim/vimfiles/plugin"))
+                    (bash-completion
+                     (string-append share "/bash-completions/completions"))
+                    (zsh-site (string-append share "/zsh/site-functions"))
+                    (fish-vendor
+                     (string-append share "/fish/vendor-completions.d")))
+               ;; Binaries
+               (for-each
+                (lambda (binary) (install-file binary bin))
+                (find-files "bin"))
+               (mkdir-p share)
+               ;; Manpages
+               (copy-recursively "man" man)
+               ;; Vim plugins
+               (mkdir-p vimfiles)
+               (copy-recursively "plugin" vimfiles)
+               ;; Completions
+               (mkdir-p bash-completion)
+               (copy-file
+                "shell/completion.bash"
+                (string-append bash-completion "/skim"))
+               (copy-file
+                "shell/key-bindings.bash"
+                (string-append bash-completion "/skim-bindings"))
+               (mkdir-p zsh-site)
+               (copy-file
+                "shell/completion.zsh"
+                (string-append zsh-site "/_skim"))
+               (copy-file
+                "shell/key-bindings.zsh"
+                (string-append zsh-site "/_skim-bindings"))
+               (mkdir-p fish-vendor)
+               (copy-file
+                "shell/key-bindings.fish"
+                (string-append fish-vendor "/skim-bindings.fish"))))))))
     (home-page "https://github.com/lotabout/skim")
     (synopsis "Fuzzy Finder in Rust")
     (description "This package provides a fuzzy finder in Rust.")
@@ -63060,14 +63262,14 @@ (define-public skim-0.7
     (name "skim")
     (version "0.7.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "skim" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1yiyd6fml5hd2l811sckkzmiiq9bd7018ajk4qk3ai4wyvqnw8mv"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "skim" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1yiyd6fml5hd2l811sckkzmiiq9bd7018ajk4qk3ai4wyvqnw8mv"))))
     (arguments
      `(#:cargo-inputs
        (("rust-bitflags" ,rust-bitflags-1)
@@ -63096,28 +63298,28 @@ (define-public rust-clap-conf-0.1
     (name "rust-clap-conf")
     (version "0.1.5")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "clap_conf" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1n29wr6ns660hi63mc30zvs7dhidaycw35am9spzknsal3nrs0sn"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:cargo-inputs
-        (("rust-anyhow" ,rust-anyhow-1)
-         ("rust-clap" ,rust-clap-2)
-         ("rust-serde" ,rust-serde-1)
-         ("rust-thiserror" ,rust-thiserror-1)
-         ("rust-toml" ,rust-toml-0.5))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "clap_conf" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1n29wr6ns660hi63mc30zvs7dhidaycw35am9spzknsal3nrs0sn"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-clap" ,rust-clap-2)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-thiserror" ,rust-thiserror-1)
+        ("rust-toml" ,rust-toml-0.5))))
     (home-page
-      "https://github.com/storyfeet/clap_conf")
+     "https://github.com/storyfeet/clap_conf")
     (synopsis
-      "A library to unify commandline arguments with config files and environment variables. And make it easier for users to tell your program how to behave across the three main input sources")
+     "A library to unify commandline arguments with config files and environment variables. And make it easier for users to tell your program how to behave across the three main input sources")
     (description
-      "This package provides a library to unify commandline arguments with config files and environment variables.  And make it easier for users to tell your program how to behave across the three main input sources")
+     "This package provides a library to unify commandline arguments with config files and environment variables.  And make it easier for users to tell your program how to behave across the three main input sources")
     (license license:expat)))
 
 (define-public svd2rust
@@ -63125,32 +63327,585 @@ (define-public svd2rust
     (name "svd2rust")
     (version "0.19.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "svd2rust" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "0q8slfgjfhpljzlk2myb0i538mfq99q1ljn398jm17r1q2pjjxhv"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:cargo-inputs
-        (("rust-anyhow" ,rust-anyhow-1)
-         ("rust-cast" ,rust-cast-0.2)
-         ("rust-clap" ,rust-clap-2)
-         ("rust-clap-conf" ,rust-clap-conf-0.1)
-         ("rust-env-logger" ,rust-env-logger-0.7)
-         ("rust-inflections" ,rust-inflections-1)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-proc-macro2" ,rust-proc-macro2-0.4)
-         ("rust-quote" ,rust-quote-1)
-         ("rust-svd-parser" ,rust-svd-parser-0.9)
-         ("rust-syn" ,rust-syn-1)
-         ("rust-thiserror" ,rust-thiserror-1))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "svd2rust" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0q8slfgjfhpljzlk2myb0i538mfq99q1ljn398jm17r1q2pjjxhv"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-anyhow" ,rust-anyhow-1)
+        ("rust-cast" ,rust-cast-0.2)
+        ("rust-clap" ,rust-clap-2)
+        ("rust-clap-conf" ,rust-clap-conf-0.1)
+        ("rust-env-logger" ,rust-env-logger-0.7)
+        ("rust-inflections" ,rust-inflections-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-proc-macro2" ,rust-proc-macro2-0.4)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-svd-parser" ,rust-svd-parser-0.9)
+        ("rust-syn" ,rust-syn-1)
+        ("rust-thiserror" ,rust-thiserror-1))))
     (home-page #f)
     (synopsis
-      "Generate Rust register maps (`struct`s) from SVD files")
+     "Generate Rust register maps (`struct`s) from SVD files")
     (description
-      "Generate Rust register maps (`struct`s) from SVD files")
+     "Generate Rust register maps (`struct`s) from SVD files")
     (license (list license:expat license:asl2.0))))
+(define-public rust-shell2batch-0.4
+  (package
+    (name "rust-shell2batch")
+    (version "0.4.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "shell2batch" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0r9zfhxmqnrnyk7g590333szfpsjijs2wfwy7ish240w6pp54nhq"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t #:cargo-inputs (("rust-regex" ,rust-regex-1))))
+    (home-page "http://github.com/sagiegurari/shell2batch")
+    (synopsis "Coverts simple basic shell scripts to windows batch scripts.")
+    (description
+     "Coverts simple basic shell scripts to windows batch scripts.")
+    (license license:asl2.0)))
+
+;; NOTE(Krey): Fails to build on rust 1.48, solution is to use 1.52+ (https://github.com/sagiegurari/rust_info/issues/6)
+(define-public rust-rust-info-0.3
+  (package
+    (name "rust-rust-info")
+    (version "0.3.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rust_info" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0g84k1pb3z7cgxild3f81mi8l7az02bjx9xk8wrl7r0m7plra542"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "http://github.com/sagiegurari/rust_info")
+    (synopsis "Extracts the current rust compiler information.")
+    (description "Extracts the current rust compiler information.")
+    (license license:asl2.0)))
+
+(define-public rust-run-script-0.9
+  (package
+    (name "rust-run-script")
+    (version "0.9.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "run_script" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1vz4v1rwaygnmj3wj0iiii8mrc49lvriqy7fhq0v8xkzwc9m5n2x"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t #:cargo-inputs (("rust-fsio" ,rust-fsio-0.3))))
+    (home-page "http://github.com/sagiegurari/run_script")
+    (synopsis "Run shell scripts in rust.")
+    (description "Run shell scripts in rust.")
+    (license license:asl2.0)))
+
+(define-public rust-git-info-0.1
+  (package
+    (name "rust-git-info")
+    (version "0.1.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "git_info" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "17bpdghz2arkv4ddvjq0ni3vy3wwgb0yz3j3jp2v5x3m0dzq86v4"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "http://github.com/sagiegurari/git_info")
+    (synopsis "Extracts git repository information.")
+    (description "Extracts git repository information.")
+    (license license:asl2.0)))
+
+(define-public rust-whoami-1
+  (package
+    (name "rust-whoami")
+    (version "1.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "whoami" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1xzmdsp0d8kvjm99l5a4ly9ivif0dhnf2rw9r7rgnkka4gpcafn3"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-wasm-bindgen" ,rust-wasm-bindgen-0.2)
+        ("rust-web-sys" ,rust-web-sys-0.3))))
+    (home-page "https://github.com/libcala/whoami/blob/main/CHANGELOG.md")
+    (synopsis "Retrieve the current user and environment.")
+    (description "Retrieve the current user and environment.")
+    (license (list license:asl2.0 license:boost1.0 license:expat))))
+
+(define-public rust-uname-0.1
+  (package
+    (name "rust-uname")
+    (version "0.1.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "uname" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1j1xd1rryml4j1hf07kahva9d5ym8m9jz9z20hfdpr1jrbq8jbxp"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t #:cargo-inputs (("rust-libc" ,rust-libc-0.2))))
+    (home-page "https://github.com/icorderi/rust-uname")
+    (synopsis "Name and information about current kernel")
+    (description "Name and information about current kernel")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-java-properties-1
+  (package
+    (name "rust-java-properties")
+    (version "1.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "java-properties" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "01wwq475wxgg90afap19wjaif4wc13wx7bc4cjwwwi6ixlfv3s90"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-encoding" ,rust-encoding-0.2)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-regex" ,rust-regex-1))))
+    (home-page "https://github.com/adamcrume/java-properties")
+    (synopsis
+     "A library for reading and writing Java properties files in Rust.")
+    (description
+     "This package provides a library for reading and writing Java properties files in Rust.")
+    (license license:expat)))
+
+(define-public rust-chrono-0.2
+  (package
+    (name "rust-chrono")
+    (version "0.2.25")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "chrono" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "004wcl3ipliz2dqa316s71qv4rgan5lhx7y4awmmrs97gk6zf4wj"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-num" ,rust-num-0.1)
+        ("rust-rustc-serialize" ,rust-rustc-serialize-0.3)
+        ("rust-serde" ,rust-serde-0.8)
+        ("rust-time" ,rust-time-0.1))))
+    (home-page "https://github.com/chronotope/chrono")
+    (synopsis "Date and time library for Rust")
+    (description "Date and time library for Rust")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-ftp-3
+  (package
+    (name "rust-ftp")
+    (version "3.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ftp" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0pddhc04x6dz0r0k3ry437a3l6idnrybvqq9fk154687s2m52aal"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-chrono" ,rust-chrono-0.2)
+        ("rust-lazy-static" ,rust-lazy-static-0.1)
+        ("rust-openssl" ,rust-openssl-0.9)
+        ("rust-regex" ,rust-regex-0.1))))
+    (home-page "https://github.com/mattnenterprise/rust-ftp")
+    (synopsis "FTP client for Rust")
+    (description "FTP client for Rust")
+    (license (list license:asl2.0 license:expat))))
+
+(define-public rust-wildmatch-2
+  (package
+    (name "rust-wildmatch")
+    (version "2.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wildmatch" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1q6l67q757a71bkzx1waja24hsvwjc7mfby177awxr7p1p98pi6n"))))
+    (build-system cargo-build-system)
+    (arguments `(#:skip-build? #t))
+    (home-page "https://github.com/becheran/wildmatch")
+    (synopsis
+     "Simple string matching  with questionmark and star wildcard operator.")
+    (description
+     "Simple string matching  with questionmark and star wildcard operator.")
+    (license license:expat)))
+
+(define-public rust-webpki-roots-0.22
+  (package
+    (name "rust-webpki-roots")
+    (version "0.22.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "webpki-roots" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0c56xd3sk82grjnm7272hp0lpjq4xhvkl13sf52r68a7dxn7hxf4"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t #:cargo-inputs (("rust-webpki" ,rust-webpki-0.22))))
+    (home-page "https://github.com/rustls/webpki-roots")
+    (synopsis "Mozilla's CA root certificates for use with webpki")
+    (description "Mozilla's CA root certificates for use with webpki")
+    (license license:mpl2.0)))
+
+(define-public rust-webpki-0.22
+  (package
+    (name "rust-webpki")
+    (version "0.22.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "webpki" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1gd1gxip5kgdwmrvhj5gjxij2mgg2mavq1ych4q1h272ja0xg5gh"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-ring" ,rust-ring-0.16)
+        ("rust-untrusted" ,rust-untrusted-0.7))))
+    (home-page "https://github.com/briansmith/webpki")
+    (synopsis "Web PKI X.509 Certificate Verification.")
+    (description "Web PKI X.509 Certificate Verification.")
+    (license (list license:bsd-3 license:isc))))
+
+(define-public rust-sct-0.7
+  (package
+    (name "rust-sct")
+    (version "0.7.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sct" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "193w3dg2pcn7138ab4c586pl76nkryn4h6wqlwvqj5gqr6vwsgfm"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-ring" ,rust-ring-0.16)
+        ("rust-untrusted" ,rust-untrusted-0.7))))
+    (home-page "https://github.com/ctz/sct.rs")
+    (synopsis "Certificate transparency SCT verification library")
+    (description "Certificate transparency SCT verification library")
+    (license (list license:asl2.0 license:isc license:expat))))
+
+(define-public rust-rustls-0.20
+  (package
+    (name "rust-rustls")
+    (version "0.20.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "rustls" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0h30yd2xq6ql6pmipql0fs70pff7kqcfhsfh57ayzq601wgmii6s"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-log" ,rust-log-0.4)
+        ("rust-ring" ,rust-ring-0.16)
+        ("rust-sct" ,rust-sct-0.7)
+        ("rust-webpki" ,rust-webpki-0.22))))
+    (home-page "https://github.com/rustls/rustls")
+    (synopsis "Rustls is a modern TLS library written in Rust.")
+    (description "Rustls is a modern TLS library written in Rust.")
+    (license (list license:asl2.0 license:isc license:expat))))
+
+(define-public rust-attohttpc-0.18
+  (package
+    (name "rust-attohttpc")
+    (version "0.18.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "attohttpc" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0wnh9krbrr1g9ky220b3i30wrisq3qwgzxqln45hfvkykali77p6"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-encoding-rs" ,rust-encoding-rs-0.8)
+        ("rust-encoding-rs-io" ,rust-encoding-rs-io-0.1)
+        ("rust-flate2" ,rust-flate2-1)
+        ("rust-http" ,rust-http-0.2)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-mime" ,rust-mime-0.3)
+        ("rust-multipart" ,rust-multipart-0.18)
+        ("rust-native-tls" ,rust-native-tls-0.2)
+        ("rust-openssl" ,rust-openssl-0.10)
+        ("rust-rustls" ,rust-rustls-0.20)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-serde-urlencoded" ,rust-serde-urlencoded-0.7)
+        ("rust-url" ,rust-url-2)
+        ("rust-webpki" ,rust-webpki-0.22)
+        ("rust-webpki-roots" ,rust-webpki-roots-0.22)
+        ("rust-wildmatch" ,rust-wildmatch-2))))
+    (home-page "https://github.com/sbstp/attohttpc")
+    (synopsis "Small and lightweight HTTP client")
+    (description "Small and lightweight HTTP client")
+    (license license:mpl2.0)))
+
+(define-public rust-duckscriptsdk-0.8
+  (package
+    (name "rust-duckscriptsdk")
+    (version "0.8.8")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "duckscriptsdk" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0c8fdml1c471nhinacf2wzdd5hs30zvpfv4vhgjsnq6jz7f23chr"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-attohttpc" ,rust-attohttpc-0.18)
+        ("rust-base64" ,rust-base64-0.13)
+        ("rust-cfg-if" ,rust-cfg-if-1)
+        ("rust-colored" ,rust-colored-2)
+        ("rust-duckscript" ,rust-duckscript-0.7)
+        ("rust-fs-extra" ,rust-fs-extra-1)
+        ("rust-fsio" ,rust-fsio-0.3)
+        ("rust-ftp" ,rust-ftp-3)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-heck" ,rust-heck-0.3)
+        ("rust-home" ,rust-home-0.5)
+        ("rust-ignore" ,rust-ignore-0.4)
+        ("rust-java-properties" ,rust-java-properties-1)
+        ("rust-meval" ,rust-meval-0.2)
+        ("rust-num-cpus" ,rust-num-cpus-1)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-sha2" ,rust-sha2-0.9)
+        ("rust-uname" ,rust-uname-0.1)
+        ("rust-walkdir" ,rust-walkdir-2)
+        ("rust-which" ,rust-which-4)
+        ("rust-whoami" ,rust-whoami-1))))
+    (home-page "http://github.com/sagiegurari/duckscript")
+    (synopsis "The duckscript SDK.")
+    (description "The duckscript SDK.")
+    (license license:asl2.0)))
+
+(define-public rust-duckscript-0.7
+  (package
+    (name "rust-duckscript")
+    (version "0.7.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "duckscript" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0sa7hpni4al0frrjd5fisb7nfp247rv2hzjpwxbskraqgaqi04lh"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t #:cargo-inputs (("rust-fsio" ,rust-fsio-0.3))))
+    (home-page "http://github.com/sagiegurari/duckscript")
+    (synopsis "Simple, extendable and embeddable scripting language.")
+    (description "Simple, extendable and embeddable scripting language.")
+    (license license:asl2.0)))
+
+(define-public rust-fsio-0.3
+  (package
+    (name "rust-fsio")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fsio" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1svpcdpf5vfdjwvhqlqvw8pp2c39w1yzabsn9fjcg55gxwkpis09"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-dunce" ,rust-dunce-1)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-users" ,rust-users-0.11))))
+    (home-page "http://github.com/sagiegurari/fsio")
+    (synopsis "File System and Path utility functions.")
+    (description "File System and Path utility functions.")
+    (license license:asl2.0)))
+
+(define-public rust-envmnt-0.9
+  (package
+    (name "rust-envmnt")
+    (version "0.9.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "envmnt" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "07jpfvhcy86n69csw5amxgzlpcvg1vzjv4y3vsccdyhj5y3dv5hg"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-fsio" ,rust-fsio-0.3) ("rust-indexmap" ,rust-indexmap-1))))
+    (home-page "http://github.com/sagiegurari/envmnt")
+    (synopsis "Environment variables utility functions.")
+    (description "Environment variables utility functions.")
+    (license license:asl2.0)))
+
+(define-public rust-ci-info-0.14
+  (package
+    (name "rust-ci-info")
+    (version "0.14.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "ci_info" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "08vkxaqnhqsvld4f30bfy5bqpyzn0jlq5f61j8dz0hi26xj2h3hz"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-envmnt" ,rust-envmnt-0.9)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1))))
+    (home-page "http://github.com/sagiegurari/ci_info")
+    (synopsis "Provides current CI environment information.")
+    (description "This package provides current CI environment information.")
+    (license license:asl2.0)))
+
+(define-public rust-cargo-metadata-0.14
+  (package
+    (name "rust-cargo-metadata")
+    (version "0.14.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo_metadata" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "04kfzvmh80pq0bw1cwzlz71wfrign2k7792mc4gi8hs1jkgfcams"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-camino" ,rust-camino-1)
+        ("rust-cargo-platform" ,rust-cargo-platform-0.1)
+        ("rust-derive-builder" ,rust-derive-builder-0.9)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1))))
+    (home-page "https://github.com/oli-obk/cargo_metadata")
+    (synopsis "structured access to the output of `cargo metadata`")
+    (description "structured access to the output of `cargo metadata`")
+    (license license:expat)))
+
+(define-public rust-cargo-make-0.35
+  (package
+    (name "rust-cargo-make")
+    (version "0.35.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "cargo-make" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1hqqxwgg4aqjrwi769gnbj5fjk1ch0x05yipijp65ynq3ilz02p0"))))
+    (build-system cargo-build-system)
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("openssl" ,openssl))) 
+    (arguments
+     `(#:cargo-inputs
+       (("rust-ansi-term" ,rust-ansi-term-0.12)
+        ("rust-cargo-metadata" ,rust-cargo-metadata-0.14)
+        ("rust-ci-info" ,rust-ci-info-0.14)
+        ("rust-clap" ,rust-clap-2)
+        ("rust-colored" ,rust-colored-2)
+        ("rust-dirs-next" ,rust-dirs-next-2)
+        ("rust-duckscript" ,rust-duckscript-0.7)
+        ("rust-duckscriptsdk" ,rust-duckscriptsdk-0.8)
+        ("rust-envmnt" ,rust-envmnt-0.9)
+        ("rust-fern" ,rust-fern-0.6)
+        ("rust-fsio" ,rust-fsio-0.3)
+        ("rust-git-info" ,rust-git-info-0.1)
+        ("rust-glob" ,rust-glob-0.3)
+        ("rust-home" ,rust-home-0.5)
+        ("rust-ignore" ,rust-ignore-0.4)
+        ("rust-indexmap" ,rust-indexmap-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-run-script" ,rust-run-script-0.9)
+        ("rust-rust-info" ,rust-rust-info-0.3)
+        ("rust-semver" ,rust-semver-1)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-derive" ,rust-serde-derive-1)
+        ("rust-serde-ignored" ,rust-serde-ignored-0.1)
+        ("rust-shell2batch" ,rust-shell2batch-0.4)
+        ("rust-toml" ,rust-toml-0.5))
+       ;; NOTE(Krey): Depends on rust-rust-info@0.3 which requires rust-1.52 to build (https://github.com/sagiegurari/rust_info/issues/6)
+       #:rust ,rust-1.52))
+    (home-page "https://sagiegurari.github.io/cargo-make")
+    (synopsis "Rust task runner and build tool.")
+    (description "Rust task runner and build tool.")
+    (license license:asl2.0)))
+
